<?php

//   -------------------------------------------------------------------------------
//  |                  net2ftp: a web based FTP client                              |
//  |              Copyright (c) 2003-2005 by David Gartner                         |
//  |                                                                               |
//  | This program is free software; you can redistribute it and/or                 |
//  | modify it under the terms of the GNU General Public License                   |
//  | as published by the Free Software Foundation; either version 2                |
//  | of the License, or (at your option) any later version.                        |
//  |                                                                               |
//   -------------------------------------------------------------------------------

//   -------------------------------------------------------------------------------
//  | Language: Czech                                                               |
//   -------------------------------------------------------------------------------
//  | Jakub Vrna <jakub -AT- php DOT net> 2004-05-03                               |
//   -------------------------------------------------------------------------------
//  |                                                                               |
//  |                              INSTRUCTIONS                                     |
//  |                                                                               |
//  |  The messages to translate are listed below.                                  |
//  |  The structure of each line is like this:                                     |
//  |     $message["Hello world!"] = "Hello world!";                                |
//  |                                                                               |
//  |  Keep the text between square brackets [] as it is.                           |
//  |  Translate the 2nd part, keeping the same punctuation and HTML tags.          |
//  |                                                                               |
//  |  The English message, for example                                             |
//  |     $message["net2ftp is written in PHP!"] = "net2ftp is written in PHP!";    |
//  |  should become after translation:                                             |
//  |     $message["net2ftp is written in PHP!"] = "net2ftp est ecrit en PHP!";     |
//  |     $message["net2ftp is written in PHP!"] = "net2ftp is geschreven in PHP!"; |
//  |                                                                               |
//  |  Note that the variable starts with a dollar sign $, that the value is        |
//  |  enclosed in double quotes " and that the line ends with a semi-colon ;       |
//  |  Be careful when editing this file, do not erase those special characters.    |
//  |                                                                               |
//  |  Some messages also contain one or more variables which start with a percent  |
//  |  sign, for example %1\$s or %2\$s. The English message, for example           |
//  |     $messages[...] = ["The file %1\$s was copied to %2\$s "]                  |
//  |  should becomes after translation:                                            |
//  |     $messages[...] = ["Le fichier %1\$s a t copi vers %2\$s "]             |
//  |                                                                               |
//  |  When a real percent sign % is needed in the text it is entered as %%         |
//  |  otherwise it is interpreted as a variable. So no, it's not a mistake.        |
//  |                                                                               |
//  |  Between the messages to translate there is additional PHP code, for example: |
//  |     if ($state2 == "rename") {                               // <-- PHP code  |
//  |     $messages["Rename directories"] = "Rename directories";  // <-- message   |
//  |     }                                                        // <-- PHP code  |
//  |  This code is needed to load the messages only when they are actually needed. |
//  |  There is no need to change or delete any of that PHP code; translate only    |
//  |  the message.                                                                 |
//  |                                                                               |
//  |  Thanks in advance to all the translators!                                    |
//  |  David.                                                                       |
//  |                                                                               |
//   -------------------------------------------------------------------------------

function getMessages() {
global $state, $state2;


// -------------------------------------------------------------------------
// Used encoding
// -------------------------------------------------------------------------
$messages["iso-8859-1"] = "windows-1250";


// -------------------------------------------------------------------------
// Status messages
// -------------------------------------------------------------------------
// When translating these messages, keep in mind that the text should not be too long
// It should fit in the status textbox
$messages["Connecting to the FTP server"] = "Pipojovn k FTP serveru";
$messages["Getting the list of directories and files"] = "Zskvn seznamu adres a soubor";
$messages["Printing the list of directories and files"] = "Vypisovn seznamu adres a soubor";
$messages["Processing the entries"] = "Zpracovvn zznam";
$messages["Checking files"] = "Kontrolovn soubor";
$messages["Transferring files to the FTP server"] = "Penen soubor na FTP server";
$messages["Decompressing archives and transferring files"] = "Rozbalovn archiv a penen soubor";
$messages["Searching the files..."] = "Prohledvn soubor...";
$messages["Uploading new file"] = "Penen novho souboru";
$messages["Reading the new file"] = "ten novho souboru";
$messages["Reading the old file"] = "ten starho souboru";
$messages["Comparing the 2 files"] = "Porovnvn dvou soubor";
$messages["Printing the comparison"] = "Vypisovn porovnn";
$messages["Script finished in %1\$s seconds"] = "Skript skonil za %1\$s sekund";
$messages["Script halted"] = "Skript zastavil";


// -------------------------------------------------------------------------
// index.php
// -------------------------------------------------------------------------
$messages["Unexpected state string. Exiting."] = "Neoekvan stavov etzec. Konm.";
$messages["This beta function is not activated on this server."] = "This beta function is not activated on this server.";
$messages["This function has been disabled by the Administrator of this website."] = "This function has been disabled by the Administrator of this website.";


// -------------------------------------------------------------------------
// admin.inc.php
if ($state == "admin") {
// -------------------------------------------------------------------------
$messages["Admin functions"] = "Administrtorsk funkce";

$messages["Version information"] = "Informace o verzi";
$messages["This version of net2ftp is up-to-date"] = "Tato verze net2ftp je aktuln";
$messages["The latest version could not be retrieved from the net2ftp.com server. Check the security settings of your browser, which may prevent the loading of a small file from the net2ftp.com server."] = "Nelze sthnout posledn verzi ze serveru net2ftp.com. Zkontrolujte bezpenostn nastaven svho prohlee, kter mohou zabraovat nahrn malho souboru ze serveru net2ftp.com.";

$messages["Logging"] = "Zznamy";
$messages["Date from:"] = "Datum od:";
$messages["to:"] = "do:";
$messages["Empty logs"] = "Vyprzdnit zznamy";
$messages["View logs"] = "Zobrazit zznamy";
$messages["No data"] = "dn data";

$messages["Setup MySQL tables"] = "Nastavit MySQL tabulky";
$messages["Go"] = "OK";
$messages["Create the MySQL database tables"] = "Vytvoit databzov MySQL tabulky";
$messages["Create tables"] = "Vytvoit tabulky";
$messages["The handle of file %1\$s could not be opened"] = "Zznam souboru %1\$s neme bt oteven";
$messages["The file %1\$s could not be opened"] = "Soubor %1\$s neme bt oteven";
$messages["The handle of file %1\$s could not be closed"] = "Soubor %1\$s neme bt zaven";
$messages["MySQL username"] = "MySQL uivatelsk jmno";
$messages["MySQL password"] = "MySQL heslo";
$messages["MySQL database"] = "MySQL databze";
$messages["MySQL server"] = "MySQL server" ;
$messages["This SQL query is going to be executed:"] = "Vykon se tento SQL dotaz:";
$messages["Execute"] = "Sputn";
$messages["Settings used:"] = "Pouit nastaven:";
$messages["MySQL password length"] = "Dlka MySQL hesla";
$messages["Results:"] = "Vsledky:";
$messages["The connection to the server <b>$dbserver2</b> could not be set up"] = "Nepodailo se pipojit k serveru <b>$dbserver2</b>";
$messages["Unable to select the database <b>$dbname2</b>"] = "Nepodailo se vybrat databzi <b>$dbname2</b>";
$messages["The SQL query could not be executed"] = "Nepodailo se vykonat SQL dotaz";
$messages["The tables were created successfully"] = "Tabulky byly v podku vytvoeny";

$messages["Beta functions"] = "Beta funkce";
$messages["View logs"] = "Zobrazit zznamy";
$messages["Empty logs"] = "Vyprzdnit zznamy";
$messages["The table <b>%1\$s</b> was emptied successfully."] = "Tabulka <b>%1\$s</b> byla spn vyprzdnna.";
$messages["The table <b>%1\$s</b> could not be emptied."] = "Nepodailo se vyprzdnit tabulku <b>%1\$s</b>.";
$messages["The table <b>%1\$s</b> was optimized successfully."] = "The table <b>%1\$s</b> was optimized successfully.";
$messages["The table <b>%1\$s</b> could not be optimized."] = "The table <b>%1\$s</b> could not be optimized.";

} // end admin

// -------------------------------------------------------------------------
// advanced.inc.php
if ($state == "advanced") {
// -------------------------------------------------------------------------

// advanced()
$messages["The site command functions are not available on this webserver."] = "Funkce ovldn serveru nejsou na tomto webovm serveru k dispozici.";
$messages["The Apache functions are not available on this webserver."] = "Funkce Apache nejsou na tomto webovm serveru k dispozici.";
$messages["The MySQL functions are not available on this webserver."] = "Funkce MySQL nejsou na tomto webovm serveru k dispozici.";
$messages["Unexpected state2 string. Exiting."] = "Neoekvan stavov etzec 2. Konm.";

// printAdvancedFunctions()
$messages["Advanced functions"] = "Pokroil funkce";
$messages["Go"] = "Pejt";
$messages["Troubleshooting functions"] = "Funkce pro odstraovn problm";
$messages["Troubleshoot net2ftp on this webserver"] = "een problm net2ftp na tomto webovm serveru";
$messages["Troubleshoot an FTP server"] = "een problm FTP serveru";
$messages["Test the net2ftp list parsing rules"] = "Test the net2ftp list parsing rules";
$messages["Translation functions"] = "Pekladatelsk funkce";
$messages["Introduction to the translation functions"] = "vod k pekladatelskm funkcm";
$messages["Extract messages to translate from code files"] = "Zskat zprvy k peklady ze zdrojovch soubor";
$messages["Check if there are new or obsolete messages"] = "Zkontrolovat ptomnost novch nebo zastaralch zprv";
$messages["Beta functions"] = "Beta funkce";
$messages["Send a site command to the FTP server"] = "Poslat serverov pkaz FTP serveru";
$messages["Apache: password-protect a directory, create custom error pages"] = "Apache: chrnit adres heslem, vytvoit vlastn chybov strnky";
$messages["MySQL: execute an SQL query"] = "MySQL: spustit SQL dotaz";

// troubleshoot_webserver()
$messages["Troubleshoot your net2ftp installation"] = "een problm va instalace net2ftp";
$messages["Checking if the FTP module of PHP is installed: "] = "Kontrolovn ptomnosti FTP modulu PHP: ";
$messages["yes"] = "ano";
$messages["no - please install it!"] = "ne - prosm nainstalujte ho";
$messages["Checking the permissions of the directory on the web server: a small file will be written to the /temp folder and then deleted."] = "Kontrolovn prv adrese na webovm serveru: do /temp bude zapsn a nsledn smazn mal soubor.";
$messages["Creating filename: "] = "Vytven souboru: ";
$messages["OK. Filename: %1\$s"] = "OK. Soubor: %1\$s";
$messages["not OK"] = "nen OK";
$messages["OK"] = "OK" ;
$messages["not OK. Check the permissions of the %1\$s directory"] = "nen OK. Zkontrolujte oprvnn adrese %1\$s.";
$messages["Opening the file in write mode: "] = "Otevrn souboru v reimu zpisu: ";
$messages["Writing some text to the file: "] = "Zapisovn njakho textu do souboru: ";
$messages["Closing the file: "] = "Zavrn souboru: ";
$messages["Deleting the file: "] = "Mazn souboru: ";

// troubleshoot_ftpserver()
$messages["Troubleshoot an FTP server"] = "een problm FTP serveru";
$messages["FTP server port"] = "Port FTP serveru";
$messages["Connection settings:"] = "Nastaven pipojen:";
$messages["Password length"] = "Dlka hesla";
$messages["Language"] = "Jazyk";
$messages["Skin number"] = "slo motivu";
$messages["Connecting to the FTP server: "] = "Pipojovn k FTP serveru: ";
$messages["Logging into the FTP server: "] = "Logovn na FTP server: ";
$messages["Setting the passive mode: "] = "Nastavovn pasivnho reimu: ";
$messages["Getting the FTP server system type: "] = "Zskvn typu systmu FTP serveru: ";
$messages["Changing to the directory %1\$s: "] = "Zmna adrese na %1\$s: ";
$messages["The directory from the FTP server is: %1\$s "] = "Adres z FTP serveru je: %1\$s";
$messages["Getting the raw list of directories and files: "] = "Zskvn syrovho seznamu adres a soubor: ";
$messages["Trying a second time to get the raw list of directories and files: "] = "Druh pokus zskn syrovho seznamu adres a soubor: ";
$messages["Closing the connection: "] = "Zavrn pipojen: ";
$messages["Raw list of directories and files:"] = "Syrov seznam adres a soubor:";
$messages["Parsed list of directories and files:"] = "Zpracovan seznam adres a soubor:";

// test_list_parsing()
$messages["Sample input"] = "Sample input";
$messages["Parsed output"] = "Parsed output";
$messages["Test list parsing message"]  = "";
$messages["Test list parsing message"] .= "Every FTP server sends the list of directories and files in a different format.\n";
$messages["Test list parsing message"] .= "net2ftp has to parse this in order to identify the filename, the file size, the modification time, etc.";
$messages["Test list parsing message"] .= "This function tests the net2ftp parsing rules on a set of samples.";

// printTranslationFunctions()
$messages["net2ftp translation functions"] = "Pekladatelsk funkce net2ftp";
$messages["A PHP application can be translated using the standard <a href=\"http://www.php.net/gettext\">gettext</a> functions, or using a self-made translation function."] = "PHP aplikace mohou bt peloen pomoc standardnch <a href=\"http://www.php.net/gettext\">gettext</a> funkc nebo vytvoenm vlastn pekladov funkce.";
$messages["In both cases, the steps to take are similar."] = "V obou ppadech je postup podobn.";
$messages["Step 1: change code"] = "Krok 1: zmnit kd";
$messages["All messages must be translated using a translation function, for example translate()."] = "Vechny zprvy mus bt peloen pomoc pekladov funkce, napklad translate().";
$messages["This Hello World code:"] = "Tento kd Hello World:";
$messages["must be changed to this:"] = "mus bt zmnn takhle:";
$messages["Step 2: extract messages"] = "Krok 2: zskat zprvy";
$messages["All messages which are used by the translate() function must be extracted from the code files, and copied to a <b>main message file</b>."] = "Vechny zprvy, kter se pouvaj funkc translate() mus bt zskny ze zdrojovch soubor a zkoprovny do <b>hlavnho souboru zprv</b>.";
$messages["Step 3: translate messages"] = "Krok 3: peloit zprvy";
$messages["The main message file is given to translators, who rename the file and replace the messages in English by the translation."] = "Hlavn soubor zprv je pedn pekladatelm, kte soubor pejmenuj a nahrad zprvy v anglitin pekladem.";
$messages["The translators return the <b>translated message files</b>."] = "Pekladatel mus vrtit <b>peloen soubor zprv</b>.";
$messages["Each time the application is modified, a new main message file must be generated, as in step 2."] = "Pokad, kdy je aplikace zmnna, mus bt hlavn soubor zprv znovu vytvoen, stejn jako ve druhm kroku.";
$messages["In order to avoid translating everything all over again, it must then be compared to all translated message files, to check if there are new or obsolete messages."] = "Aby nemuselo bt vechno vytveno vdy znovu od zatku, mus bt zprvy porovnny se vemi peloenmi soubory zprv k oven, zda obsahuj nov nebo zastaral zprvy.";
$messages["net2ftp can help in step 2 to extract messages to translate from code files"] = "net2ftp me pomoci ve druhm kroku se zsknm zprv k pekladu ze zdrojovch soubor";
$messages["net2ftp can help in step 4 to check if there are new or obsolete messages"] = "net2ftp me pomoci ve tvrtm kroku s ovenm novch nebo zastaralch zprv";

// translate_extract()
$messages["Extract messages from code files"] = "Zskat zprvy ze zdrojovch soubor";
$messages["Directory containing code files:"] = "Adrese obsahujc zdrojov soubory:";
$messages["Translation function used in the code:"] = "Pekladov funkce pouvan v kdu:";
$messages["File to generate:"] = "Soubor pro vytvoen:";
$messages["Extracted messages:"] = "Zskan zprvy:";
$messages["No messages were found, so no file was put on the FTP server."] = "Nebyly nalezeny dn zprvy, take na FTP server nebyl nahrn dn soubor.";
$messages["The main language file <b>%1\$s</b> was transferred to directory <b>%2\$s</b>."] = "Hlavn jazykov soubor <b>%1\$s</b> byl penesen do adrese <b>%2\$s</b>.";

// translate_check()
$messages["Main language file:"] = "Hlavn jazykov soubor:";
$messages["Directory containing translated language files:"] = "Adres obsahujc peloen jazykov soubory:";
$messages["File %1\$s was skipped because it could not be read, or because it was empty."] = "Soubor %1\$s byl peskoen, protoe neme bt naten nebo je przdn.";
$messages["File nr %1\$s <b>%2\$s</b>"] = "Soubor slo %1\$s <b>%2\$s</b>";
$messages["New messages:"] = "Nov zprvy:";
$messages["Obsolete messages:"] = "Zastaral zprvy:";
$messages["All the files have been processed"] = "Byly zpracovny vechny soubory";

// sendsitecommand()
$messages["Send site command"] = "Poslat serverov pkaz";
$messages["Enter the site command"] = "Zadejte serverov pkaz";
$messages["The commands you can use depends on your FTP server. These commands are not standard and vary a lot from one server to the other."] = "Pkazy, kter lze pout, zvis na vaem FTP serveru. Tyto pkazy nejsou standardn a hodn se li server od serveru.";
$messages["Note that net2ftp cannot display the output of the FTP server, it can only tell if the command returned TRUE or FALSE. This is not a limitation of net2ftp but of PHP, the language in which net2ftp is written."] = "Vezmte na vdom, e net2ftp neme zobrazit vstup FTP serveru, ale pouze me oznmit, zda pkaz vrtil TRUE nebo FALSE. Nejedn se o omezen net2ftp, ale jazyka PHP, ve kterm je net2ftp napsno.";
$messages["The command <b>$command</b> was executed successfully."] = "Pkaz <b>$command</b> byl spn proveden.";

// apache(), mysqlfunctions()
// Not yet translated

} // end advanced



// -------------------------------------------------------------------------
// authorizations.inc.php
// -------------------------------------------------------------------------

// checkAuthorization()
$messages["The FTP server <b>%1\$s</b> is not in the list of allowed FTP servers."] = "FTP server <b>%1\$s</b> nen na seznamu povolench server.";
$messages["The FTP server <b>%1\$s</b> is in the list of banned FTP servers."] = "FTP server <b>%1\$s</b> je na seznamu zakzanch server.";
$messages["Your IP address (%1\$s) is in the list of banned IP addresses."] = "Vae IP adresa (%1\$s) je na seznamu zakzanch adres.";
$messages["The FTP server port %1\$s may not be used."] = "Port %1\$s FTP serveru neme bt pouit.";
$messages["You don't have the authorizations to view directory <b>%1\$s</b>."] = "Nemte oprvnn prohlet adres <b>%1\$s</b>.";

// logAccess(), logLogin(), logError()
// Not yet translated


// -------------------------------------------------------------------------
// bookmark.inc.php
if ($state == "bookmark") {
// -------------------------------------------------------------------------
$messages["Add this link to your bookmarks:"] = "Pidejte tento odkaz do svch zloek:";
$messages["Internet Explorer: right-click on the link and choose \"Add to Favorites...\""] = "Internet Explorer: kliknte na odkaz pravm tlatkem myi a vyberte \"Pidat k oblbenm polokm...\"";
$messages["Netscape, Mozilla, Firebird: right-click on the link and choose \"Bookmark This Link...\""] = "Netscape, Mozilla, Firebird: kliknte na odkaz pravm tlatkem myi a vyberte \"Pidejte k zlokm...\"";
$messages["Note: when you will use this bookmark, a popup window will ask you for your username and password."] = "Poznmka: Kdy pouijete tento odkaz, zept se vs vyskakovac oknko na uivatelsk jmno a heslo.";

} // end bookmark


// -------------------------------------------------------------------------
// browse.inc.php
if ($state == "browse") {
// -------------------------------------------------------------------------

// browse()
$messages["Directories with names containing \' cannot be displayed correctly. They can only be deleted. Please go back and select another subdirectory."] = "Adrese, jejich jmno obsahuje \', nemohou bt korektn zobrazeny. Mohou bt pouze smazny. Prosm vrate se zpt a vyberte jin jin podadres.";

$messages["Consumption message"]  = "";
$messages["Consumption message"] .= "<b>Denn limit byl dosaen: nebudete moci penet data</b><br /><br />\n";
$messages["Consumption message"] .= "Pro zajitn spravedlivho uvn webovho serveru kmkoliv je objem peneench dat a asu sputn skript omezen pro kadou dvojici uivatel - den. Jakmile je tento limit dosaen, mete prochzet FTP server, ale u na nj ani z nj nemete penet data.<br /><br />\n";
$messages["Consumption message"] .= "Pokud potebujete neomezen pouit, tak prosm net2ftp nainstalujte na vlastn webov server.<br />\n";

// ftp_getlist()
$messages["The directory <b>%1\$s</b> does not exist or could not be selected, so the root directory <b>/</b> is shown instead."] = "Adres <b>%1\$s</b> neexistuje nebo neme bt vybrn, take je msto nho zobrazen koenov adres <b>/</b>.";

// printdirfilelist()
// Keep these short, they must fit in a small buttons!
$messages["New dir"] = "Nov adres";
$messages["New file"] = "Nov soubor";
$messages["HTML templates"] = "HTML templates";
$messages["Upload"] = "Nahrt";
$messages["Java Upload"] = "Java Nahrt";
$messages["Advanced"] = "Pokroil";
$messages["Copy"] = "Koprovat";
$messages["Move"] = "Pesunout";
$messages["Delete"] = "Smazat";
$messages["Rename"] = "Pejmenovat";
$messages["Chmod"] = "Prva";
$messages["Download"] = "Sthnout";
$messages["Zip"] = "Zip" ;
$messages["Size"] = "Velikost";
$messages["Search"] = "Vyhledat";
$messages["Go to the parent directory"] = "Pejt do nadazenho adrese";
$messages["Transform selected entries: "] = "Zmnit vybran poloky: ";
$messages["Make a new subdirectory in directory %1\$s"] = "Vytvoit nov podadres v adresi %1\$s";
$messages["Create a new file in directory %1\$s"] = "Vytvoit nov soubor v adresi %1\$s";
$messages["Create a website easily using ready-made templates"] = "Create a website easily using ready-made templates";
$messages["Upload new files in directory %1\$s"] = "Nahrt nov soubory do adrese %1\$s";
$messages["Upload directories and files using a Java applet"] = "Upload directories and files using a Java applet";
$messages["Go to the advanced functions"] = "Pejt na pokroil funkce";
$messages["Copy the selected entries"] = "Zkoprovat vybran poloky";
$messages["Move the selected entries"] = "Pesunout vybran poloky";
$messages["Delete the selected entries"] = "Smazat vybran poloky";
$messages["Rename the selected entries"] = "Pejmenovat vybran poloky";
$messages["Chmod the selected entries (only works on Unix/Linux/BSD servers)"] = "Zmnit prva u vybranch poloek (funguje pouze na serverech Unix/Linux/BSD)";
$messages["Download a zip file containing all selected entries"] = "Sthnout ZIP soubor obsahujc vechny vybran poloky";
$messages["Zip the selected entries to save or email them"] = "Zazipovat vybran poloky a uloit nebo poslat e-mailem";
$messages["Calculate the size of the selected entries"] = "Spotat velikost vybranch poloek";
$messages["Find files which contain a particular word"] = "Najt soubory obsahujc zadan slovo";
$messages["Click to sort by %1\$s in descending order"] = "Kliknte pro sestupn setdn podle sloupce %1\$s.";
$messages["Click to sort by %1\$s in ascending order"] = "Kliknte pro vzestupn setdn podle sloupce %1\$s.";
$messages["Ascending order"] = "Vzestupn tdn";
$messages["Descending order"] = "Sestupn tdn";
//$messages["Click to sort by %1\$s in ascending order"] = "Kliknte pro setdn podle %1\$s vzestupn.";
$messages["Up"] = "Ve";
$messages["Click to check or uncheck all rows"] = "Pepnout zakrtnut vech dek";
$messages["All"] = "Ve";
$messages["Name"] = "Nzev";
$messages["Type"] = "Typ";
//$messages["Size"] = "Velikost";
$messages["Owner"] = "Vlastnk";
$messages["Group"] = "Skupina";
$messages["Perms"] = "Prva";
$messages["Mod Time"] = "as zmny";
$messages["Actions"] = "Akce";
$messages["Download the file %1\$s"] = "Sthnout soubor %1\$s";
$messages["View"] = "Zobrazit";
$messages["Edit"] = "Upravit";
$messages["Update"] = "Aktualizovat";
$messages["Open"] = "Otevt";
$messages["View the highlighted source code of file %1\$s"] = "Zobrazit zvraznn zdrojov kd souboru %1\$s";
$messages["Edit the source code of file %1\$s"] = "Upravit zdrojov kd souboru %1\$s";
$messages["Upload a new version of the file %1\$s and merge the changes"] = "Nahrt novou verzi souboru %1\$s a slouit zmny";
$messages["View image %1\$s"] = "Zobrazit obrzek %1\$s";
$messages["View the file %1\$s from your HTTP web server"] = "Zobrazit soubor %1\$s z vaeho HTTP webovho serveru";
$messages["(Note: This link may not work if you don't have your own domain name.)"] = "(Poznmka: tento odkaz nemus fungovat, pokud nemte vlastn domnu.)";
$messages["This folder is empty"] = "Tento adres je przdn";

// printSeparatorRow()
$messages["Directories"] = "Adrese";
$messages["Files"] = "Soubory";
$messages["Symlinks"] = "Symlinky";
$messages["Unrecognized FTP output"] = "Nerozpoznan FTP vstup";
$messages["Number"] = "Number";
$messages["Size"] = "Size";
$messages["Skipped"] = "Skipped";

// printLocationActions()
$messages["Language:"] = "Jazyk:";
$messages["Skin:"] = "Motiv:";
$messages["View mode:"] = "Reim zobrazen:";
$messages["Directory Tree"] = "Strom adres";

// printURL()
$messages["Execute %1\$s in a new window"] = "Spustit %1\$s v novm okn";

// printDirectorySelect()
$messages["Double-click to go to a subdirectory:"] = "Poklepejte pro pechod do podadrese:";
$messages["Choose"] = "Vybrat";
$messages["Up"] = "Nahoru";

} // end browse


// -------------------------------------------------------------------------
// consumption.inc.php
// -------------------------------------------------------------------------
$messages["Unable to determine your IP address."] = "Nepodailo se zjistit vai IP adresu.";
$messages["Table net2ftp_logConsumptionIpaddress contains duplicate rows."] = "Tabulka net2ftp_logConsumptionIpaddress obsahuje duplicitn zznamy.";
$messages["Table net2ftp_logConsumptionFtpserver contains duplicate rows."] = "Tabulka net2ftp_logConsumptionFtpserver obsahuje duplicitn zznamy.";
$messages["The variable <b>consumption_ipaddress_dataTransfer</b> is not numeric."] = "Promnn <b>consumption_ipaddress_dataTransfer</b> nen seln.";
$messages["Table net2ftp_logConsumptionIpaddress could not be updated."] = "Tabulka net2ftp_logConsumptionIpaddress nemohla bt aktualizovna.";
$messages["Table net2ftp_logConsumptionIpaddress contains duplicate entries."] = "Tabulka net2ftp_logConsumptionIpaddress obsahuje duplicitn zznamy.";
$messages["Table net2ftp_logConsumptionFtpserver could not be updated."] = "Tabulka net2ftp_logConsumptionFtpserver nemohla bt aktualizovna.";
$messages["Table net2ftp_logConsumptionFtpserver contains duplicate entries."] = "Tabulka net2ftp_logConsumptionFtpserver obsahuje duplicitn zznamy.";
$messages["Daily limit reached: the file <b>%1\$s</b> will not be transferred"] = "Denn limit dosaen: soubor <b>%1\$s</b> nebude penesen";


// -------------------------------------------------------------------------
// database.inc.php
// -------------------------------------------------------------------------
$messages["Unable to connect to the DB"] = "Nepodailo se pipojit k databzi";
$messages["Unable to select the DB"] = "Nepodailo se vybrat databzi";


// -------------------------------------------------------------------------
// easywebsite.inc.php
if ($state == "easyWebsite") {
// -------------------------------------------------------------------------
$messages["Create a website in 4 easy steps"] = "Create a website in 4 easy steps";
$messages["Template overview"] = "Template overview";
$messages["Template details"] = "Template details";
$messages["Files are copied"] = "Files are copied";
$messages["Edit your pages"] = "Edit your pages";

// Screen 1 - printTemplateOverview
$messages["Click on the image to view the details of a template."] = "Click on the image to view the details of a template.";
$messages["Back to the Browse screen"] = "Back to the Browse screen";
$messages["Template"] = "Template";
$messages["Copyright"] = "Copyright";
$messages["Click on the image to view the details of this template"] = "Click on the image to view the details of this template";

// Screen 2 - printTemplateDetails
$messages["The template files will be copied to your FTP server. Existing files with the same filename will be overwritten. Do you want to continue?"] = "The template files will be copied to your FTP server. Existing files with the same filename will be overwritten. Do you want to continue?";
$messages["Install template to directory: "] = "Install template to directory: ";
$messages["Install"] = "Install";
$messages["Size"] = "Size";
$messages["Preview page"] = "Preview page";
$messages["opens in a new window"] = "opens in a new window";

// Screen 3
$messages["Please wait while the template files are being transferred to your server: "] = "Please wait while the template files are being transferred to your server: ";
$messages["Done."] = "Done.";
$messages["Continue"] = "Continue";

// Screen 4 - printEasyAdminPanel
$messages["Edit page"] = "Edit page";
$messages["Browse the FTP server"] = "Browse the FTP server";
$messages["Add this link to your favorites to return to this page later on!"] = "Add this link to your favorites to return to this page later on!";
$messages["Edit website at %1\$s"] = "Edit website at %1\$s";
$messages["Internet Explorer: right-click on the link and choose \"Add to Favorites...\""] = "Internet Explorer: right-click on the link and choose \"Add to Favorites...\"";
$messages["Netscape, Mozilla, Firefox: right-click on the link and choose \"Bookmark This Link...\""] = "Netscape, Mozilla, Firefox: right-click on the link and choose \"Bookmark This Link...\"";

// ftp_copy_local2ftp
$messages["WARNING: Unable to create the subdirectory <b>%1\$s</b>. It may already exist. Continuing..."] = "WARNING: Unable to create the subdirectory <b>%1\$s</b>. It may already exist. Continuing...";
$messages["Created target subdirectory <b>%1\$s</b>"] = "Created target subdirectory <b>%1\$s</b>";
$messages["WARNING: Unable to copy the file <b>%1\$s</b>. Continuing..."] = "WARNING: Unable to copy the file <b>%1\$s</b>. Continuing...";
$messages["Copied file <b>%1\$s</b>"] = "Copied file <b>%1\$s</b>";
}


// -------------------------------------------------------------------------
// edit.inc.php
if ($state == "manage" && ($state2 == "edit" || $state2 == "newfile")) {
// -------------------------------------------------------------------------

// edit()
$messages["Unable to open the template file"] = "Nepodailo se otevt soubor se ablonami";
$messages["Unable to read the template file"] = "Nepodailo se nast soubor se ablonami";
$messages["Please specify a filename"] = "Vyberte prosm soubor";

// printEditForm()
$messages["Directory: "] = "Adres: ";
$messages["File: "] = "Soubor: ";
$messages["New file name: "] = "Nov nzev souboru: ";
$messages["Note: changing the textarea type will save the changes"] = "Poznmka: zmnn textovho pole ulo zmny";
$messages["Status: This file has not yet been saved"] = "Stav: Tento soubor jet nebyl uloen";
$messages["Status: Saved on <b>%1\$s</b> using mode %2\$s"] = "Stav: Uloen <b>%1\$s</b> v mdu %2\$s";
$messages["Status: <b>This file could not be saved</b>"] = "Stav: <b>Tento soubor neme bt uloen</b>";

} // end if edit newfile


// -------------------------------------------------------------------------
// errorhandling.inc.php
// -------------------------------------------------------------------------
$messages["An error has occured"] = "Dolo k chyb";
$messages["Go back"] = "Pejt zpt";
$messages["Go to the login page"] = "Pejt na pihlaovac strnku";


// -------------------------------------------------------------------------
// filesystem.inc.php
// -------------------------------------------------------------------------

// ftp_openconnection()
$messages["The <a href=\"http://www.php.net/manual/en/ref.ftp.php\" target=\"_blank\">FTP module of PHP</a> is not installed.<br /><br /> The administrator of this website should install this FTP module. Installation instructions are given on <a href=\"http://www.php.net/manual/en/ref.ftp.php\" target=\"_blank\">php.net</a><br />"] = "<a href=\"http://www.php.net/manual/en/ref.ftp.php\" target=\"_blank\">FTP modul PHP</a> nen nainstalovn.<br /><br /> Administrtor tohoto webovho serveru by tento FTP modul ml nainstalovat. Instrukce pro instalaci jsou k dispozici na <a href=\"http://www.php.net/manual/en/ref.ftp.php\" target=\"_blank\">php.net</a><br />";
$messages["Unable to connect to FTP server <b>%1\$s</b> on port <b>%2\$s</b>.<br /><br />Are you sure this is the address of the FTP server? This is often different from that of the HTTP (web) server. Please contact your ISP helpdesk or system administrator for help.<br />"] = "Nepodailo se pipojit k FTP serveru <b>%1\$s</b> na portu <b>%2\$s</b>.<br /><br />Vte jist, e se jedn o adresu FTP serveru? Ta se asto li od adresy HTTP (webovho) serveru. Pro zskn pomoci prosm kontaktujte odbornou pomoc svho ISP nebo systmovho administrtora.<br />";
$messages["Unable to login to FTP server <b>%1\$s</b> with username <b>%2\$s</b>.<br /><br />Are you sure your username and password are correct? Please contact your ISP helpdesk or system administrator for help.<br />"] = "Nepodailo se pihlsit k FTP serveru <b>%1\$s</b> pod uivatelskm jmnem <b>%2\$s</b>.<br /><br />Jste si jist, e je uivatelsk jmno a heslo sprvn? Pro zskn pomoci prosm kontaktujte odbornou pomoc svho ISP nebo systmovho administrtora.<br />";
$messages["Unable to switch to the passive mode on FTP server <b>%1\$s</b>."] = "Nepodailo se pepnout do pasivnho reimu na FTP serveru <b>%1\$s</b>.";

// ftp_openconnection2()
$messages["Unable to connect to the second (target) FTP server <b>%1\$s</b> on port <b>%2\$s</b>.<br /><br />Are you sure this is the address of the second (target) FTP server? This is often different from that of the HTTP (web) server. Please contact your ISP helpdesk or system administrator for help.<br />"] = "Nepodailo se pipojit ke druhmu (clovmu) FTP serveru <b>%1\$s</b> na portu <b>%2\$s</b>.<br /><br />.Vte urit, e se jedn o adresu druhho (clovho) FTP serveru? Ta se asto li od adresy HTTP (webovho) serveru. Pro zskn pomoci prosm kontaktujte odbornou pomoc svho ISP nebo systmovho administrtora.<br />";
$messages["Unable to login to the second (target) FTP server <b>%1\$s</b> with username <b>%2\$s</b>.<br /><br />Are you sure your username and password are correct? Please contact your ISP helpdesk or system administrator for help.<br />"] = "Nepodailo se pihlsit ke druhmu (clovmu) FTP serveru <b>%1\$s</b> pod uivatelskm jmnem <b>%2\$s</b>.<br /><br />. Jste si jisti, e zadan uivatelsk jmno a heslo jsou sprvn? Pro zskn pomoci prosm kontaktujte odbornou pomoc svho ISP nebo systmovho administrtora.<br />";
$messages["Unable to switch to the passive mode on the second (target) FTP server <b>%1\$s</b>."] = "Nepodailo se pepnout do pasivnho reimu na druhm (clovm) FTP serveru <b>%1\$s</b>.";

// ftp_myrename()
$messages["Unable to rename directory or file <b>%1\$s</b> into <b>%2\$s</b>"] = "Nepodailo se pejmenovat adres nebo soubor <b>%1\$s</b> na <b>%2\$s</b>";

// ftp_mychmod()
$messages["Unable to execute site command <b>%1\$s</b>. Note that the CHMOD command is only available on Unix FTP servers, not on Windows FTP servers."] = "Nepodailo se vykonat serverov pkaz <b>%1\$s</b>. Vezmte prosm na vdom, e pkaz CHMOD je k dispozici pouze na Unixovch FTP serverech a ne na FTP serverech pod Windows.";
$messages["Directory <b>%1\$s</b> successfully chmodded to <b>%2\$s</b>"] = "Prva adrese <b>%1\$s</b> byla v podku zmnna na <b>%2\$s</b>";
$messages["File <b>%1\$s</b> was successfully chmodded to <b>%2\$s</b>"] = "Prva souboru <b>%1\$s</b> byla v podku zmnna na <b>%2\$s</b>";
$messages["All the selected directories and files have been processed."] = "Vechny oznaen adrese a soubory byly zpracovny.";

// ftp_rmdir2()
$messages["Unable to delete the directory <b>%1\$s</b>"] = "Nepodailo se smazat adres <b>%1\$s</b>";

// ftp_delete2()
$messages["Unable to delete the file <b>%1\$s</b>"] = "Nepodailo se smazat soubor <b>%1\$s</b>";

// ftp_newdirectory()
$messages["Unable to create the directory <b>%1\$s</b>"] = "Nepodailo se vytvoit adres <b>%1\$s</b>";

// ftp_readfile()
$messages["Unable to create the temporary file"] = "Nepodailo se vytvoit doasn soubor";
$messages["Unable to get the file <b>%1\$s</b> from the FTP server and to save it as temporary file <b>%2\$s</b>.<br />Check the permissions of the %3\$s directory.<br />"] = "Nepodailo se zskat soubor <b>%1\$s</b> z FTP serveru a uloit ho do doasnho souboru <b>%2\$s</b>.<br />Zkontrolujte oprvnn adrese %3\$s.<br />";
$messages["Unable to open the temporary file. Check the permissions of the %1\$s directory."] = "Nepodailo se otevt doasn soubor. Zkontrolujte oprvnn adrese %1\$s.";
$messages["Unable to read the temporary file"] = "Nepodailo se pest doasn soubor";
$messages["Unable to close the handle of the temporary file"] = "Nepodailo se uzavt doasn soubor";
$messages["Unable to delete the temporary file"] = "Nepodailo se smazat doasn soubor";

// ftp_writefile()
$messages["Unable to create the temporary file. Check the permissions of the %1\$s directory."] = "Nepodailo se vytvoit doasn soubor. Zkontrolujte oprvnn adrese %1\$s.";
$messages["Unable to open the temporary file. Check the permissions of the %1\$s directory."] = "Nepodailo se otevt doasn soubor. Zkontrolujte oprvnn adrese %1\$s.";
$messages["Unable to write the string to the temporary file <b>%1\$s</b>.<br />Check the permissions of the %2\$s directory."] = "Nepodailo se zapsat etzec do doasnho souboru <b>%1\$s</b>.<br />Zkontrolujte oprvnn adrese %2\$s.";
$messages["Unable to close the handle of the temporary file"] = "Nepodailo se uzavt doasn soubor";
$messages["Unable to put the file <b>%1\$s</b> on the FTP server.<br />You may not have write permissions on the directory."] = "Nepodailo se nahrt soubor <b>%1\$s</b> na FTP server.<br />Mon nemte prva zpisu do danho adrese.";
$messages["Unable to delete the temporary file"] = "Nepodailo se smazat doasn soubor";

// ftp_copymovedelete()
$messages["Processing directory <b>%1\$s</b>"] = "Zpracovn adrese <b>%1\$s</b>";
$messages["The target directory <b>%1\$s</b> is the same as or a subdirectory of the source directory <b>%2\$s</b>, so this directory will be skipped"] = "Clov adres <b>%1\$s</b> je stejn jako zdrojov adres <b>%2\$s</b> nebo je jeho podadresem, tento adres proto bude peskoen";
$messages["Unable to create the subdirectory <b>%1\$s</b>. It may already exist. Continuing the copy/move process..."] = "Nepodailo se vytvoit podadres <b>%1\$s</b>. Mon u existuje. Pokrauje se v koprovn/pesouvn...";
$messages["Created target subdirectory <b>%1\$s</b>"] = "Clov podadres <b>%1\$s</b> byl vytvoen";
$messages["Unable to delete the subdirectory <b>%1\$s</b> - it may not be empty"] = "Nepodailo se smazat podadres <b>%1\$s</b> - mon nen przdn";
$messages["Deleted subdirectory <b>%1\$s</b>"] = "Podadres <b>%1\$s</b> byl smazn";
$messages["Processing of directory <b>%1\$s</b> completed"] = "Zpracovn adrese <b>%1\$s</b> bylo dokoneno";
$messages["The target for file <b>%1\$s</b> is the same as the source, so this file will be skipped"] = "Clov umstn souboru <b>%1\$s</b> je stejn jako zdrojov, proto bude tento soubor peskoen";
$messages["Unable to copy the file <b>%1\$s</b>"] = "Nepodailo se zkoprovat soubor <b>%1\$s</b>";
$messages["Copied file <b>%1\$s</b>"] = "Soubor <b>%1\$s</b> byl zkoprovn";
$messages["Unable to move the file <b>%1\$s</b>"] = "Nepodailo se pesunout soubor <b>%1\$s</b>";
$messages["Moved file <b>%1\$s</b>"] = "Soubor <b>%1\$s</b> byl pesunut";
$messages["Unable to delete the file <b>%1\$s</b>"] = "Nepodailo se smazat soubor <b>%1\$s</b>";
$messages["Deleted file <b>%1\$s</b>"] = "Soubor <b>%1\$s</b> byl smazn";
$messages["All the selected directories and files have been processed."] = "Vechny vybran adrese a soubory byly zpracovny.";

// ftp_processfiles()

// ftp_getfile()
$messages["Unable to copy the remote file <b>%1\$s</b> to the local file using FTP mode <b>%2\$s</b>"] = "Nepodailo se zkoprovat vzdlen soubor <b>%1\$s</b> do mstnho v FTP reimu <b>%2\$s</b>";
$messages["Unable to delete file <b>%1\$s</b>"] = "Nepodailo se smazat soubor <b>%1\$s</b>";

// ftp_putfile()
$messages["Unable to copy the local file to the remote file <b>%1\$s</b> using FTP mode <b>%2\$s</b>"] = "Nepodailo se zkoprovat mstn soubor do vzdlenho souboru <b>%1\$s</b> v FTP reimu <b>%2\$s</b>";
$messages["Unable to delete the local file"] = "Nepodailo se smazat mstn soubor";

// ftp_downloadfile()
$messages["Unable to delete the temporary file"] = "Nepodailo se smazat doasn soubor";
$messages["Unable to send the file to the browser"] = "Nepodailo se odeslat soubor prohlei";

// ftp_zip()
$messages["Unable to create the temporary file"] = "Nepodailo se vytvoit doasn soubor";
$messages["Unable to write the string to the temporary file <b>%1\$s</b>.<br />Check the permissions of the %2\$s directory."] = "Do doasnho souboru <b>%1\$s</b> se nepodailo zapsat etzec.<br />Zkontrolujte oprvnn adrese %2\$s.";
$messages["Unable to close the handle of the temporary file"] = "Nepodailo se zavt doasn soubor";
$messages["The zip file has been saved on the FTP server as <b>%1\$s</b>"] = "Soubor ZIP byl na FTP server uloen jako <b>%1\$s</b>";
$messages["Requested files"] = "Poadovan soubory";

$messages["Zip email message"]  = "";
$messages["Zip email message"] .= "Ven,\n\n";
$messages["Zip email message"] .= "Nkdo podal o posln soubor v ploze na vai e-mailovou adresu (%1\$s).\n";
$messages["Zip email message"] .= "Pokud o tom nic nevte nebo dotyn osob nedvujete, tak prosm tento e-mail smate, ani byste Zip soubor v ploze otevrali.";
$messages["Zip email message"] .= "Pokud Zip soubor neotevete, nemohou soubory uvnit pokodit v pota.";
$messages["Zip email message"] .= "\n\n---------------------------------------\n";
$messages["Zip email message"] .= "Informace o odeslateli:\n";
$messages["Zip email message"] .= "IP adresa: %2\$s\n";
$messages["Zip email message"] .= "as odesln: %3\$s\n";
$messages["Zip email message"] .= "Poslno aplikac net2ftp nainstalovanou na tomto webovm serveru: %4\$s \n";
$messages["Zip email message"] .= "E-mail webmastera: %5\$s \n";
$messages["Zip email message"] .= "\n\n---------------------------------------\n";
$messages["Zip email message"] .= "Zprva odeslatele:\n";
$messages["Zip email message"] .= "%6\$s \n";
$messages["Zip email message"] .= "\n\n---------------------------------------\n";
$messages["Zip email message"] .= "net2ftp je voln software, uvolnn pod licenc GNU/GPL. Pro vce informac navtivte http://www.net2ftp.com\n\n\n";

$messages["The zip file has been sent to <b>%1\$s</b>."] = "Soubor ZIP byl odesln na adresu <b>%1\$s</b>.";

// acceptFiles()
$messages["File <b>%1\$s</b> is too big. This file will not be uploaded."] = "Soubor <b>%1\$s</b> je moc velk. Tento soubor nebude nahrn.";
$messages["Could not generate a temporary file."] = "Nepodailo se vytvoit doasn soubor.";
$messages["File <b>%1\$s</b> could not be moved"] = "Soubor <b>%1\$s</b> neme bt pesunut";
$messages["File <b>%1\$s</b> is OK"] = "Soubor <b>%1\$s</b> je v podku";
$messages["Unable to move the uploaded file to the temp directory.<br /><br />The administrator of this website has to <b>chmod 777</b> the /temp directory of net2ftp."] = "Nepodailo se pesunout nahran soubor do doasnho adrese.<br /><br />Administrtor tohoto webovho serveru mus na adres net2ftp /temp provst <b>chmod 777</b>.";
$messages["You did not provide any file to upload."] = "Neposkytl jste dn soubor, kter se m nahrt";

// ftp_transferfiles()
$messages["File <b>%1\$s</b> could not be transferred to the FTP server"] = "Soubor <b>%1\$s</b> nemohl bt penesen na FTP server";
$messages["File <b>%1\$s</b> has been transferred to the FTP server using FTP mode <b>%2\$s</b>"] = "Soubor <b>%1\$s</b> byl na FTP server penesen v reimu <b>%2\$s</b>";
$messages["Transferring files to the FTP server"] = "Penen soubor na FTP server";

// ftp_unziptransferfiles()
$messages["Processing archive nr %1\$s: <b>%2\$s</b>"] = "Zpracovn archivu . %1\$s: <b>%2\$s</b>";
$messages["Unable to open the archive <b>%1\$s</b> (file %2\$s)"] = "Nepodailo se otevt archiv <b>%1\$s</b> (soubor %1\$s)";
$messages["Could not create directory <b>%1\$s</b>"] = "Nepodailo se vytvoit adres <b>%1\$s</b>";
$messages["Created directory <b>%1\$s</b>"] = "Adres <b>%1\$s</b> byl vytvoen";
$messages["File Contents:"] = "Obsah souboru:";
$messages["Could not put the file <b>%1\$s</b> to the directory <b>%2\$s</b>"] = "Nepodailo se uloit soubor <b>%1\$s</b> do adrese <b>%2\$s</b>";
$messages["Transferred file <b>%1\$s</b> to directory <b>%2\$s</b>"] = "Soubor <b>%1\$s</b> byl penesen do adrese <b>%1\$s</b>";
$messages["Unable to delete the archive <b>%1\$s</b> (file %2\$s)"] = "Nepodailo se smazat archiv <b>%1\$s</b> (soubor %2\$s)";
$messages["Unable to get the list of the contents of the Zip archive. Error code: %1\$s"] = "Nepodailo se zskat seznam soubor v Zip archivu. Chybov kd: %1\$s";
$messages["Unable to get the list of the contents of the Tar archive."] = "Nepodailo se zskat seznam soubor v Tar archivu.";
$messages["Could not create directory <b>%1\$s</b>"] = "Nepodailo se vytvoit adres <b>%1\$s</b>";
$messages["Created directory <b>%1\$s</b>"] = "Adres <b>%1\$s</b> byl vytvoen";
$messages["Unable to create the temporary file"] = "Nepodailo se vytvoit doasn soubor";
$messages["Unable to extract file nr <b>%1\$s</b> from the archive."] = "Z archivu se nepodailo rozbalit soubor . <b>%1\$s</b>.";
$messages["Could not put file <b>%1\$s</b> to directory <b>%2\$s</b>"] = "Nepodailo se uloit soubor <b>%1\$s</b> do adrese <b>%2\$s</b>";
$messages["Transferred file <b>%1\$s</b> to directory <b>%2\$s</b>"] = "Soubor <b>%1\$s</b> byl penesen do adrese <b>%2\$s</b>";
$messages["Unable to delete the temporary file <b>%1\$s</b>."] = "Nepodailo se smazat doasn soubor <b>%1\$s</b>.";
$messages["Archive <b>%1\$s</b> was not processed because its filename extension was not recognized. Only zip, tar, tgz and gz archives are supported at the moment."] = "Archiv <b>%1\$s</b> nebyl zpracovn, protoe pponu jeho souboru se nepodailo rozpoznat. Momentln jsou podporovny pouze archivy zip, tar, tgz a gz.";
$messages["Unzipping and transferring files"] = "Rozbaluji a penm soubory";

// ftp_mysite()
$messages["Unable to execute site command <b>%1\$s</b>"] = "Nepodailo se vykonat pkaz serveru <b>%1\$s</b>";

// shutdown()
$messages["Shutdown message"]  = "";
$messages["Shutdown message"] .= "<b>Vae loha byla zastavena</b><br /><br />";
$messages["Shutdown message"] .= "loha, kterou jste chtli pomoc net2ftp provst, trvala vce ne povolench %1\$s sekund, a proto byla zastavena.<br />";
$messages["Shutdown message"] .= "Tento asov limit zaruuje spravedliv vyuit webovho serveru vemi uivateli.<br /><br />";
$messages["Shutdown message"] .= "Pokuste se vae lohy rozdlit na men sti: omezte vbr soubor a vynechejte ty nejvt.<br /><br />";
$messages["Shutdown message"] .= "Pokud opravdu potebujete, aby net2ftp dokzalo zpracovat nron dlouhotrvajc lohy, zvate instalaci net2ftp na vlastnm serveru.";

// SendMail()
$messages["You did not provide any text to send by email!"] = "Neuvedl jste dn text, kter by se ml poslat e-mailem!";
$messages["You did not supply a From address."] = "Neuvedl jste adresu odeslatele.";
$messages["You did not supply a To address."] = "Neuvedl jste adresu pjemce.";
$messages["Due to technical problems the email to <b>%1\$s</b> could not be sent."] = "Kvli technickm problmm nebylo mon odeslat e-mail na adresu <b>%1\$s</b>.";

// printFunctionTags()
$messages["Output generated by function %1\$s"] = "Vstup vygenerovn funkc %1\$s";



// -------------------------------------------------------------------------
// homepage.inc.php
if ($state == "homepage") {
// -------------------------------------------------------------------------
$messages["net2ftp features short"]  = "Once you are logged in, you will be able to: \n";
$messages["net2ftp features short"] .= "<ul>\n";
$messages["net2ftp features short"] .= "<li> Navigate the FTP server<br /> <span style=\"font-size: 80%%\">\n";
$messages["net2ftp features short"] .= "Once you have logged in, you can browse from directory to directory and see all the subdirectories and files.</span></li>\n";
$messages["net2ftp features short"] .= "<li> Upload files<br /> <span style=\"font-size: 80%%\">\n";
$messages["net2ftp features short"] .= "There are 3 different ways to upload files: the standard upload form, the upload-and-unzip functionality, and the Java Applet.</span></li>\n";
$messages["net2ftp features short"] .= "<li> Download files<br /> <span style=\"font-size: 80%%\">\n";
$messages["net2ftp features short"] .= "Click on a filename to quickly download one file.<br />\n";
$messages["net2ftp features short"] .= "Select multiple files and click on Download; the selected files will be downloaded in a zip archive.</span></li>\n";
$messages["net2ftp features short"] .= "<li> Zip files<br /> <span style=\"font-size: 80%%\">\n";
$messages["net2ftp features short"] .= "... and save the zip archive on the FTP server, or email it to someone.</span></li>\n";
$messages["net2ftp features short"] .= "<li> Copy, move and delete<br /> <span style=\"font-size: 80%%\">\n";
$messages["net2ftp features short"] .= "Directories are handled recursively, meaning that their content (subdirectories and files) will also be copied, moved or deleted.</span></li>\n";
$messages["net2ftp features short"] .= "<li> Copy or move to a 2nd FTP server<br /> <span style=\"font-size: 80%%\">\n";
$messages["net2ftp features short"] .= "Handy to import files to your FTP server, or to export files from your FTP server to another FTP server.</span></li>\n";
$messages["net2ftp features short"] .= "<li> Rename and chmod<br /> <span style=\"font-size: 80%%\">\n";
$messages["net2ftp features short"] .= "Chmod handles directories recursively.</span></li>\n";
$messages["net2ftp features short"] .= "<li> View code with syntax highlighting<br /> <span style=\"font-size: 80%%\">\n";
$messages["net2ftp features short"] .= "PHP functions are linked to the documentation on php.net.</span></li>\n";
$messages["net2ftp features short"] .= "<li> Plain text editor<br /> <span style=\"font-size: 80%%\">\n";
$messages["net2ftp features short"] .= "Edit text right from your browser; every time you save the changes the new file is transferred to the FTP server.</span></li>\n";
$messages["net2ftp features short"] .= "<li> HTML editors<br /> <span style=\"font-size: 80%%\">\n";
$messages["net2ftp features short"] .= "Edit HTML a What-You-See-Is-What-You-Get (WYSIWYG) form; there are 3 different editors to choose from.</span></li>\n";
$messages["net2ftp features short"] .= "<li> Code editor<br /> <span style=\"font-size: 80%%\">\n";
$messages["net2ftp features short"] .= "Edit HTML and PHP in an editor with syntax highlighting.</span></li>\n";
$messages["net2ftp features short"] .= "<li> Search for words or phrases<br /> <span style=\"font-size: 80%%\">\n";
$messages["net2ftp features short"] .= "Filter out files based on the filename, last modification time and filesize.</span></li>\n";
$messages["net2ftp features short"] .= "<li> Calculate size<br /> <span style=\"font-size: 80%%\">\n";
$messages["net2ftp features short"] .= "Calculate the size of directories and files.</span></li>\n";
$messages["net2ftp features short"] .= "</ul>\n";

} // end homepage


// -------------------------------------------------------------------------
// net2ftp_loginform.inc.php
// -------------------------------------------------------------------------
$messages["FTP server"] = "FTP server" ;
$messages["Example"] = "Pklad";
$messages["Username"] = "Uivatelsk jmno";
$messages["Password"] = "Heslo";
$messages["Anonymous"] = "Anonymn";
$messages["Passive mode"] = "Pasivn reim";
$messages["Initial directory"] = "Vchoz adres";
$messages["Language"] = "Jazyk";
$messages["Skin"] = "Motiv";
$messages["FTP mode"] = "FTP md";
$messages["Login"] = "Pihlsit";
$messages["Clear cookies"] = "Vymazat cookies";
$messages["Please enter an FTP server."] = "Please enter an FTP server.";
$messages["Please enter a username."] = "Please enter a username.";
$messages["Please enter a password."] = "Please enter a password.";


// -------------------------------------------------------------------------
// html.inc.php
// -------------------------------------------------------------------------

// HtmlBegin()
$messages["Status:"] = "Stav:";

// HtmlEnd()
$messages["net2ftp Help Guide"] = "Npovda net2ftp";
$messages["net2ftp Forums"] = "Fra net2ftp";
$messages["License"] = "Licence";
$messages["Powered by"] = "B dky";

// printJavascriptFunctions()
$messages["Choose a directory"] = "Vyberte adres";
$messages["Please wait..."] = "Prosm ekejte...";
$messages["Uploading... please wait..."] = "Nahrvm... prosm ekejte...";
$messages["If the upload takes more than the allowed <b>%1\$s seconds<\/b>, you will have to try again with less/smaller files."] = "Pokud nahrn bude trvat dle ne povolench <b>%1\$s sekund<\/b>, muste to zkusit znovu s mn nebo menmi soubory.";
$messages["This window will close automatically in a few seconds."] = "Toto okno se za nkolik vtein automaticky zave.";
$messages["Close window now"] = "Zavt okno hned";


// -------------------------------------------------------------------------
// httpheaders.inc.php
// -------------------------------------------------------------------------
// Nothing to translate


// -------------------------------------------------------------------------
// manage.inc.php
if ($state == "manage") {
// -------------------------------------------------------------------------

// manage()
$messages["Please select at least one directory or file!"] = "Vyberte prosm alespo jeden adres nebo soubor!";
$messages["Unexpected state2 string. Exiting."] = "Neoekvan stavov etzec 2. Konm.";

// renameentry()
if ($state2 == "rename") {
$messages["Rename directories and files"] = "Pejmenovat adrese nebo soubory";
$messages["Old name: "] = "Star jmno: ";
$messages["New name: "] = "Nov jmno: ";
$messages["The new name may not contain any dots. This entry was not renamed to <b>%1\$s</b>"] = "Nov jmno nesm obsahovat dn teky. Tato poloka byla pejmenovna na <b>%1\$s</b>";
$messages["<b>%1\$s</b> was successfully renamed to <b>%2\$s</b>"] = "<b>%1\$s</b> byl spn pejmenovn na <b>%2\$s</b>";
$messages["<b>%1\$s</b> could not be renamed to <b>%2\$s</b>"] = "<b>%1\$s</b> nemohl bt pejmenovn na <b>%2\$s</b>";
}

// chmodentry()
if ($state2 == "chmod") {
$messages["Chmod directories and files"] = "Zmnit prva adresm a souborm";
$messages["Set all permissions"] = "Nastavit vechna prva";
$messages["Read"] = "ten";
$messages["Write"] = "Zpis";
$messages["Execute"] = "Sputn";
$messages["Owner"] = "Vlastnk";
$messages["Group"] = "Skupina";
$messages["Everyone"] = "Kdokoliv";
$messages["To set all permissions to the same values, enter those permissions above and click on the button \"Set all permissions\""] = "Pokud chcete nastavit vechna prva na stejnou hodnotu, zadejte tato prva ve a stisknte tlatko \"Nastavit vechna prva\"";
$messages["Set the permissions of directory <b>%1\$s</b> to: "] = "Nastavit prva adrese <b>%1\$s</b> na: ";
$messages["Set the permissions of file <b>%1\$s</b> to: "] = "Nastavit prva souboru <b>%1\$s</b> na: ";
$messages["Set the permissions of symlink <b>%1\$s</b> to: "] = "Nastavit prva symlinku <b>%1\$s</b> na: ";
$messages["Chmod value"] = "Hodnota pro chmod";
$messages["Chmod also the subdirectories within this directory"] = "Zmnit prva tak vem podadresm v tomto adresi";
$messages["Chmod also the files within this directory"] = "Zmnit prva tak vem souborm v tomto adresi";
$messages["The chmod nr <b>%1\$s</b> is out of the range 000-777. Please try again."] = "slo pro chmod <b>%1\$s</b> je mimo rozsah 000-777. Zkuste to prosm znovu.";
}

// copymovedeleteentry()
if ($state2 == "copy" || $state2 == "move" || $state2 == "delete") {
$messages["Copy directories and files"] = "Koprovat adrese a soubory";
$messages["Move directories and files"] = "Pesunout adrese a soubory";
$messages["Delete directories and files"] = "Smazat adrese a soubory";
$messages["Are you sure you want to delete these directories and files?"] = "Jste si jist, e chcete smazat tyto adrese a soubory?";
$messages["All the subdirectories and files of the selected directories will also be deleted!"] = "Ve vybranch adresch budou smazny tak vechny podadrese a soubory!";
$messages["Set all targetdirectories"] = "Nastavit vechny clov adrese";
$messages["To set a common target directory, enter that target directory in the textbox above and click on the button \"Set all targetdirectories\"."] = "Pokud chcete nastavit obvykl clov adres, zadejte ho do textovho polka ve a stisknte tlatko \"Nastavit vechny clov adrese\".";
$messages["Note: the target directory must already exist before anything can be copied into it."] = "Poznmka: clov adres mus existovat dve, ne do nj bude cokoliv zkoprovno.";
$messages["Different target FTP server:"] = "Jin clov FTP server:";
$messages["Leave empty if you want to copy the files to the same FTP server."] = "Nechte przdn, pokud chcete soubory zkoprovat na stejn FTP server.";
$messages["If you want to copy the files to another FTP server, enter your login data."] = "Pokud chcete soubory zkoprovat na jin FTP server, zadejte vae pihlaovac daje.";
$messages["Leave empty if you want to move the files to the same FTP server."] = "Nechte przdn, pokud chcete soubory pesunout na stejn FTP server.";
$messages["If you want to move the files to another FTP server, enter your login data."] = "Pokud chcete soubory pesunout na jin FTP server, zadejte vae pihlaovac daje.";
$messages["Copy directory <b>%1\$s</b> to:"] = "Zkoprovat adres <b>%1\$s</b> do:";
$messages["Move directory <b>%1\$s</b> to:"] = "Pesunout adres <b>%1\$s</b> do:";
$messages["Directory <b>%1\$s</b>"] = "Adres <b>%1\$s</b>";
$messages["Copy file <b>%1\$s</b> to:"] = "Zkoprovat soubor <b>%1\$s</b> do:";
$messages["Move file <b>%1\$s</b> to:"] = "Pesunout soubor <b>%1\$s</b> do:";
$messages["File <b>%1\$s</b>"] = "Soubor <b>%1\$s</b>";
$messages["Copy symlink <b>%1\$s</b> to:"] = "Zkoprovat symlink <b>%1\$s</b> do:";
$messages["Move symlink <b>%1\$s</b> to:"] = "Pesunout symlink <b>%1\$s</b> do:";
$messages["Symlink <b>%1\$s</b>"] = "Symlink <b>%1\$s</b>" ;
$messages["Target directory:"] = "Clov adres:";
$messages["Target name:"] = "Clov jmno:";
$messages["Processing the entries:"] = "Zpracovn poloek:";
}

// newdirectory()
if ($state2 == "newdirectory") {
$messages["Create new directories"] = "Vytvoit nov adrese";
$messages["The new directories will be created in <b>%1\$s</b>."] = "Nov adrese budou vytvoen v <b>%1\$s</b>.";
$messages["New directory name:"] = "Jmno novho adrese:";
$messages["Directory <b>%1\$s</b> was successfully created."] = "Adres <b>%1\$s</b> byl v podku vytvoen.";
}

// uploadfile()
if ($state2 == "uploadfile") {
$messages["Upload files and archives"] = "Nahrt soubory a archivy";
$messages["Upload results"] = "Vsledky nahrn";
$messages["Checking files:"] = "Kontroluji soubory:";
$messages["Transferring files to the FTP server:"] = "Penen soubor na FTP server:";
$messages["Decompressing archives and transferring files to the FTP server:"] = "Rozbalovn archiv a penen soubor na FTP server:";
$messages["Upload more files and archives"] = "Nahrt vce soubor a archiv";
}

// printUploadForm() and javaupload()
if ($state2 == "uploadfile" || $state2 == "javaupload") {
$messages["Upload to directory:"] = "Nahrt do adrese:";
$messages["Files"] = "Soubory";
$messages["Archives"] = "Archiv";
$messages["Files entered here will be transferred to the FTP server."] = "Zde zadan soubory budou penesen na FTP server.";
$messages["Archives entered here will be decompressed, and the files inside will be transferred to the FTP server."] = "Zde zadan archivy budou rozbaleny a soubory uvnit budou peneseny na FTP server.";
$messages["Add another"] = "Pidat dal";
$messages["Use folder names (creates subdirectories automatically)"] = "Pout jmna adres (automaticky vytvoit podadrese)";
$messages["Restrictions:"] = "Omezen:";
$messages["The maximum size of one file is restricted by net2ftp to <b>%1\$s kB</b> and by PHP to <b>%2\$s</b>"] = "Maximln velikost jednoho souboru je v net2ftp omezena na <b>%1\$s kB</b> a v PHP na <b>%2\$s</b>";
$messages["The maximum execution time is <b>%1\$s seconds</b>"] = "Maximln as provdn je <b>%1\$s sekund</b>";
$messages["The FTP transfer mode (ASCII or BINARY) will be automatically determined, based on the filename extension"] = "Reim FTP penosu (ASCII nebo BINARY) bude automaticky nastaven podle koncovky";
$messages["If the destination file already exists, it will be overwritten"] = "Pokud clov soubor existuje, bude pepsn";

$messages["Upload directories and files using a Java applet"] = "Upload directories and files using a Java applet";
$messages["Number of files:"] = "Number of files:";
$messages["Size of files:"] = "Size of files:";
$messages["Add"] = "Add";
$messages["Remove"] = "Remove";
$messages["Upload"] = "Upload";
$messages["Add files to the upload queue"] = "Add files to the upload queue";
$messages["Remove files from the upload queue"] = "Remove files from the upload queue";
$messages["Upload the files which are in the upload queue"] = "Upload the files which are in the upload queue";
$messages["Maximum server space exceeded. Please select less/smaller files."] = "Maximum server space exceeded. Please select less/smaller files.";
$messages["Total size of the files is too big. Please select less/smaller files."] = "Total size of the files is too big. Please select less/smaller files.";
$messages["Total number of files is too high. Please select fewer files."] = "Total number of files is too high. Please select fewer files.";
$messages["Note: to use this applet, Sun's Java plugin must be installed (version 1.4 or newer)."] = "Note: to use this applet, Sun's Java plugin must be installed (version 1.4 or newer).";

$messages["Browser does not support Java applets"] = "Your browser does not support applets, or you have disabled applets in your browser settings.\n";
$messages["Browser does not support Java applets"] .= "To use this applet, please install the newest version of Sun's java. You can get it from <a href=\"http://www.java.com/\">java.com</a>. Click on Get It Now.\n";
$messages["Browser does not support Java applets"] .= "The online installation is about 1-2 MB and the offline installation is about 13 MB. This 'end-user' java is called JRE (Java Runtime Environment).\n";
$messages["Browser does not support Java applets"] .= "Alternatively, use net2ftp's normal upload or upload-and-unzip functionality.\n";
}

// zipentry()
if ($state2 == "zip") {
$messages["Zip entries"] = "Zazipovat poloky";
$messages["Save the zip file on the FTP server as:"] = "Uloit zip na FTP serveru jako:";
$messages["Email the zip file in attachment to:"] = "Poslat zip v ploze e-mailem na:";
$messages["Note that sending files is not anonymous: your IP address as well as the time of the sending will be added to the email."] = "Vezmte prosm na vdom, e penen soubor nen anonymn: do e-mailu bude pidna vae IP adresa a as odesln.";
$messages["Some additional comments to add in the email:"] = "Dal koment, kter chcete pipojit k e-mailu:";
$messages["You did not enter a filename for the zipfile. Go back and enter a filename."] = "Nezadali jste jmno zip souboru. Vrate se zpt a zadejte jmno souboru.";
$messages["The email address you have entered (%1\$s) does not seem to be valid.<br />Please enter an address in the format <b>username@domain.com</b>"] = "Zd se, e e-mailov adresa, kterou jste zadal (%1\$s), nen platn.<br />Zadejte prosm adresu ve formtu <b>uzivatel@domena.cz</b>";
}

// calculatesize()
if ($state2 == "calculatesize") {
$messages["Size of selected directories and files"] = "Velikost vybranch adres a soubor";
$messages["The total size taken by the selected directories and files is:"] = "Celkov velikost vybranch adres a soubor je:";
$messages["The nr of files which were skipped:"] = "Poet soubor, kter byly peskoeny:";
}

// findstring()
if ($state2 == "findstring") {
$messages["Search directories and files"] = "Prohledat adrese a soubory";
$messages["Search results"] = "Vsledky vyhledvn";
$messages["Please enter a valid search word or phrase."] = "Zadejte prosm platn slovo nebo slovn spojen pro vyhledvn.";
$messages["Please enter a valid filename."] = "Zadejte prosm platn jmno souboru.";
$messages["Please enter a valid file size in the \"from\" textbox, for example 0."] = "Zadejte prosm platnou velikost souboru do textovho pole \"od\", napklad 0.";
$messages["Please enter a valid file size in the \"to\" textbox, for example 500000."] = "Zadejte prosm platnou velikost souboru do textovho pole \"do\", napklad 50000.";
$messages["Please enter a valid date in Y-m-d format in the \"from\" textbox."] = "Zadejte prosm platn datum ve formtu Y-m-d do textovho pole \"od\".";
$messages["Please enter a valid date in Y-m-d format in the \"to\" textbox."] = "Zadejte prosm platn datum ve formtu Y-m-d do textovho pole \"do\".";
$messages["The word <b>%1\$s</b> was not found in the selected directories and files."] = "Slovo <b>%1\$s</b> nebylo ve vybranch adresch a souborech nalezeno.";
$messages["The word <b>%1\$s</b> was found in the following files:"] = "Slovo <b>%1\$s</b> bylo nalezeno v tchto souborech:";
$messages["Search again"] = "Hledat znovu";
}

// printFindstringForm()
if ($state2 == "findstring") {
$messages["Search for a word or phrase"] = "Hledat slovo nebo slovn spojen";
$messages["Case sensitive search"] = "Rozliovat velikost psmen";
$messages["Restrict the search to:"] = "Omezit vyhledvn na:";
$messages["files with a filename like"] = "soubory se jmnem vyhovujcmu";
$messages["(wildcard character is *)"] = "(zstupn znak je *)";
$messages["files with a size"] = "soubory s velikost";
$messages["from"] = "od";
$messages["to"] = "do";
$messages["files which were last modified"] = "soubory, kter byly naposledy zmnny";
}

// updatefile()
if ($state2 == "updatefile") {
$messages["Update file"] = "Aktualizovat soubor";
$messages["<b>WARNING: THIS FUNCTION IS STILL IN EARLY DEVELOPMENT. USE IT ONLY ON TEST FILES! YOU HAVE BEEN WARNED!"] = "<b>VAROVN: TATO FUNKCE JE STLE V POTEN FZI VVOJE. POUVEJTE JI POUZE NA TESTOVAC SOUBORY! BYL JSTE VAROVN!</b>";
$messages["Known bugs: - erases tab characters - doesn't work well with big files (> 50kB) - was not tested yet on files containing non-standard characters</b>"] = "Znm pote: - odstrauje tabultory - nepracuje korektn s velkmi soubory (> 50kB) - dosud nebylo testovno se soubory, kter obsahuj nestandardn znaky</b>";
$messages["This function allows you to upload a new version of the selected file, to view what are the changes and to accept or reject each change. Before anything is saved, you can edit the merged files."] = "Tato funkce vm umouje nahrt novou verzi vybranho souboru, abyste se mohli podvat, jak byly provedeny zmny, a nsledn mohli kadou zmnu schvlit nebo zamtnout. Ped tm, ne je cokoliv uloeno, mete slouen soubor editovat.";
$messages["Old file:"] = "Star soubor:";
$messages["New file:"] = "Nov soubor:";
$messages["Restrictions:"] = "Omezen:";
$messages["The maximum size of one file is restricted by net2ftp to <b>%1\$s kB</b> and by PHP to <b>%2\$s</b>"] = "Maximln velikost jednoho souboru je v net2ftp omezena na <b>%1\$s kB</b> a v PHP na <b>%2\$s</b>";
$messages["The maximum execution time is <b>%1\$s seconds</b>"] = "Maximln as provdn je <b>%1\$s sekund</b>";
$messages["The FTP transfer mode (ASCII or BINARY) will be automatically determined, based on the filename extension"] = "Reim FTP penosu (ASCII nebo BINARY) bude automaticky nastaven podle koncovky";
$messages["If the destination file already exists, it will be overwritten"] = "Pokud clov soubor existuje, bude pepsn";
$messages["You did not provide any files or archives to upload."] = "Neposkytl jste dn soubory nebo archivy, kter chcete nahrt.";
$messages["Unable to delete the new file"] = "Nepodailo se smazat nov soubor";
}

// printComparisonSelect()
if ($state2 == "updatefile") {
$messages["Please wait..."] = "Prosm ekejte...";
$messages["Select lines below, accept or reject changes and submit the form."] = "Vyberte dky ne, schvalte nebo zamtnte zmny a odelete formul.";
}

} // end manage


// -------------------------------------------------------------------------
// registerglobals.inc.php
// -------------------------------------------------------------------------
$messages["Please enter your username and password for FTP server "] = "Prosm zadejte sv pihlaovac jmno a heslo k FTP serveru ";
$messages["You did not fill in your login information in the popup window.<br />Click on \"Go to the login page\" below."] = "Nevyplnili jste pihlaovac informace do vyskakovacho oknka.<br />Ne kliknte na \"Pejt na pihlaovac strnku\".";
$messages["Access to the net2ftp Admin panel is disabled, because no password has been set in the file settings.inc.php. Enter a password in that file, and reload this page."] = "Pstup k Administranmu panelu net2ftp je zakzan, protoe v souboru settings.inc.php nebylo nastaveno dn heslo. Vlote heslo do tohoto souboru a aktualizujte tuto strnku.";
$messages["Please enter your Admin username and password"] = "Zadejte prosm sv administrtorsk uivatelsk jmno a heslo"; 
$messages["You did not fill in your login information in the popup window.<br />Click on \"Go to the login page\" below."] = "Ve vyskakovacm oknku jste nevyplnili sv pihlaovac daje.<br />Ne kliknte na \"Pejt na pihlaovac strnku\".";
$messages["Wrong username or password for the net2ftp Admin panel. The username and password can be set in the file settings.inc.php."] = "ptan uivatelsk jmno nebo heslo pro Administran panel net2ftp. Uivatelsk jmno a heslo me bt nastaveno v souboru settings.inc.php.";


// -------------------------------------------------------------------------
// skins.inc.php
// -------------------------------------------------------------------------
$messages["Blue"] = "Modr";
$messages["Grey"] = "ed";
$messages["Black"] = "ern";
$messages["Yellow"] = "lut";
$messages["Pastel"] = "Pastelov";

// getMime()
$messages["Directory"] = "Adres";
$messages["Symlink"] = "Symlink" ;
$messages["ASP script"] = "ASP skript";
$messages["Cascading Style Sheet"] = "Kaskdov styl";
$messages["HTML file"] = "HTML soubor";
$messages["Java source file"] = "Zdrojov soubor Java";
$messages["JavaScript file"] = "soubor JavaScript";
$messages["PHP Source"] = "PHP zdrojov kd";
$messages["PHP script"] = "PHP skript";
$messages["Text file"] = "Textov soubor";
$messages["Bitmap file"] = "Bitmapa";
$messages["GIF file"] = "Obrzek GIF";
$messages["JPEG file"] = "Obrzek JPEG";
$messages["PNG file"] = "Obrzek PNG";
$messages["TIF file"] = "Obrzek TIF";
$messages["GIMP file"] = "Obrzek GIMP";
$messages["Executable"] = "Spustiteln soubor";
$messages["Shell script"] = "Shellovsk skript";
$messages["MS Office - Word document"] = "MS Office - dokument Word";
$messages["MS Office - Excel spreadsheet"] = "MS Office - tabulka Excel";
$messages["MS Office - PowerPoint presentation"] = "MS Office - prezentace PowerPoint";
$messages["MS Office - Access database"] = "MS Office - databze Access";
$messages["MS Office - Visio drawing"] = "MS Office - kresba Visio";
$messages["MS Office - Project file"] = "MS Office - projekt aplikace Project";
$messages["OpenOffice - Writer 6.0 document"] = "OpenOffice - dokument Writer 6.0";
$messages["OpenOffice - Writer 6.0 template"] = "OpenOffice - ablona Writer 6.0";
$messages["OpenOffice - Calc 6.0 spreadsheet"] = "OpenOffice - tabulka Calc 6.0";
$messages["OpenOffice - Calc 6.0 template"] = "OpenOffice - ablona Calc 6.0";
$messages["OpenOffice - Draw 6.0 document"] = "OpenOffice - dokument Draw 6.0";
$messages["OpenOffice - Draw 6.0 template"] = "OpenOffice - ablona Draw 6.0";
$messages["OpenOffice - Impress 6.0 presentation"] = "OpenOffice - prezentace Impress 6.0";
$messages["OpenOffice - Impress 6.0 template"] = "OpenOffice - ablona Impress 6.0";
$messages["OpenOffice - Writer 6.0 global document"] = "OpenOffice - globln dokument Writer 6.0";
$messages["OpenOffice - Math 6.0 document"] = "OpenOffice - dokument Math 6.0";
$messages["StarOffice - StarWriter 5.x document"] = "StarOffice - dokument StarWriter 5.x";
$messages["StarOffice - StarWriter 5.x global document"] = "StarOffice - globln dokument StarWriter 5.x";
$messages["StarOffice - StarCalc 5.x spreadsheet"] = "StarOffice - tabulka StarCalc 5.x";
$messages["StarOffice - StarDraw 5.x document"] = "StarOffice - dokument StarDraw 5.x";
$messages["StarOffice - StarImpress 5.x presentation"] = "StarOffice - prezentace StarImpress 5.x";
$messages["StarOffice - StarImpress Packed 5.x file"] = "StarOffice - soubor StarImpress Packed 5.x";
$messages["StarOffice - StarMath 5.x document"] = "StarOffice - dokument StarMath 5.x";
$messages["StarOffice - StarChart 5.x document"] = "StarOffice - dokument StarChart 5.x";
$messages["StarOffice - StarMail 5.x mail file"] = "StarOffice - soubor poty StarMail 5.x";
$messages["Adobe Acrobat document"] = "dokument Adobe Acrobat";
$messages["ARC archive"] = "Archiv ARC";
$messages["ARJ archive"] = "Archiv ARJ";
$messages["RPM"] = "RPM" ;
$messages["GZ archive"] = "Archiv GZ";
$messages["TAR archive"] = "Archiv TAR";
$messages["Zip archive"] = "Archiv Zip";
$messages["MOV movie file"] = "Video MOV";
$messages["MPEG movie file"] = "Video MPEG";
$messages["Real movie file"] = "Video Real";
$messages["Quicktime movie file"] = "Video Quicktime";
$messages["Shockwave flash file"] = "Shockwave Flash";
$messages["Shockwave file"] = "Soubor Shockwave";
$messages["WAV sound file"] = "Zvuk WAV";
$messages["Font file"] = "Soubor fontu";
$messages["%1\$s File"] = "Soubor %1\$s";
$messages["File"] = "Soubor";

// getAction()
$messages["Back"] = "Zpt";
$messages["Submit"] = "Odeslat";
$messages["Refresh"] = "Obnovit";
$messages["Details"] = "Detaily";
$messages["Icons"] = "Ikony";
$messages["List"] = "Seznam";
$messages["Logout"] = "Odhlsit";
$messages["Help"] = "Npovda";
$messages["Bookmark"] = "Oblben";
$messages["Save"] = "Uloit";
$messages["Default"] = "Vchoz";


// -------------------------------------------------------------------------
// view.inc.php
// -------------------------------------------------------------------------
$messages["Image"] = "Obrzek";
$messages["View Macromedia ShockWave Flash movie %1\$s"] = "Prohldnout si klip Macromedia ShockWave Flash %1\$s";
$messages["View file %1\$s"] = "Zobrazit soubor %1\$s";
$messages["To save the image, right-click on it and choose 'Save picture as...'"] = "Pokud chcete uloit obrzek, tak na nj kliknte pravm tlatkem myi a zvolte 'Uloit obrzek jako...'";



// ----------------------------------------------------------------------------------
// DO NOT CHANGE ANYTHING BELOW THIS LINE
// ----------------------------------------------------------------------------------

return $messages;

} // end function getMessages

?>