<?php

//   -------------------------------------------------------------------------------
//  |                  net2ftp: a web based FTP client                              |
//  |              Copyright (c) 2003-2005 by David Gartner                         |
//  |                                                                               |
//  | This program is free software; you can redistribute it and/or                 |
//  | modify it under the terms of the GNU General Public License                   |
//  | as published by the Free Software Foundation; either version 2                |
//  | of the License, or (at your option) any later version.                        |
//  |                                                                               |
//   -------------------------------------------------------------------------------

//   -------------------------------------------------------------------------------
//  | Language: Russian                                                             |
//   -------------------------------------------------------------------------------
//  | Morozov Egor <email> 2004-06-30                                               |
//   -------------------------------------------------------------------------------
//  |                                                                               |
//  |                              INSTRUCTIONS                                     |
//  |                                                                               |
//  |  The messages to translate are listed below.                                  |
//  |  The structure of each line is like this:                                     |
//  |     $message["Hello world!"] = "Hello world!";                                |
//  |                                                                               |
//  |  Keep the text between square brackets [] as it is.                           |
//  |  Translate the 2nd part, keeping the same punctuation and HTML tags.          |
//  |                                                                               |
//  |  The English message, for example                                             |
//  |     $message["net2ftp is written in PHP!"] = "net2ftp is written in PHP!";    |
//  |  should become after translation:                                             |
//  |     $message["net2ftp is written in PHP!"] = "net2ftp est ecrit en PHP!";     |
//  |     $message["net2ftp is written in PHP!"] = "net2ftp is geschreven in PHP!"; |
//  |                                                                               |
//  |  Note that the variable starts with a dollar sign $, that the value is        |
//  |  enclosed in double quotes " and that the line ends with a semi-colon ;       |
//  |  Be careful when editing this file, do not erase those special characters.    |
//  |                                                                               |
//  |  Some messages also contain one or more variables which start with a percent  |
//  |  sign, for example %1\$s or %2\$s. The English message, for example           |
//  |     $messages[...] = ["The file %1\$s was copied to %2\$s "]                  |
//  |  should becomes after translation:                                            |
//  |     $messages[...] = ["Le fichier %1\$s a t copi vers %2\$s "]             |
//  |                                                                               |
//  |  When a real percent sign % is needed in the text it is entered as %%         |
//  |  otherwise it is interpreted as a variable. So no, it's not a mistake.        |
//  |                                                                               |
//  |  Between the messages to translate there is additional PHP code, for example: |
//  |     if ($state2 == "rename") {                               // <-- PHP code  |
//  |     $messages["Rename directories"] = "Rename directories";  // <-- message   |
//  |     }                                                        // <-- PHP code  |
//  |  This code is needed to load the messages only when they are actually needed. |
//  |  There is no need to change or delete any of that PHP code; translate only    |
//  |  the message.                                                                 |
//  |                                                                               |
//  |  Thanks in advance to all the translators!                                    |
//  |  David.                                                                       |
//  |                                                                               |
//  |  Added by translator: ( )                                |
//  |      ,    email: kme2003@inbox.ru           |
//  |    ICQ: 248414611                                                        |
//  |                                                                               |
//  |   ,  .                                                   |
//  |        WebMoney: WMID: 939773957195       |
//  |   e-port: 100151-03959                                                     |
//   -------------------------------------------------------------------------------

function getMessages() {
global $state, $state2;


// -------------------------------------------------------------------------
// Used encoding
// -------------------------------------------------------------------------
$messages["iso-8859-1"] = "windows-1251";


// -------------------------------------------------------------------------
// Status messages
// -------------------------------------------------------------------------
// When translating these messages, keep in mind that the text should not be too long
// It should fit in the status textbox
$messages["Connecting to the FTP server"] = "  FTP-";
$messages["Getting the list of directories and files"] = "    ";
$messages["Printing the list of directories and files"] = "    ";
$messages["Processing the entries"] = " ";
$messages["Checking files"] = " ";
$messages["Transferring files to the FTP server"] = "   FTP-";
$messages["Decompressing archives and transferring files"] = "    ";
$messages["Searching the files..."] = " ...";
$messages["Uploading new file"] = "  ";
$messages["Reading the new file"] = "  ";
$messages["Reading the old file"] = "  ";
$messages["Comparing the 2 files"] = "  ";
$messages["Printing the comparison"] = " ";
$messages["Script finished in %1\$s seconds"] = "   %1\$s ";
$messages["Script halted"] = " ";


// -------------------------------------------------------------------------
// index.php
// -------------------------------------------------------------------------
$messages["Unexpected state string. Exiting."] = "  . .";
$messages["This beta function is not activated on this server."] = "      .";
$messages["This function has been disabled by the Administrator of this website."] = "This function has been disabled by the Administrator of this website.";


// -------------------------------------------------------------------------
// admin.inc.php
if ($state == "admin") {
// -------------------------------------------------------------------------
$messages["Admin functions"] = "Admin functions";

$messages["Version information"] = "Version information";
$messages["This version of net2ftp is up-to-date"] = "This version of net2ftp is up-to-date";
$messages["The latest version could not be retrieved from the net2ftp.com server. Check the security settings of your browser, which may prevent the loading of a small file from the net2ftp.com server."] = "The latest version could not be retrieved from the net2ftp.com server. Check the security settings of your browser, which may prevent the loading of a small file from the net2ftp.com server.";

$messages["Logging"] = "Logging";
$messages["Date from:"] = "Date from:";
$messages["to:"] = "to:";
$messages["Empty logs"] = "Empty";
$messages["View logs"] = "View logs";
$messages["No data"] = "No data";

$messages["Setup MySQL tables"] = "Setup MySQL tables";
$messages["Go"] = "Go";
$messages["Create the MySQL database tables"] = "Create the MySQL database tables";
$messages["Create tables"] = "Create tables";
$messages["The handle of file %1\$s could not be opened"] = "The handle of file %1\$s could not be opened";
$messages["The file %1\$s could not be opened"] = "The file %1\$s could not be opened";
$messages["The handle of file %1\$s could not be closed"] = "The handle of file %1\$s could not be closed";
$messages["MySQL username"] = "MySQL username";
$messages["MySQL password"] = "MySQL password";
$messages["MySQL database"] = "MySQL database";
$messages["MySQL server"] = "MySQL server";
$messages["This SQL query is going to be executed:"] = "This SQL query is going to be executed:";
$messages["Execute"] = "";
$messages["Settings used:"] = "Settings used:";
$messages["MySQL password length"] = "MySQL password length";
$messages["Results:"] = "Results:";
$messages["The connection to the server <b>%1\$s</b> could not be set up"] = "The connection to the server <b>%1\$s</b> could not be set up";
$messages["Unable to select the database <b>%1\$s</b>"] = "Unable to select the database <b>%1\$s</b>";
$messages["The SQL query could not be executed"] = "The SQL query could not be executed";
$messages["The tables were created successfully"] = "The tables were created successfully";

$messages["Beta functions"] = "Beta functions";
$messages["View logs"] = "View logs";
$messages["Empty logs"] = "Empty logs";
$messages["The table <b>%1\$s</b> was emptied successfully."] = "The table <b>%1\$s</b> was emptied successfully.";
$messages["The table <b>%1\$s</b> could not be emptied."] = "The table <b>%1\$s</b> could not be emptied.";

} // end admin

// -------------------------------------------------------------------------
// advanced.inc.php
if ($state == "advanced") {
// -------------------------------------------------------------------------

// advanced()
$messages["The site command functions are not available on this webserver."] = "      -.";
$messages["The Apache functions are not available on this webserver."] = " Apache    -.";
$messages["The MySQL functions are not available on this webserver."] = " MySQL    -.";
$messages["Unexpected state2 string. Exiting."] = "   2. .";

// printAdvancedFunctions()
$messages["Advanced functions"] = " ";
$messages["Go"] = "Go";
$messages["Troubleshooting functions"] = "Troubleshooting functions";
$messages["Troubleshoot net2ftp on this webserver"] = "  net2ftp   -";
$messages["Troubleshoot an FTP server"] = "  FTP-";
$messages["Translation functions"] = "Translation functions";
$messages["Introduction to the translation functions"] = "Introduction to the translation functions";
$messages["Extract messages to translate from code files"] = "Extract messages to translate from code files";
$messages["Check if there are new or obsolete messages"] = "Check if there are new or obsolete messages";
$messages["Beta functions"] = "Beta functions";
$messages["Send a site command to the FTP server"] = "Send a site command to the FTP server";
$messages["Apache: password-protect a directory, create custom error pages"] = "Apache: password-protect a directory, create custom error pages";
$messages["MySQL: execute an SQL query"] = "MySQL: execute an SQL query";

// troubleshoot_webserver()
$messages["Troubleshoot your net2ftp installation"] = "   net2ftp";
$messages["Checking if the FTP module of PHP is installed: "] = "   FTP  PHP: ";
$messages["yes"] = "";
$messages["no - please install it!"] = " - ,  !";
$messages["Checking the permissions of the directory on the web server: a small file will be written to the /temp folder and then deleted."] = "    -:        /temp   .";
$messages["Creating filename: "] = "   : ";
$messages["OK. Filename: %1\$s"] = "OK.  : %1\$s";
$messages["not OK"] = " OK";
$messages["OK"] = "OK";
$messages["not OK. Check the permissions of the %1\$s directory"] = " OK.    %1\$s";
$messages["Opening the file in write mode: "] = "Opening the file in write mode: ";
$messages["Writing some text to the file: "] = "   : ";
$messages["Closing the file: "] = " : ";
$messages["Deleting the file: "] = " : ";

// troubleshoot_ftpserver()
$messages["Troubleshoot an FTP server"] = "  FTP-";
$messages["FTP server port"] = " FTP-";
$messages["Connection settings:"] = " :";
$messages["Password length"] = " ";
$messages["Language"] = "";
$messages["Skin number"] = " ";
$messages["Connecting to the FTP server: "] = "  FTP-: ";
$messages["Logging into the FTP server: "] = "  FTP-: ";
$messages["Setting the passive mode: "] = "   : ";
$messages["Getting the FTP server system type: "] = "Getting the FTP server system type: ";
$messages["Changing to the directory %1\$s: "] = "   %1\$s: ";
$messages["The directory from the FTP server is: %1\$s "] = " FTP-: %1\$s ";
$messages["Getting the raw list of directories and files: "] = "    : ";
$messages["Trying a second time to get the raw list of directories and files: "] = "   : ";
$messages["Closing the connection: "] = " : ";
$messages["Raw list of directories and files:"] = "   :";
$messages["Parsed list of directories and files:"] = "    :";

// printTranslationFunctions()
$messages["net2ftp translation functions"] = "  net2ftp";
$messages["A PHP application can be translated using the standard <a href=\"http://www.php.net/gettext\">gettext</a> functions, or using a self-made translation function."] = " PHP   ,  <a href=\"http://www.php.net/gettext\">gettext</a>    .";
$messages["In both cases, the steps to take are similar."] = "     .";
$messages["Step 1: change code"] = " 1:  ";
$messages["All messages must be translated using a translation function, for example translate()."] = "    ,   , , translate().";
$messages["This Hello World code:"] = " Hello World :";
$messages["must be changed to this:"] = "    :";
$messages["Step 2: extract messages"] = " 2:  ";
$messages["All messages which are used by the translate() function must be extracted from the code files, and copied to a <b>main message file</b>."] = " ,    translate()          <b>  </b>.";
$messages["Step 3: translate messages"] = " 3:  ";
$messages["The main message file is given to translators, who rename the file and replace the messages in English by the translation."] = "    ,          .";
$messages["The translators return the <b>translated message files</b>."] = "  <b>  </b>.";
$messages["Each time the application is modified, a new main message file must be generated, as in step 2."] = " ,   ,     ,    2.";
$messages["In order to avoid translating everything all over again, it must then be compared to all translated message files, to check if there are new or obsolete messages."] = " ,   ,              .";
$messages["net2ftp can help in step 2 to extract messages to translate from code files"] = "net2ftp     2       ";
$messages["net2ftp can help in step 4 to check if there are new or obsolete messages"] = "net2ftp     4  ";

// translate_extract()
$messages["Extract messages from code files"] = "Extract messages from code files";
$messages["Directory containing code files:"] = "Directory containing code files:";
$messages["Translation function used in the code:"] = "Translation function used in the code:";
$messages["File to generate:"] = "File to generate:";
$messages["Extracted messages:"] = "Extracted messages:";
$messages["No messages were found, so no file was put on the FTP server."] = "No messages were found, so no file was put on the FTP server.";
$messages["The main language file <b>%1\$s</b> was transferred to directory <b>%2\$s</b>."] = "The main language file <b>%1\$s</b> was transferred to directory <b>%2\$s</b>.";

// translate_check()
$messages["Main language file:"] = "Main language file:";
$messages["Directory containing translated language files:"] = "Directory containing translated language files:";
$messages["File %1\$s was skipped because it could not be read, or because it was empty."] = "File %1\$s was skipped because it could not be read, or because it was empty.";
$messages["File nr %1\$s <b>%2\$s</b>"] = "File nr %1\$s <b>%2\$s</b>";
$messages["New messages:"] = "New messages:";
$messages["Obsolete messages:"] = "Obsolete messages:";
$messages["All the files have been processed"] = "All the files have been processed";

// sendsitecommand()
$messages["Send site command"] = "Send site command";
$messages["Enter the site command"] = "Enter the site command";
$messages["The commands you can use depends on your FTP server. These commands are not standard and vary a lot from one server to the other."] = "The commands you can use depends on your FTP server. These commands are not standard and vary a lot from one server to the other.";
$messages["Note that net2ftp cannot display the output of the FTP server, it can only tell if the command returned TRUE or FALSE. This is not a limitation of net2ftp but of PHP, the language in which net2ftp is written."] = "Note that net2ftp cannot display the output of the FTP server, it can only tell if the command returned TRUE or FALSE. This is not a limitation of net2ftp but of PHP, the language in which net2ftp is written.";
$messages["The command <b>%1\$s</b> was executed successfully."] = "The command <b>%1\$s</b> was executed successfully.";

// apache(), mysqlfunctions()
// Not yet translated

} // end advanced



// -------------------------------------------------------------------------
// authorizations.inc.php
// -------------------------------------------------------------------------

// checkAuthorization()
$messages["The FTP server <b>%1\$s</b> is not in the list of allowed FTP servers."] = "FTP- <b>%1\$s</b>      FTP-.";
$messages["The FTP server <b>%1\$s</b> is in the list of banned FTP servers."] = "FTP- <b>%1\$s</b>     FTP-.";
$messages["Your IP address (%1\$s) is in the list of banned IP addresses."] = " IP- (%1\$s)     IP-.";
$messages["The FTP server port %1\$s may not be used."] = " FTP- %1\$s   .";
$messages["You don't have the authorizations to view directory <b>%1\$s</b>."] = "       <b>%1\$s</b>.";

// logAccess(), logLogin(), logError()
// Not yet translated


// -------------------------------------------------------------------------
// bookmark.inc.php
if ($state == "bookmark") {
// -------------------------------------------------------------------------
$messages["Add this link to your bookmarks:"] = "     :";
$messages["Internet Explorer: right-click on the link and choose \"Add to Favorites...\""] = "Internet Explorer:        \"  ...\"";
$messages["Netscape, Mozilla, Firefox: right-click on the link and choose \"Bookmark This Link...\""] = "Netscape, Mozilla, Firefox:        \"Bookmark This Link...\"";
$messages["Note: when you will use this bookmark, a popup window will ask you for your username and password."] = ":     ,       .";

} // end bookmark


// -------------------------------------------------------------------------
// browse.inc.php
if ($state == "browse") {
// -------------------------------------------------------------------------

// browse()
$messages["Directories with names containing \' cannot be displayed correctly. They can only be deleted. Please go back and select another subdirectory."] = "  ,  \'    .    . ,     .";

$messages["Consumption message"]  = "";
$messages["Consumption message"] .= "<b>Daily limit reached: you will not be able to transfer data</b><br /><br />\n";
$messages["Consumption message"] .= "In order to guarantee the fair use of the web server for everyone, the data transfer volume and script execution time are limited per user, and per day. Once this limit is reached, you can still browse the FTP server but not transfer data to/from it.<br /><br />\n";
$messages["Consumption message"] .= "If you need unlimited usage, please install net2ftp on your own web server.<br />\n";

// ftp_getlist()
$messages["The directory <b>%1\$s</b> does not exist or could not be selected, so the root directory <b>/</b> is shown instead."] = " <b>%1\$s</b>       ,    <b>/</b> .";

// printdirfilelist()
// Keep this short, it must fit in a small button!
$messages["New dir"] = " ";
$messages["New file"] = " ";
$messages["HTML templates"] = "HTML templates";
$messages["Upload"] = "";
$messages["Java Upload"] = " Java";
$messages["Advanced"] = "";
$messages["Copy"] = ".";
$messages["Move"] = ".";
$messages["Delete"] = "";
$messages["Rename"] = ".";
$messages["Chmod"] = "Chmod";
$messages["Download"] = "";
$messages["Zip"] = "Zip";
$messages["Size"] = "";
$messages["Search"] = "";
$messages["Go to the parent directory"] = "   ";
$messages["Transform selected entries: "] = " : ";
$messages["Make a new subdirectory in directory %1\$s"] = "    %1\$s";
$messages["Create a new file in directory %1\$s"] = "    %1\$s";
$messages["Upload new files in directory %1\$s"] = "     %1\$s";
$messages["Go to the advanced functions"] = "  . ";
$messages["Copy the selected entries"] = "  ";
$messages["Move the selected entries"] = "  ";
$messages["Delete the selected entries"] = "  ";
$messages["Rename the selected entries"] = " ";
$messages["Chmod the selected entries (only works on Unix/Linux/BSD servers)"] = "Chmod  (  Unix/Linux/BSD )";
$messages["Download a zip file containing all selected entries"] = " zip-,   ";
$messages["Zip the selected entries to save or email them"] = "     email";
$messages["Calculate the size of the selected entries"] = "  ";
$messages["Find files which contain a particular word"] = " ,   ";
$messages["Click to sort by %1\$s in descending order"] = "   %1\$s   ";
$messages["Click to sort by %1\$s in ascending order"] = "   %1\$s   ";
$messages["Ascending order"] = "";
$messages["Descending order"] = "";
//$messages["Click to sort by %1\$s in ascending order"] = "Click to sort by %1\$s in ascending order";
$messages["Up"] = "";
$messages["Click to check or uncheck all rows"] = "      ";
$messages["All"] = "";
$messages["Name"] = "";
$messages["Type"] = "";
$messages["Size"] = "";
$messages["Owner"] = "";
$messages["Group"] = "";
$messages["Perms"] = "";
$messages["Mod Time"] = "";
$messages["Actions"] = "";
$messages["Download the file %1\$s"] = " %1\$s";
$messages["View"] = ".";
$messages["Edit"] = ".";
$messages["Update"] = "";
$messages["Open"] = "";
$messages["View the highlighted source code of file %1\$s"] = "   %1\$s";
$messages["Edit the source code of file %1\$s"] = "    %1\$s";
$messages["Upload a new version of the file %1\$s and merge the changes"] = "    1\$s   ";
$messages["View image %1\$s"] = "  %1\$s";
$messages["View the file %1\$s from your HTTP web server"] = "  %1\$s   HTTP-";
$messages["(Note: This link may not work if you don't have your own domain name.)"] = "(:    ,      .)";
$messages["This folder is empty"] = " ";

// printSeparatorRow()
$messages["Directories"] = "";
$messages["Files"] = "";
$messages["Symlinks"] = "";
$messages["Unrecognized FTP output"] = "  FTP";
$messages["Number"] = "Number";
$messages["Size"] = "Size";
$messages["Skipped"] = "Skipped";

// printLocationActions()
$messages["Language:"] = ":";
$messages["Skin:"] = ":";
$messages["View mode:"] = " :";
$messages["Directory Tree"] = " ";

// printURL()
$messages["Execute %1\$s in a new window"] = " %1\$s   ";

// printDirectorySelect()
$messages["Double-click to go to a subdirectory:"] = "     :";
$messages["Choose"] = "";
$messages["Up"] = "";

} // end browse


// -------------------------------------------------------------------------
// consumption.inc.php
// -------------------------------------------------------------------------
$messages["Unable to determine your IP address."] = "Unable to determine your IP address.";
$messages["Table net2ftp_logConsumptionIpaddress contains duplicate rows."] = "Table net2ftp_logConsumptionIpaddress contains duplicate rows.";
$messages["Table net2ftp_logConsumptionFtpserver contains duplicate rows."] = "Table net2ftp_logConsumptionFtpserver contains duplicate rows.";
$messages["The variable <b>consumption_ipaddress_dataTransfer</b> is not numeric."] = "The variable <b>consumption_ipaddress_dataTransfer</b> is not numeric.";
$messages["Table net2ftp_logConsumptionIpaddress could not be updated."] = "Table net2ftp_logConsumptionIpaddress could not be updated.";
$messages["Table net2ftp_logConsumptionIpaddress contains duplicate entries."] = "Table net2ftp_logConsumptionIpaddress contains duplicate entries.";
$messages["Table net2ftp_logConsumptionFtpserver could not be updated."] = "Table net2ftp_logConsumptionFtpserver could not be updated.";
$messages["Table net2ftp_logConsumptionFtpserver contains duplicate entries."] = "Table net2ftp_logConsumptionFtpserver contains duplicate entries.";
$messages["Daily limit reached: the file <b>%1\$s</b> will not be transferred"] = "Daily limit reached: the file <b>%1\$s</b> will not be transferred";


// -------------------------------------------------------------------------
// database.inc.php
// -------------------------------------------------------------------------
$messages["Unable to connect to the DB"] = "    ";
$messages["Unable to select the DB"] = "   ";


// -------------------------------------------------------------------------
// easywebsite.inc.php
if ($state == "easyWebsite") {
// -------------------------------------------------------------------------
$messages["Create a website in 4 easy steps"] = "Create a website in 4 easy steps";
$messages["Template overview"] = "Template overview";
$messages["Template details"] = "Template details";
$messages["Files are copied"] = "Files are copied";
$messages["Edit your pages"] = "Edit your pages";

// Screen 1 - printTemplateOverview
$messages["Click on the image to view the details of a template."] = "Click on the image to view the details of a template.";
$messages["Back to the Browse screen"] = "Back to the Browse screen";
$messages["Template"] = "Template";
$messages["Copyright"] = "Copyright";
$messages["Click on the image to view the details of this template"] = "Click on the image to view the details of this template";

// Screen 2 - printTemplateDetails
$messages["The template files will be copied to your FTP server. Existing files with the same filename will be overwritten. Do you want to continue?"] = "The template files will be copied to your FTP server. Existing files with the same filename will be overwritten. Do you want to continue?";
$messages["Preview"] = "Preview";
$messages["Install"] = "Install";
$messages["Size"] = "Size";
$messages["Preview page"] = "Preview page";
$messages["opens in a new window"] = "opens in a new window";

// Screen 3
$messages["Please wait while the template files are being transferred to your server: "] = "Please wait while the template files are being transferred to your server: ";
$messages["Done."] = "Done.";
$messages["Continue"] = "Continue";

// Screen 4 - printEasyAdminPanel
$messages["Edit page"] = "Edit page";
$messages["Browse the FTP server"] = "Browse the FTP server";
$messages["Add this link to your favorites to return to this page later on!"] = "Add this link to your favorites to return to this page later on!";
$messages["Edit website at %1\$s"] = "Edit website at %1\$s";
$messages["Internet Explorer: right-click on the link and choose \"Add to Favorites...\""] = "Internet Explorer: right-click on the link and choose \"Add to Favorites...\"";
$messages["Netscape, Mozilla, Firefox: right-click on the link and choose \"Bookmark This Link...\""] = "Netscape, Mozilla, Firefox: right-click on the link and choose \"Bookmark This Link...\"";

// ftp_copy_local2ftp
$messages["WARNING: Unable to create the subdirectory <b>%1\$s</b>. It may already exist. Continuing..."] = "WARNING: Unable to create the subdirectory <b>%1\$s</b>. It may already exist. Continuing...";
$messages["Created target subdirectory <b>%1\$s</b>"] = "Created target subdirectory <b>%1\$s</b>";
$messages["WARNING: Unable to copy the file <b>%1\$s</b>. Continuing..."] = "WARNING: Unable to copy the file <b>%1\$s</b>. Continuing...";
$messages["Copied file <b>%1\$s</b>"] = "Copied file <b>%1\$s</b>";
}


// -------------------------------------------------------------------------
// edit.inc.php
if ($state == "manage" && ($state2 == "edit" || $state2 == "newfile")) {
// -------------------------------------------------------------------------

// edit()
$messages["Unable to open the template file"] = "    ";
$messages["Unable to read the template file"] = "    ";
$messages["Please specify a filename"] = "  ";

// printEditForm()
$messages["Directory: "] = ": ";
$messages["File: "] = ": ";
$messages["New file name: "] = "  : ";
$messages["Note: changing the textarea type will save the changes"] = ":    ";
$messages["Status: This file has not yet been saved"] = ":   ";
$messages["Status: Saved on <b>%1\$s</b> using mode %2\$s"] = ":   <b>%1\$s</b>   %2\$s";
$messages["Status: <b>This file could not be saved</b>"] = ": <b>     </b>";

} // end if edit newfile


// -------------------------------------------------------------------------
// errorhandling.inc.php
// -------------------------------------------------------------------------
$messages["An error has occured"] = " ";
$messages["Go back"] = "";
$messages["Go to the login page"] = "  ";


// -------------------------------------------------------------------------
// filesystem.inc.php
// -------------------------------------------------------------------------

// ftp_openconnection()
$messages["The <a href=\"http://www.php.net/manual/en/ref.ftp.php\" target=\"_blank\">FTP module of PHP</a> is not installed.<br /><br /> The administrator of this website should install this FTP module. Installation instructions are given on <a href=\"http://www.php.net/manual/en/ref.ftp.php\" target=\"_blank\">php.net</a><br />"] = "<a href=\"http://www.php.net/manual/en/ref.ftp.php\" target=\"_blank\">FTP- PHP</a>  .<br /><br />      FTP-.     <a href=\"http://www.php.net/manual/en/ref.ftp.php\" target=\"_blank\">php.net</a><br />";
$messages["Unable to connect to FTP server <b>%1\$s</b> on port <b>%2\$s</b>.<br /><br />Are you sure this is the address of the FTP server? This is often different from that of the HTTP (web) server. Please contact your ISP helpdesk or system administrator for help.<br />"] = "    FTP- <b>%1\$s</b>   <b>%2\$s</b>.<br /><br />   FTP-?      HTTP-. ,     ISP    .<br />";
$messages["Unable to login to FTP server <b>%1\$s</b> with username <b>%2\$s</b>.<br /><br />Are you sure your username and password are correct? Please contact your ISP helpdesk or system administrator for help.<br />"] = "    FTP- <b>%1\$s</b>   <b>%2\$s</b>.<br /><br />    ? ,     ISP  .<br />";
$messages["Unable to switch to the passive mode on FTP server <b>%1\$s</b>."] = "      FTP <b>%1\$s</b>.";

// ftp_openconnection2()
$messages["Unable to connect to the second (target) FTP server <b>%1\$s</b> on port <b>%2\$s</b>.<br /><br />Are you sure this is the address of the second (target) FTP server? This is often different from that of the HTTP (web) server. Please contact your ISP helpdesk or system administrator for help.<br />"] = "     FTP- <b>%1\$s</b>   <b>%2\$s</b>.<br /><br />   FTP-?      HTTP-. ,    ISP   .<br />";
$messages["Unable to login to the second (target) FTP server <b>%1\$s</b> with username <b>%2\$s</b>.<br /><br />Are you sure your username and password are correct? Please contact your ISP helpdesk or system administrator for help.<br />"] = "     FTP- <b>%1\$s</b>   <b>%2\$s</b>.<br /><br />     ?    ISP   .<br />";
$messages["Unable to switch to the passive mode on the second (target) FTP server <b>%1\$s</b>."] = "        FTP <b>%1\$s</b>.";

// ftp_myrename()
$messages["Unable to rename directory or file <b>%1\$s</b> into <b>%2\$s</b>"] = "      <b>%1\$s</b>  <b>%2\$s</b>";

// ftp_mychmod()
$messages["Unable to execute site command <b>%1\$s</b>. Note that the CHMOD command is only available on Unix FTP servers, not on Windows FTP servers."] = "    <b>%1\$s</b>.  CHMOD    Unix-.";
$messages["Directory <b>%1\$s</b> successfully chmodded to <b>%2\$s</b>"] = " <b>%1\$s</b>  chmodded <b>%2\$s</b>";
$messages["File <b>%1\$s</b> was successfully chmodded to <b>%2\$s</b>"] = " <b>%1\$s</b>  chmodded <b>%2\$s</b>";
$messages["All the selected directories and files have been processed."] = "     .";

// ftp_myrmdir()
$messages["Unable to delete the directory <b>%1\$s</b>"] = "    <b>%1\$s</b>";

// ftp_newdirectory()
$messages["Unable to create the directory <b>%1\$s</b>"] = "    <b>%1\$s</b>";

// ftp_readfile()
$messages["Unable to create the temporary file"] = "    ";
$messages["Unable to get the file <b>%1\$s</b> from the FTP server and to save it as temporary file <b>%2\$s</b>.<br />Check the permissions of the %3\$s directory.<br />"] = "    <b>%1\$s</b>  FTP-       <b>%2\$s</b>.<br />   %3\$s.<br />";
$messages["Unable to open the temporary file. Check the permissions of the %1\$s directory."] = "   .    %1\$s.";
$messages["Unable to read the temporary file"] = "    ";
$messages["Unable to close the handle of the temporary file"] = "    ";
$messages["Unable to delete the temporary file"] = "    ";

// ftp_writefile()
$messages["Unable to create the temporary file. Check the permissions of the %1\$s directory."] = "    .    %1\$s.";
$messages["Unable to open the temporary file. Check the permissions of the %1\$s directory."] = "    .    %1\$s.";
$messages["Unable to write the string to the temporary file <b>%1\$s</b>.<br />Check the permissions of the %2\$s directory."] = "       <b>%1\$s</b>.<br />   %2\$s.";
$messages["Unable to close the handle of the temporary file"] = "    ";
$messages["Unable to put the file <b>%1\$s</b> on the FTP server.<br />You may not have write permissions on the directory."] = "    <b>%1\$s</b>  FTP-.<br />,    .";
$messages["Unable to delete the temporary file"] = "    ";

// ftp_copymovedelete()
$messages["Processing directory <b>%1\$s</b>"] = "  <b>%1\$s</b>";
$messages["The target directory <b>%1\$s</b> is the same as or a subdirectory of the source directory <b>%2\$s</b>, so this directory will be skipped"] = "  <b>%1\$s</b>    <b>%2\$s</b>,    ";
$messages["Unable to create the subdirectory <b>%1\$s</b>. It may already exist. Continuing the copy/move process..."] = "    <b>%1\$s</b>.   .  ...";
$messages["Created target subdirectory <b>%1\$s</b>"] = "  <b>%1\$s</b>";
$messages["Unable to delete the subdirectory <b>%1\$s</b> - it may not be empty"] = "    <b>%1\$s</b> -   ";
$messages["Deleted subdirectory <b>%1\$s</b>"] = "  <b>%1\$s</b>";
$messages["Processing of directory <b>%1\$s</b> completed"] = "  <b>%1\$s</b> ";
$messages["The target for file <b>%1\$s</b> is the same as the source, so this file will be skipped"] = "  <b>%1\$s</b>    ,   ";
$messages["Unable to copy the file <b>%1\$s</b>"] = "    <b>%1\$s</b>";
$messages["Copied file <b>%1\$s</b>"] = "  <b>%1\$s</b>";
$messages["Unable to move the file <b>%1\$s</b>"] = "    <b>%1\$s</b>";
$messages["Moved file <b>%1\$s</b>"] = "  <b>%1\$s</b>";
$messages["Unable to delete the file <b>%1\$s</b>"] = "    <b>%1\$s</b>";
$messages["Deleted file <b>%1\$s</b>"] = "  <b>%1\$s</b>";
$messages["All the selected directories and files have been processed."] = "    .";

// ftp_processfiles()

// ftp_getfile()
$messages["Unable to copy the remote file <b>%1\$s</b> to the local file using FTP mode <b>%2\$s</b>"] = "     <b>%1\$s</b>   ,  FTP-ht;bv <b>%2\$s</b>";
$messages["Unable to delete file <b>%1\$s</b>"] = "    <b>%1\$s</b>";

// ftp_putfile()
$messages["Unable to copy the local file to the remote file <b>%1\$s</b> using FTP mode <b>%2\$s</b>"] = "     <b>%1\$s</b>   ,   <b>%2\$s</b>";
$messages["Unable to delete the local file"] = "    ";

// ftp_downloadfile()
$messages["Unable to delete the temporary file"] = "    ";
$messages["Unable to send the file to the browser"] = "Unable to send the file to the browser";

// ftp_zip()
$messages["Unable to create the temporary file"] = "    ";
$messages["Unable to write the string to the temporary file <b>%1\$s</b>.<br />Check the permissions of the %2\$s directory."] = "       <b>%1\$s</b>.<br />   %2\$s.";
$messages["Unable to close the handle of the temporary file"] = "    ";
$messages["The zip file has been saved on the FTP server as <b>%1\$s</b>"] = "Zip-   FTP-  <b>%1\$s</b>";
$messages["Requested files"] = " ";

$messages["Zip email message"]  = "";
$messages["Zip email message"] .= " \n\n";
$messages["Zip email message"] .= "Someone has requested the files in attachment to be sent to this email account (%1\$s).\n";
$messages["Zip email message"] .= "If you know nothing about this or if you don't trust that person, please delete this email without opening the Zip file in attachment.\n";
$messages["Zip email message"] .= "Note that if you don't open the Zip file, the files inside cannot harm your computer.\n";
$messages["Zip email message"] .= "\n\n---------------------------------------\n";
$messages["Zip email message"] .= "Information about the sender:\n";
$messages["Zip email message"] .= "IP address: %2\$s\n";
$messages["Zip email message"] .= "Time of sending: %3\$s\n";
$messages["Zip email message"] .= "Sent via the net2ftp application installed on this website: %4\$s \n";
$messages["Zip email message"] .= "Webmaster's email: %5\$s \n";
$messages["Zip email message"] .= "\n\n---------------------------------------\n";
$messages["Zip email message"] .= "Message of the sender:\n";
$messages["Zip email message"] .= "%6\$s \n";
$messages["Zip email message"] .= "\n\n---------------------------------------\n";
$messages["Zip email message"] .= "net2ftp   ,    GNU/GPL.      http://www.net2ftp.com\n\n\n";

$messages["The zip file has been sent to <b>%1\$s</b>."] = "Zip-  <b>%1\$s</b>.";

// acceptFiles()
$messages["File <b>%1\$s</b> is too big. This file will not be uploaded."] = " <b>%1\$s</b>  .    .";
$messages["Could not generate a temporary file."] = "    .";
$messages["File <b>%1\$s</b> could not be moved"] = " <b>%1\$s</b>    ";
$messages["File <b>%1\$s</b> is OK"] = " <b>%1\$s</b> Ok";
$messages["Unable to move the uploaded file to the temp directory.<br /><br />The administrator of this website has to <b>chmod 777</b> the /temp directory of net2ftp."] = "       .<br /><br />    <b>chmod</b>  <b>777</b>  /temp.";
$messages["You did not provide any file to upload."] = "   .";

// ftp_transferfiles()
$messages["File <b>%1\$s</b> could not be transferred to the FTP server"] = " <b>%1\$s</b>      FTP-";
$messages["File <b>%1\$s</b> has been transferred to the FTP server using FTP mode <b>%2\$s</b>"] = " <b>%1\$s</b>    FTP-,  FTP- <b>%2\$s</b>";
$messages["Transferring files to the FTP server"] = "Transferring files to the FTP server";

// ftp_unziptransferfiles()
$messages["Processing archive nr %1\$s: <b>%2\$s</b>"] = "  nr %1\$s: <b>%2\$s</b>";
$messages["Unable to open the archive <b>%1\$s</b> (file %2\$s)"] = "    <b>%1\$s</b> (file %2\$s)";
$messages["Could not create directory <b>%1\$s</b>"] = "   <b>%1\$s</b>";
$messages["Created directory <b>%1\$s</b>"] = "  <b>%1\$s</b>";
$messages["File Contents:"] = " :";
$messages["Could not put the file <b>%1\$s</b> to the directory <b>%2\$s</b>"] = "    <b>%1\$s</b>   <b>%2\$s</b>";
$messages["Transferred file <b>%1\$s</b> to directory <b>%2\$s</b>"] = "  <b>%1\$s</b>   <b>%2\$s</b>";
$messages["Unable to delete the archive <b>%1\$s</b> (file %2\$s)"] = "    <b>%1\$s</b> ( %2\$s)";
$messages["Unable to get the list of the contents of the Zip archive. Error code: %1\$s"] = "    Zip-.  : %1\$s";
$messages["Unable to get the list of the contents of the Tar archive."] = "    Tar-.";
$messages["Could not create directory <b>%1\$s</b>"] = "    <b>%1\$s</b>";
$messages["Created directory <b>%1\$s</b>"] = "  <b>%1\$s</b>";
$messages["Unable to create the temporary file"] = "    ";
$messages["Unable to extract file nr <b>%1\$s</b> from the archive."] = "    nr <b>%1\$s</b>  .";
$messages["Could not put file <b>%1\$s</b> to directory <b>%2\$s</b>"] = "    <b>%1\$s</b>   <b>%2\$s</b>";
$messages["Transferred file <b>%1\$s</b> to directory <b>%2\$s</b>"] = "  <b>%1\$s</b>   <b>%2\$s</b>";
$messages["Unable to delete the temporary file <b>%1\$s</b>."] = "    <b>%1\$s</b>.";
$messages["Archive <b>%1\$s</b> was not processed because its filename extension was not recognized. Only zip, tar, tgz and gz archives are supported at the moment."] = " <b>%1\$s</b>   ,     .  zip, tar, tgz  gz  .";
$messages["Unzipping and transferring files"] = "Unzipping and transferring files";

// ftp_mysite()
$messages["Unable to execute site command <b>%1\$s</b>"] = "    <b>%1\$s</b>";

// shutdown()
$messages["Shutdown message"]  = "";
$messages["Shutdown message"] .= "<b>  </b><br /><br />";
$messages["Shutdown message"] .= ",      net2ftp   %1\$s  .  .<br />";
$messages["Shutdown message"] .= "       .<br /><br />";
$messages["Shutdown message"] .= "  : ,    .<br /><br />";
$messages["If you really need net2ftp to be able to handle big tasks which take a long time, consider installing net2ftp on your own server."] = "        net2ftp,   net2ftp   .";

// SendMail()
$messages["You did not provide any text to send by email!"] = "      !";
$messages["You did not supply a From address."] = "    .";
$messages["You did not supply a To address."] = "    .";
$messages["Due to technical problems the email to <b>%1\$s</b> could not be sent."] = "     email  <b>%1\$s</b>    .";

// printFunctionTags()
$messages["Output generated by function %1\$s"] = "   %1\$s";



// -------------------------------------------------------------------------
// homepage.inc.php
if ($state == "homepage") {
// -------------------------------------------------------------------------
$messages["net2ftp features short"] ="  ,  : \n";
$messages["net2ftp features short"] .="<ul>\n";
$messages["net2ftp features short"] .="<li>  FTP-</li>\n";
$messages["net2ftp features short"] .="<li> ,   <span style=\"font-size: 80%%; color: red;\">:    </span></li>\n";
$messages["net2ftp features short"] .="<li> , ,   chmod</li>\n";
$messages["net2ftp features short"] .="<li> ,    FTP</li>\n";
$messages["net2ftp features short"] .="<li>     </li>\n";
$messages["net2ftp features short"] .="<li>   <span style=\"font-size: 80%%; color: red;\"></span></li>\n";
$messages["net2ftp features short"] .="<li>   </li>\n";
$messages["net2ftp features short"] .="<li>  HTML   HTML  <span style=\"font-size: 80%%; color: red;\"></span></li>\n";
$messages["net2ftp features short"] .="<li>      <span style=\"font-size: 80%%; color: red;\">beta</span></li>\n";
$messages["net2ftp features short"] .="<li> , ,   email zip-</li>\n";
$messages["net2ftp features short"] .="<li>    (zip, tar, tgz, gz)</li>\n";
$messages["net2ftp features short"] .="<li>    </li>\n";
$messages["net2ftp features short"] .="<li>     </li>\n";
$messages["net2ftp features short"] .="</ul>\n";

} // end homepage


// -------------------------------------------------------------------------
// net2ftp_loginform.inc.php
// -------------------------------------------------------------------------
$messages["FTP server"] = "FTP-";
$messages["Example"] = "";
$messages["Username"] = "";
$messages["Password"] = "";
$messages["Anonymous"] = "";
$messages["Passive mode"] = " ";
$messages["Initial directory"] = "";
$messages["Language"] = "";
$messages["Skin"] = "";
$messages["FTP mode"] = "FTP mode";
$messages["Login"] = "";
$messages["Clear cookies"] = " cookies";
$messages["Please enter an FTP server."] = "Please enter an FTP server.";
$messages["Please enter a username."] = "Please enter a username.";
$messages["Please enter a password."] = "Please enter a password.";


// -------------------------------------------------------------------------
// html.inc.php
// -------------------------------------------------------------------------

// HtmlBegin()
$messages["Status:"] = ":";

// HtmlEnd()
$messages["net2ftp Help Guide"] = "net2ftp ";
$messages["net2ftp Forums"] = "net2ftp ";
$messages["License"] = "";
$messages["Powered by"] = " ";

// printJavascriptFunctions()
$messages["Choose a directory"] = " ";
$messages["Please wait..."] = "...";
$messages["Uploading... please wait..."] = "... ...";
$messages["If the upload takes more than the allowed <b>%1\$s seconds<\/b>, you will have to try again with less/smaller files."] = "    <b>%1\$s <\/b>,      .";
$messages["This window will close automatically in a few seconds."] = "      .";
$messages["Close window now"] = "  ";


// -------------------------------------------------------------------------
// httpheaders.inc.php
// -------------------------------------------------------------------------
// Nothing to translate


// -------------------------------------------------------------------------
// manage.inc.php
if ($state == "manage") {
// -------------------------------------------------------------------------

// manage()
$messages["Please select at least one directory or file!"] = "      !";
$messages["Unexpected state2 string. Exiting."] = "   2. .";

// renameentry()
if ($state2 == "rename") {
$messages["Rename directories and files"] = "   ";
$messages["Old name: "] = " : ";
$messages["New name: "] = " : ";
$messages["The new name may not contain any dots. This entry was not renamed to <b>%1\$s</b>"] = "    .     <b>%1\$s</b>";
$messages["<b>%1\$s</b> was successfully renamed to <b>%2\$s</b>"] = "<b>%1\$s</b>     <b>%2\$s</b>";
$messages["<b>%1\$s</b> could not be renamed to <b>%2\$s</b>"] = "<b>%1\$s</b> could not be renamed to <b>%2\$s</b>";
}

// chmodentry()
if ($state2 == "chmod") {
$messages["Chmod directories and files"] = "Chmod   ";
$messages["Set all permissions"] = "  ";
$messages["Read"] = "";
$messages["Write"] = "";
$messages["Execute"] = "";
$messages["Owner"] = "";
$messages["Group"] = "";
$messages["Everyone"] = "";
$messages["To set all permissions to the same values, enter those permissions above and click on the button \"Set all permissions\""] = "   ,         \" \"";
$messages["Set the permissions of directory <b>%1\$s</b> to: "] = "    <b>%1\$s</b>: ";
$messages["Set the permissions of file <b>%1\$s</b> to: "] = "    <b>%1\$s</b>: ";
$messages["Set the permissions of symlink <b>%1\$s</b> to: "] = "    <b>%1\$s</b>: ";
$messages["Chmod value"] = "Chmod value";
$messages["Chmod also the subdirectories within this directory"] = "Chmod    ";
$messages["Chmod also the files within this directory"] = "Chmod    ";
$messages["The chmod nr <b>%1\$s</b> is out of the range 000-777. Please try again."] = "Chmod <b>%1\$s</b>    000-777.   .";
}

// copymovedeleteentry()
if ($state2 == "copy" || $state2 == "move" || $state2 == "delete") {
$messages["Copy directories and files"] = "   ";
$messages["Move directories and files"] = "   ";
$messages["Delete directories and files"] = "   ";
$messages["Are you sure you want to delete these directories and files?"] = "       ?";
$messages["All the subdirectories and files of the selected directories will also be deleted!"] = "        !";
$messages["Set all targetdirectories"] = "  ";
$messages["To set a common target directory, enter that target directory in the textbox above and click on the button \"Set all targetdirectories\"."] = "   ,          \"  \".";
$messages["Note: the target directory must already exist before anything can be copied into it."] = ":    .";
$messages["Different target FTP server:"] = " FTP-:";
$messages["Leave empty if you want to copy the files to the same FTP server."] = " ,          FTP-.";
$messages["If you want to copy the files to another FTP server, enter your login data."] = "       FTP-,     .";
$messages["Leave empty if you want to move the files to the same FTP server."] = " ,          FTP-.";
$messages["If you want to move the files to another FTP server, enter your login data."] = "       FTP-,    .";
$messages["Copy directory <b>%1\$s</b> to:"] = "  <b>%1\$s</b> :";
$messages["Move directory <b>%1\$s</b> to:"] = "  <b>%1\$s</b> :";
$messages["Directory <b>%1\$s</b>"] = " <b>%1\$s</b>";
$messages["Copy file <b>%1\$s</b> to:"] = "  <b>%1\$s</b> :";
$messages["Move file <b>%1\$s</b> to:"] = "  <b>%1\$s</b> :";
$messages["File <b>%1\$s</b>"] = " <b>%1\$s</b>";
$messages["Copy symlink <b>%1\$s</b> to:"] = "  <b>%1\$s</b> :";
$messages["Move symlink <b>%1\$s</b> to:"] = "  <b>%1\$s</b> :";
$messages["Symlink <b>%1\$s</b>"] = " <b>%1\$s</b>";
$messages["Target directory:"] = " :";
$messages["Target name:"] = " :";
$messages["Processing the entries:"] = " :";
}

// newdirectory()
if ($state2 == "newdirectory") {
$messages["Create new directories"] = "  ";
$messages["The new directories will be created in <b>%1\$s</b>."] = "     <b>%1\$s</b>.";
$messages["New directory name:"] = "  :";
$messages["Directory <b>%1\$s</b> was successfully created."] = " <b>%1\$s</b>   .";
}

// uploadfile()
if ($state2 == "uploadfile") {
$messages["Upload files and archives"] = "   ";
$messages["Upload results"] = " ";
$messages["Checking files:"] = " :";
$messages["Transferring files to the FTP server:"] = "   FTP-:";
$messages["Decompressing archives and transferring files to the FTP server:"] = "     :";
$messages["Upload more files and archives"] = "    ";
}

// printUploadForm() and javaupload()
if ($state2 == "uploadfile" || $state2 == "javaupload") {
$messages["Upload to directory:"] = "  :";
$messages["Files"] = "";
$messages["Archives"] = "";
$messages["Files entered here will be transferred to the FTP server."] = ",      FTP-.";
$messages["Archives entered here will be decompressed, and the files inside will be transferred to the FTP server."] = "          FTP-.";
$messages["Add another"] = " ";
$messages["Use folder names (creates subdirectories automatically)"] = "   (  )";
$messages["Restrictions:"] = ":";
$messages["The maximum size of one file is restricted by net2ftp to <b>%1\$s kB</b> and by PHP to <b>%2\$s</b>"] = "     net2ftp  <b>%1\$s </b>  PHP  <b>%2\$s</b>";
$messages["The maximum execution time is <b>%1\$s seconds</b>"] = "   <b>%1\$s </b>";
$messages["The FTP transfer mode (ASCII or BINARY) will be automatically determined, based on the filename extension"] = "  FTP (ASCII  BINARY)   ,   ";
$messages["If the destination file already exists, it will be overwritten"] = "   ,   ";

$messages["Upload directories and files using a Java applet"] = "Upload directories and files using a Java applet";
$messages["Number of files:"] = "Number of files:";
$messages["Size of files:"] = "Size of files:";
$messages["Add"] = "Add";
$messages["Remove"] = "Remove";
$messages["Upload"] = "Upload";
$messages["Add files to the upload queue"] = "Add files to the upload queue";
$messages["Remove files from the upload queue"] = "Remove files from the upload queue";
$messages["Upload the files which are in the upload queue"] = "Upload the files which are in the upload queue";
$messages["Maximum server space exceeded. Please select less/smaller files."] = "Maximum server space exceeded. Please select less/smaller files.";
$messages["Total size of the files is too big. Please select less/smaller files."] = "Total size of the files is too big. Please select less/smaller files.";
$messages["Total number of files is too high. Please select fewer files."] = "Total number of files is too high. Please select fewer files.";
$messages["Note: to use this applet, Sun's Java plugin must be installed (version 1.4 or newer)."] = "Note: to use this applet, Sun's Java plugin must be installed (version 1.4 or newer).";

$messages["Browser does not support Java applets"] = "Your browser does not support applets, or you have disabled applets in your browser settings.\n";
$messages["Browser does not support Java applets"] .= "To use this applet, please install the newest version of Sun's java. You can get it from <a href=\"http://www.java.com/\">java.com</a>. Click on Get It Now.\n";
$messages["Browser does not support Java applets"] .= "The online installation is about 1-2 MB and the offline installation is about 13 MB. This 'end-user' java is called JRE (Java Runtime Environment).\n";
$messages["Browser does not support Java applets"] .= "Alternatively, use net2ftp's normal upload or upload-and-unzip functionality.\n";
}

// zipentry()
if ($state2 == "zip") {
$messages["Zip entries"] = " Zip";
$messages["Save the zip file on the FTP server as:"] = " zip-  FTP- :";
$messages["Email the zip file in attachment to:"] = "Email zip- :";
$messages["Note that sending files is not anonymous: your IP address as well as the time of the sending will be added to the email."] = ",     :  IP-          email.";
$messages["Some additional comments to add in the email:"] = "  email:";
$messages["You did not enter a filename for the zipfile. Go back and enter a filename."] = "      zip.      .";
$messages["The email address you have entered (%1\$s) does not seem to be valid.<br />Please enter an address in the format <b>username@domain.com</b>"] = "Email ,    (%1\$s) .<br />,     <b>_@.ru</b>";
}

// calculatesize()
if ($state2 == "calculatesize") {
$messages["Size of selected directories and files"] = "    ";
$messages["The total size taken by the selected directories and files is:"] = "    :";
$messages["The nr of files which were skipped:"] = "  :";
}

// findstring()
if ($state2 == "findstring") {
$messages["Search directories and files"] = "   ";
$messages["Search results"] = " ";
$messages["Please enter a valid search word or phrase."] = "    .";
$messages["Please enter a valid filename."] = "   .";
$messages["Please enter a valid file size in the \"from\" textbox, for example 0."] = ",      \"\", , 0.";
$messages["Please enter a valid file size in the \"to\" textbox, for example 500000."] = ",      \"\", , 500000.";
$messages["Please enter a valid date in Y-m-d format in the \"from\" textbox."] = ",      --   \"\".";
$messages["Please enter a valid date in Y-m-d format in the \"to\" textbox."] = ",      --   \"\".";
$messages["The word <b>%1\$s</b> was not found in the selected directories and files."] = " <b>%1\$s</b>   .";
$messages["The word <b>%1\$s</b> was found in the following files:"] = " <b>%1\$s</b>     :";
$messages["Search again"] = " ";
}

// printFindstringForm()
if ($state2 == "findstring") {
$messages["Search for a word or phrase"] = "   ";
$messages["Case sensitive search"] = "  ";
$messages["Restrict the search to:"] = " :";
$messages["files with a filename like"] = "  ";
$messages["(wildcard character is *)"] = "( *)";
$messages["files with a size"] = "  ";
$messages["from"] = "";
$messages["to"] = "";
$messages["files which were last modified"] = ", ";
}

// updatefile()
if ($state2 == "updatefile") {
$messages["Update file"] = " ";
$messages["<b>WARNING: THIS FUNCTION IS STILL IN EARLY DEVELOPMENT. USE IT ONLY ON TEST FILES! YOU HAVE BEEN WARNED!"] = "<b>:       .    !   !";
$messages["Known bugs: - erases tab characters - doesn't work well with big files (> 50kB) - was not tested yet on files containing non-standard characters</b>"] = " : -    -      (> 50) -       </b>";
$messages["This function allows you to upload a new version of the selected file, to view what are the changes and to accept or reject each change. Before anything is saved, you can edit the merged files."] = "     , ,    .  ,     .";
$messages["Old file:"] = " :";
$messages["New file:"] = " :";
$messages["Restrictions:"] = ":";
$messages["The maximum size of one file is restricted by net2ftp to <b>%1\$s kB</b> and by PHP to <b>%2\$s</b>"] = "  ,  net2ftp - <b>%1\$s </b>  PHP - <b>%2\$s</b>";
$messages["The maximum execution time is <b>%1\$s seconds</b>"] = "   <b>%1\$s </b>";
$messages["The FTP transfer mode (ASCII or BINARY) will be automatically determined, based on the filename extension"] = "  FTP (ASCII  BINARY)   ,   ";
$messages["If the destination file already exists, it will be overwritten"] = "   ,    ";
$messages["You did not provide any files or archives to upload."] = "       .";
$messages["Unable to delete the new file"] = "    ";
}

// printComparisonSelect()
if ($state2 == "updatefile") {
$messages["Please wait..."] = ", ...";
$messages["Select lines below, accept or reject changes and submit the form."] = "  ,        .";
}

} // end manage


// -------------------------------------------------------------------------
// registerglobals.inc.php
// -------------------------------------------------------------------------
$messages["Please enter your username and password for FTP server "] = "Please enter your username and password for FTP server ";
$messages["You did not fill in your login information in the popup window.<br />Click on \"Go to the login page\" below."] = "You did not fill in your login information in the popup window.<br />Click on \"Go to the login page\" below.";
$messages["Access to the net2ftp Admin panel is disabled, because no password has been set in the file settings.inc.php. Enter a password in that file, and reload this page."] = "Access to the net2ftp Admin panel is disabled, because no password has been set in the file settings.inc.php. Enter a password in that file, and reload this page.";
$messages["Please enter your Admin username and password"] = "Please enter your Admin username and password"; 
$messages["You did not fill in your login information in the popup window.<br />Click on \"Go to the login page\" below."] = "You did not fill in your login information in the popup window.<br />Click on \"Go to the login page\" below.";
$messages["Wrong username or password for the net2ftp Admin panel. The username and password can be set in the file settings.inc.php."] = "Wrong username or password for the net2ftp Admin panel. The username and password can be set in the file settings.inc.php.";


// -------------------------------------------------------------------------
// skins.inc.php
// -------------------------------------------------------------------------
$messages["Blue"] = "";
$messages["Grey"] = "";
$messages["Black"] = "";
$messages["Yellow"] = "";
$messages["Pastel"] = "Pastel";

// getMime()
$messages["Directory"] = "";
$messages["Symlink"] = "";
$messages["ASP script"] = " ASP";
$messages["Cascading Style Sheet"] = "CSS";
$messages["HTML file"] = " HTML";
$messages["Java source file"] = " Java";
$messages["JavaScript file"] = " JavaScript";
$messages["PHP Source"] = "PHP ";
$messages["PHP script"] = " PHP";
$messages["Text file"] = "";
$messages["Bitmap file"] = "";
$messages["GIF file"] = "GIF";
$messages["JPEG file"] = "JPEG";
$messages["PNG file"] = "PNG";
$messages["TIF file"] = "TIF";
$messages["GIMP file"] = " GIMP";
$messages["Executable"] = "";
$messages["Shell script"] = " shell";
$messages["MS Office - Word document"] = "MS Office -  Word";
$messages["MS Office - Excel spreadsheet"] = "MS Office -  Excel";
$messages["MS Office - PowerPoint presentation"] = "MS Office -  PowerPoint";
$messages["MS Office - Access database"] = "MS Office -  Access";
$messages["MS Office - Visio drawing"] = "MS Office -  Visio";
$messages["MS Office - Project file"] = "MS Office -  ";
$messages["OpenOffice - Writer 6.0 document"] = "OpenOffice -  Writer 6.0";
$messages["OpenOffice - Writer 6.0 template"] = "OpenOffice -  Writer 6.0";
$messages["OpenOffice - Calc 6.0 spreadsheet"] = "OpenOffice -  Calc 6.0";
$messages["OpenOffice - Calc 6.0 template"] = "OpenOffice -  Calc 6.0";
$messages["OpenOffice - Draw 6.0 document"] = "OpenOffice -  Draw 6.0";
$messages["OpenOffice - Draw 6.0 template"] = "OpenOffice -  Draw 6.0";
$messages["OpenOffice - Impress 6.0 presentation"] = "OpenOffice -  Impress 6.0";
$messages["OpenOffice - Impress 6.0 template"] = "OpenOffice -  Impress 6.0";
$messages["OpenOffice - Writer 6.0 global document"] = "OpenOffice -  Writer 6.0";
$messages["OpenOffice - Math 6.0 document"] = "OpenOffice -  Math 6.0";
$messages["StarOffice - StarWriter 5.x document"] = "StarOffice -  StarWriter 5.x";
$messages["StarOffice - StarWriter 5.x global document"] = "StarOffice -  StarWriter 5.x";
$messages["StarOffice - StarCalc 5.x spreadsheet"] = "StarOffice -  StarCalc 5.x";
$messages["StarOffice - StarDraw 5.x document"] = "StarOffice -  StarDraw 5.x";
$messages["StarOffice - StarImpress 5.x presentation"] = "StarOffice -  StarImpress 5.x";
$messages["StarOffice - StarImpress Packed 5.x file"] = "StarOffice -  StarImpress Packed 5.x";
$messages["StarOffice - StarMath 5.x document"] = "StarOffice -  StarMath 5.x";
$messages["StarOffice - StarChart 5.x document"] = "StarOffice -  StarChart 5.x";
$messages["StarOffice - StarMail 5.x mail file"] = "StarOffice -   StarMail 5.x";
$messages["Adobe Acrobat document"] = " Adobe Acrobat";
$messages["ARC archive"] = "ARC-";
$messages["ARJ archive"] = "ARJ-";
$messages["RPM"] = "RPM";
$messages["GZ archive"] = "GZ-";
$messages["TAR archive"] = "TAR-";
$messages["Zip archive"] = "Zip-";
$messages["MOV movie file"] = " MOV";
$messages["MPEG movie file"] = " MPEG";
$messages["Real movie file"] = "   Real";
$messages["Quicktime movie file"] = " Quicktime";
$messages["Shockwave flash file"] = "Shockwave flash";
$messages["Shockwave file"] = " Shockwave";
$messages["WAV sound file"] = " WAV";
$messages["Font file"] = " ";
$messages["%1\$s File"] = "%1\$s ";
$messages["File"] = "";

// getAction()
$messages["Back"] = "";
$messages["Submit"] = "";
$messages["Refresh"] = "";
$messages["Details"] = "";
$messages["Icons"] = "";
$messages["List"] = "";
$messages["Logout"] = "";
$messages["Help"] = "";
$messages["Bookmark"] = "";
$messages["Save"] = "";
$messages["Default"] = " ";


// -------------------------------------------------------------------------
// view.inc.php
// -------------------------------------------------------------------------
$messages["Image"] = "Image";
$messages["View Macromedia ShockWave Flash movie %1\$s"] = "View Macromedia ShockWave Flash movie %1\$s";
$messages["View file %1\$s"] = "View file %1\$s";
$messages["To save the image, right-click on it and choose 'Save picture as...'"] = "To save the image, right-click on it and choose 'Save picture as...'";


// ----------------------------------------------------------------------------------
// DO NOT CHANGE ANYTHING BELOW THIS LINE
// ----------------------------------------------------------------------------------

return $messages;

} // end function getMessages

?>