<?php

//   -------------------------------------------------------------------------------
//  |                  net2ftp: a web based FTP client                              |
//  |              Copyright (c) 2003-2005 by David Gartner                         |
//  |                                                                               |
//  | This program is free software; you can redistribute it and/or                 |
//  | modify it under the terms of the GNU General Public License                   |
//  | as published by the Free Software Foundation; either version 2                |
//  | of the License, or (at your option) any later version.                        |
//  |                                                                               |
//   -------------------------------------------------------------------------------

//   -------------------------------------------------------------------------------
//  | Language: Traditional Chinese                                                 |
//   -------------------------------------------------------------------------------
//  | Jason Wong www.pcdiscuss.com <email> 2004-05-27                               |
//   -------------------------------------------------------------------------------
//  |                                                                               |
//  |                              INSTRUCTIONS                                     |
//  |                                                                               |
//  |  The messages to translate are listed below.                                  |
//  |  The structure of each line is like this:                                     |
//  |     $message["Hello world!"] = "Hello world!";                                |
//  |                                                                               |
//  |  Keep the text between square brackets [] as it is.                           |
//  |  Translate the 2nd part, keeping the same punctuation and HTML tags.          |
//  |                                                                               |
//  |  The English message, for example                                             |
//  |     $message["net2ftp is written in PHP!"] = "net2ftp is written in PHP!";    |
//  |  should become after translation:                                             |
//  |     $message["net2ftp is written in PHP!"] = "net2ftp est ecrit en PHP!";     |
//  |     $message["net2ftp is written in PHP!"] = "net2ftp is geschreven in PHP!"; |
//  |                                                                               |
//  |  Note that the variable starts with a dollar sign $, that the value is        |
//  |  enclosed in double quotes " and that the line ends with a semi-colon ;       |
//  |  Be careful when editing this file, do not erase those special characters.    |
//  |                                                                               |
//  |  Some messages also contain one or more variables which start with a percent  |
//  |  sign, for example %1\$s or %2\$s. The English message, for example           |
//  |     $messages[...] = ["The file %1\$s was copied to %2\$s "]                  |
//  |  should becomes after translation:                                            |
//  |     $messages[...] = ["Le fichier %1\$s a t copi vers %2\$s "]             |
//  |                                                                               |
//  |  When a real percent sign % is needed in the text it is entered as %%         |
//  |  otherwise it is interpreted as a variable. So no, it's not a mistake.        |
//  |                                                                               |
//  |  Between the messages to translate there is additional PHP code, for example: |
//  |     if ($state2 == "rename") {                               // <-- PHP code  |
//  |     $messages["Rename directories"] = "Rename directories";  // <-- message   |
//  |     }                                                        // <-- PHP code  |
//  |  This code is needed to load the messages only when they are actually needed. |
//  |  There is no need to change or delete any of that PHP code; translate only    |
//  |  the message.                                                                 |
//  |                                                                               |
//  |  Thanks in advance to all the translators!                                    |
//  |  David.                                                                       |
//  |                                                                               |
//   -------------------------------------------------------------------------------

function getMessages() {
global $state, $state2;


// -------------------------------------------------------------------------
// Used encoding
// -------------------------------------------------------------------------
$messages["iso-8859-1"] = "big5";


// -------------------------------------------------------------------------
// Status messages
// -------------------------------------------------------------------------
// When translating these messages, keep in mind that the text should not be too long
// It should fit in the status textbox
$messages["Connecting to the FTP server"] = "s FTP A";
$messages["Getting the list of directories and files"] = "oƧɮצC...";
$messages["Printing the list of directories and files"] = "CXƧɮצC...";
$messages["Processing the entries"] = "BzJ...";
$messages["Checking files"] = "ˬdɮ...";
$messages["Transferring files to the FTP server"] = "ǰe FTP A...";
$messages["Decompressing archives and transferring files"] = "ζǰeɮ...";
$messages["Searching the files..."] = "jɮ...";
$messages["Uploading new file"] = "WǷsɮ...";
$messages["Reading the new file"] = "Ūsɮ...";
$messages["Reading the old file"] = "Ūɮ...";
$messages["Comparing the 2 files"] = " 2 ɮ...";
$messages["Printing the comparison"] = "CXG...";
$messages["Script finished in %1\$s seconds"] = "Bɶ: %1\$s ";
$messages["Script halted"] = "B椤";


// -------------------------------------------------------------------------
// index.php
// -------------------------------------------------------------------------
$messages["Unexpected state string. Exiting."] = "iwpAr. {...";
$messages["This beta function is not activated on this server."] = "A|ҥΦ BETA \.";
$messages["This function has been disabled by the Administrator of this website."] = "This function has been disabled by the Administrator of this website.";


// -------------------------------------------------------------------------
// admin.inc.php
if ($state == "admin") {
// -------------------------------------------------------------------------
$messages["Admin functions"] = "Admin functions";

$messages["Version information"] = "Version information";
$messages["This version of net2ftp is up-to-date"] = "This version of net2ftp is up-to-date";
$messages["The latest version could not be retrieved from the net2ftp.com server. Check the security settings of your browser, which may prevent the loading of a small file from the net2ftp.com server."] = "The latest version could not be retrieved from the net2ftp.com server. Check the security settings of your browser, which may prevent the loading of a small file from the net2ftp.com server.";

$messages["Logging"] = "Logging";
$messages["Date from:"] = "Date from:";
$messages["to:"] = "to:";
$messages["Empty logs"] = "Empty";
$messages["View logs"] = "View logs";
$messages["No data"] = "No data";

$messages["Setup MySQL tables"] = "Setup MySQL tables";
$messages["Go"] = "Go";
$messages["Create the MySQL database tables"] = "Create the MySQL database tables";
$messages["Create tables"] = "Create tables";
$messages["The handle of file %1\$s could not be opened"] = "The handle of file %1\$s could not be opened";
$messages["The file %1\$s could not be opened"] = "The file %1\$s could not be opened";
$messages["The handle of file %1\$s could not be closed"] = "The handle of file %1\$s could not be closed";
$messages["MySQL username"] = "MySQL username";
$messages["MySQL password"] = "MySQL password";
$messages["MySQL database"] = "MySQL database";
$messages["MySQL server"] = "MySQL server";
$messages["This SQL query is going to be executed:"] = "This SQL query is going to be executed:";
$messages["Execute"] = "";
$messages["Settings used:"] = "Settings used:";
$messages["MySQL password length"] = "MySQL password length";
$messages["Results:"] = "Results:";
$messages["The connection to the server <b>%1\$s</b> could not be set up"] = "The connection to the server <b>%1\$s</b> could not be set up";
$messages["Unable to select the database <b>%1\$s</b>"] = "Unable to select the database <b>%1\$s</b>";
$messages["The SQL query could not be executed"] = "The SQL query could not be executed";
$messages["The tables were created successfully"] = "The tables were created successfully";

$messages["Beta functions"] = "Beta functions";
$messages["View logs"] = "View logs";
$messages["Empty logs"] = "Empty logs";
$messages["The table <b>%1\$s</b> was emptied successfully."] = "The table <b>%1\$s</b> was emptied successfully.";
$messages["The table <b>%1\$s</b> could not be emptied."] = "The table <b>%1\$s</b> could not be emptied.";

} // end admin

// -------------------------------------------------------------------------
// advanced.inc.php
if ($state == "advanced") {
// -------------------------------------------------------------------------

// advanced()
$messages["The site command functions are not available on this webserver."] = "A䴩B\.";
$messages["The Apache functions are not available on this webserver."] = "A䴩 Apache \.";
$messages["The MySQL functions are not available on this webserver."] = "A䴩 MYSQL \.";
$messages["Unexpected state2 string. Exiting."] = "iwpA 2 r. {...";

// printAdvancedFunctions()
$messages["Advanced functions"] = "i\";
$messages["Go"] = "Tw";
$messages["Troubleshooting functions"] = "Troubleshooting functions";
$messages["Troubleshoot net2ftp on this webserver"] = "A net2ftp Ƹ";
$messages["Troubleshoot an FTP server"] = "FTP AƸ";
$messages["Translation functions"] = "Translation functions";
$messages["Introduction to the translation functions"] = "Introduction to the translation functions";
$messages["Extract messages to translate from code files"] = "Extract messages to translate from code files";
$messages["Check if there are new or obsolete messages"] = "Check if there are new or obsolete messages";
$messages["Beta functions"] = "Beta functions";
$messages["Send a site command to the FTP server"] = "Send a site command to the FTP server";
$messages["Apache: password-protect a directory, create custom error pages"] = "Apache: password-protect a directory, create custom error pages";
$messages["MySQL: execute an SQL query"] = "MySQL: execute an SQL query";

// troubleshoot_webserver()
$messages["Troubleshoot your net2ftp installation"] = "net2ftp w˵{Ƹ";
$messages["Checking if the FTP module of PHP is installed: "] = "ˬdO_TwˤF PHP  FTP Ҳ: ";
$messages["yes"] = "O";
$messages["no - please install it!"] = "_ - Хw!";
$messages["Checking the permissions of the directory on the web server: a small file will be written to the /temp folder and then deleted."] = "ˬdƧݩ: @Ӥpɮ׷|gJ /TEMP ƧMR.";
$messages["Creating filename: "] = "إɮצW: ";
$messages["OK. Filename: %1\$s"] = "\\. ɮצW: %tempfilename";
$messages["not OK"] = "";
$messages["OK"] = "\\";
$messages["not OK. Check the permissions of the %1\$s directory"] = ". ˬd %1\$s Ƨݩ";
$messages["Opening the file in write mode: "] = "Opening the file in write mode: ";
$messages["Writing some text to the file: "] = "gJr: ";
$messages["Closing the file: "] = "ɮ: ";
$messages["Deleting the file: "] = "Rɮ: ";

// troubleshoot_ftpserver()
$messages["Troubleshoot an FTP server"] = "FTP AƸ";
$messages["FTP server port"] = "FTP As";
$messages["Connection settings:"] = "su]w:";
$messages["Password length"] = "KX";
$messages["Language"] = "y";
$messages["Skin number"] = "Ҫs";
$messages["Connecting to the FTP server: "] = "s FTP A: ";
$messages["Logging into the FTP server: "] = "nJ FTP A: ";
$messages["Setting the passive mode: "] = "]wQʳsҦ(PASV):";
$messages["Getting the FTP server system type: "] = "Getting the FTP server system type: ";
$messages["Changing to the directory %1\$s: "] = "ܧƧ %1\$s: ";
$messages["The directory from the FTP server is: %1\$s "] = "FTP AƧO: %1\$s ";
$messages["Getting the raw list of directories and files: "] = "olƧɮצC: ";
$messages["Trying a second time to get the raw list of directories and files: "] = "ըolƧɮצC: ";
$messages["Closing the connection: "] = "su: ";
$messages["Raw list of directories and files:"] = "lƧɮצC:";
$messages["Parsed list of directories and files:"] = "RƧɮצC:";

// printTranslationFunctions()
$messages["net2ftp translation functions"] = "net2ftp translation functions";
$messages["A PHP application can be translated using the standard <a href=\"http://www.php.net/gettext\">gettext</a> functions, or using a self-made translation function."] = "A PHP application can be translated using the standard <a href=\"http://www.php.net/gettext\">gettext</a> functions, or using a self-made translation function.";
$messages["In both cases, the steps to take are similar."] = "In both cases, the steps to take are similar.";
$messages["Step 1: change code"] = "Step 1: change code";
$messages["All messages must be translated using a translation function, for example translate()."] = "All messages must be translated using a translation function, for example translate().";
$messages["This Hello World code:"] = "This Hello World code:";
$messages["must be changed to this:"] = "must be changed to this:";
$messages["Step 2: extract messages"] = "Step 2: extract messages";
$messages["All messages which are used by the translate() function must be extracted from the code files, and copied to a <b>main message file</b>."] = "All messages which are used by the translate() function must be extracted from the code files, and copied to a <b>main message file</b>.";
$messages["Step 3: translate messages"] = "Step 3: translate messages";
$messages["The main message file is given to translators, who rename the file and replace the messages in English by the translation."] = "The main message file is given to translators, who rename the file and replace the messages in English by the translation.";
$messages["The translators return the <b>translated message files</b>."] = "The translators return the <b>translated message files</b>.";
$messages["Each time the application is modified, a new main message file must be generated, as in step 2."] = "Each time the application is modified, a new main message file must be generated, as in step 2.";
$messages["In order to avoid translating everything all over again, it must then be compared to all translated message files, to check if there are new or obsolete messages."] = "In order to avoid translating everything all over again, it must then be compared to all translated message files, to check if there are new or obsolete messages.";
$messages["net2ftp can help in step 2 to extract messages to translate from code files"] = "net2ftp can help in step 2 to extract messages to translate from code files";
$messages["net2ftp can help in step 4 to check if there are new or obsolete messages"] = "net2ftp can help in step 4 to check if there are new or obsolete messages";

// translate_extract()
$messages["Extract messages from code files"] = "Extract messages from code files";
$messages["Directory containing code files:"] = "Directory containing code files:";
$messages["Translation function used in the code:"] = "Translation function used in the code:";
$messages["File to generate:"] = "File to generate:";
$messages["Extracted messages:"] = "Extracted messages:";
$messages["No messages were found, so no file was put on the FTP server."] = "No messages were found, so no file was put on the FTP server.";
$messages["The main language file <b>%1\$s</b> was transferred to directory <b>%2\$s</b>."] = "The main language file <b>%1\$s</b> was transferred to directory <b>%2\$s</b>.";

// translate_check()
$messages["Main language file:"] = "Main language file:";
$messages["Directory containing translated language files:"] = "Directory containing translated language files:";
$messages["File %1\$s was skipped because it could not be read, or because it was empty."] = "File %1\$s was skipped because it could not be read, or because it was empty.";
$messages["File nr %1\$s <b>%2\$s</b>"] = "File nr %1\$s <b>%2\$s</b>";
$messages["New messages:"] = "New messages:";
$messages["Obsolete messages:"] = "Obsolete messages:";
$messages["All the files have been processed"] = "All the files have been processed";

// sendsitecommand()
$messages["Send site command"] = "Send site command";
$messages["Enter the site command"] = "Enter the site command";
$messages["The commands you can use depends on your FTP server. These commands are not standard and vary a lot from one server to the other."] = "The commands you can use depends on your FTP server. These commands are not standard and vary a lot from one server to the other.";
$messages["Note that net2ftp cannot display the output of the FTP server, it can only tell if the command returned TRUE or FALSE. This is not a limitation of net2ftp but of PHP, the language in which net2ftp is written."] = "Note that net2ftp cannot display the output of the FTP server, it can only tell if the command returned TRUE or FALSE. This is not a limitation of net2ftp but of PHP, the language in which net2ftp is written.";
$messages["The command <b>%1\$s</b> was executed successfully."] = "The command <b>%1\$s</b> was executed successfully.";

// apache(), mysqlfunctions()
// Not yet translated

} // end advanced



// -------------------------------------------------------------------------
// authorizations.inc.php
// -------------------------------------------------------------------------

// checkAuthorization()
$messages["The FTP server <b>%1\$s</b> is not in the list of allowed FTP servers."] = "FTP A <b>%1\$s</b> b\suC.";
$messages["The FTP server <b>%1\$s</b> is in the list of banned FTP servers."] = "FTP A <b>%1\$s</b> bQTsuC.";
$messages["Your IP address (%1\$s) is in the list of banned IP addresses."] = "A IP (%1\$s) bQTsuC.";
$messages["The FTP server port %1\$s may not be used."] = "FTP As %1\$s iॼϥ.";
$messages["You don't have the authorizations to view directory <b>%1\$s</b>."] = "ASvdݸƧ <b>%1\$s</b>.";

// logAccess(), logLogin(), logError()
// Not yet translated


// -------------------------------------------------------------------------
// bookmark.inc.php
if ($state == "bookmark") {
// -------------------------------------------------------------------------
$messages["Add this link to your bookmarks:"] = "[Jڪ̷R:";
$messages["Internet Explorer: right-click on the link and choose \"Add to Favorites...\""] = "Internet Explorer: bsWƹkÿ \"[ڪ̷R...\"";
$messages["Netscape, Mozilla, Firefox: right-click on the link and choose \"Bookmark This Link...\""] = "Netscape, Mozilla, Firefox: bsWƹkÿ \"Bookmark This Link...\"";
$messages["Note: when you will use this bookmark, a popup window will ask you for your username and password."] = "`N: AϥΦҮ, N|@ӼuX߰ݧAKX.";

} // end bookmark


// -------------------------------------------------------------------------
// browse.inc.php
if ($state == "browse") {
// -------------------------------------------------------------------------

// browse()
$messages["Directories with names containing \' cannot be displayed correctly. They can only be deleted. Please go back and select another subdirectory."] = "ƧW٥]t \' NLkT. uiR. Ъ^t@ӤlƧ.";

$messages["Consumption message"]  = "";
$messages["Consumption message"] .= "<b>Daily limit reached: you will not be able to transfer data</b><br /><br />\n";
$messages["Consumption message"] .= "In order to guarantee the fair use of the web server for everyone, the data transfer volume and script execution time are limited per user, and per day. Once this limit is reached, you can still browse the FTP server but not transfer data to/from it.<br /><br />\n";
$messages["Consumption message"] .= "If you need unlimited usage, please install net2ftp on your own web server.<br />\n";

// ftp_getlist()
$messages["The directory <b>%1\$s</b> does not exist or could not be selected, so the root directory <b>/</b> is shown instead."] = "<b>%1\$s</b> ƧsbΨå, N|ܮڥؿ <b>/</b>.";

// printdirfilelist()
// Keep this short, it must fit in a small button!
$messages["New dir"] = "[JsƧ";
$messages["New file"] = "[Jsɮ";
$messages["HTML templates"] = "HTML templates";
$messages["Upload"] = "Wɮ";
$messages["Java Upload"] = "Java Wɮ";
$messages["Advanced"] = "iﶵ";
$messages["Copy"] = "ƻs";
$messages["Move"] = "";
$messages["Delete"] = "R";
$messages["Rename"] = "sRW";
$messages["Chmod"] = "ݩ(CHOMD)";
$messages["Download"] = "U";
$messages["Zip"] = "Y";
$messages["Size"] = "pjp";
$messages["Search"] = "j";
$messages["Go to the parent directory"] = "Go to the parent directory";
$messages["Transform selected entries: "] = "ާ@ﶵ: ";
$messages["Make a new subdirectory in directory %1\$s"] = "b %1\$s إߤ@ӷslƧ";
$messages["Create a new file in directory %1\$s"] = "b %1\$s Ƨإߤ@ӷsɮ";
$messages["Upload new files in directory %1\$s"] = "b %1\$s ƧWǷsɮ";
$messages["Go to the advanced functions"] = "ϥζi\";
$messages["Copy the selected entries"] = "ƻsƧɮ";
$messages["Move the selected entries"] = "ʿƧɮ";
$messages["Delete the selected entries"] = "RƧɮ";
$messages["Rename the selected entries"] = "sRWƧɮ";
$messages["Chmod the selected entries (only works on Unix/Linux/BSD servers)"] = "ܿƧɮתݩ (uAΩ Unix/Linux/BSD A)";
$messages["Download a zip file containing all selected entries"] = "YUƧɮ";
$messages["Zip the selected entries to save or email them"] = "YƧɮק@xsζǰel";
$messages["Calculate the size of the selected entries"] = "pƧɮתjp";
$messages["Find files which contain a particular word"] = "ϥrjɮ";
$messages["Click to sort by %1\$s in descending order"] = "%1\$s ǱƦC";
$messages["Click to sort by %1\$s in ascending order"] = "%1\$s ɧǱƦC";
$messages["Ascending order"] = "ɧǱƦC";
$messages["Descending order"] = "ǱƦC";
//$messages["Click to sort by %1\$s in ascending order"] = "Click to sort by %1\$s in ascending order";
$messages["Up"] = "WŸƧ";
$messages["Click to check or uncheck all rows"] = "Click to check or uncheck all rows";
$messages["All"] = "All";
$messages["Name"] = "W";
$messages["Type"] = "";
//$messages["Size"] = "Size";
$messages["Owner"] = "֦";
$messages["Group"] = "s";
$messages["Perms"] = "ݩ";
$messages["Mod Time"] = "̫קɶ";
$messages["Actions"] = "ʧ@";
$messages["Download the file %1\$s"] = "Download the file %1\$s";
$messages["View"] = "d";
$messages["Edit"] = "s";
$messages["Update"] = "s";
$messages["Open"] = "}";
$messages["View the highlighted source code of file %1\$s"] = "G %1\$s ɮתlX";
$messages["Edit the source code of file %1\$s"] = "s %1\$s ɮתlX";
$messages["Upload a new version of the file %1\$s and merge the changes"] = "Wǧs %1\$s ΦX֧";
$messages["View image %1\$s"] = "dݹϤ %1\$s";
$messages["View the file %1\$s from your HTTP web server"] = "q HTTP Adɮ %1\$s";
$messages["(Note: This link may not work if you don't have your own domain name.)"] = "(`N: pGASۤvW, si~.)";
$messages["This folder is empty"] = "ƧOŪ";

// printSeparatorRow()
$messages["Directories"] = "Ƨ";
$messages["Files"] = "ɮ";
$messages["Symlinks"] = "s";
$messages["Unrecognized FTP output"] = "LkT{ FTP X";
$messages["Number"] = "Number";
$messages["Size"] = "Size";
$messages["Skipped"] = "Skipped";

// printLocationActions()
$messages["Language:"] = "y:";
$messages["Skin:"] = "Ҫ:";
$messages["View mode:"] = "Ҧ:";
$messages["Directory Tree"] = "Ƨm";

// printURL()
$messages["Execute %1\$s in a new window"] = "bs} %1\$s";

// printDirectorySelect()
$messages["Double-click to go to a subdirectory:"] = "ƹiJlƧ:";
$messages["Choose"] = "";
$messages["Up"] = "WŸƧ";

} // end browse


// -------------------------------------------------------------------------
// consumption.inc.php
// -------------------------------------------------------------------------
$messages["Unable to determine your IP address."] = "Unable to determine your IP address.";
$messages["Table net2ftp_logConsumptionIpaddress contains duplicate rows."] = "Table net2ftp_logConsumptionIpaddress contains duplicate rows.";
$messages["Table net2ftp_logConsumptionFtpserver contains duplicate rows."] = "Table net2ftp_logConsumptionFtpserver contains duplicate rows.";
$messages["The variable <b>consumption_ipaddress_dataTransfer</b> is not numeric."] = "The variable <b>consumption_ipaddress_dataTransfer</b> is not numeric.";
$messages["Table net2ftp_logConsumptionIpaddress could not be updated."] = "Table net2ftp_logConsumptionIpaddress could not be updated.";
$messages["Table net2ftp_logConsumptionIpaddress contains duplicate entries."] = "Table net2ftp_logConsumptionIpaddress contains duplicate entries.";
$messages["Table net2ftp_logConsumptionFtpserver could not be updated."] = "Table net2ftp_logConsumptionFtpserver could not be updated.";
$messages["Table net2ftp_logConsumptionFtpserver contains duplicate entries."] = "Table net2ftp_logConsumptionFtpserver contains duplicate entries.";
$messages["Daily limit reached: the file <b>%1\$s</b> will not be transferred"] = "Daily limit reached: the file <b>%1\$s</b> will not be transferred";


// -------------------------------------------------------------------------
// database.inc.php
// -------------------------------------------------------------------------
$messages["Unable to connect to the DB"] = "Lksuƾڮw";
$messages["Unable to select the DB"] = "Lkƾڮw";


// -------------------------------------------------------------------------
// easywebsite.inc.php
if ($state == "easyWebsite") {
// -------------------------------------------------------------------------
$messages["Create a website in 4 easy steps"] = "Create a website in 4 easy steps";
$messages["Template overview"] = "Template overview";
$messages["Template details"] = "Template details";
$messages["Files are copied"] = "Files are copied";
$messages["Edit your pages"] = "Edit your pages";

// Screen 1 - printTemplateOverview
$messages["Click on the image to view the details of a template."] = "Click on the image to view the details of a template.";
$messages["Back to the Browse screen"] = "Back to the Browse screen";
$messages["Template"] = "Template";
$messages["Copyright"] = "Copyright";
$messages["Click on the image to view the details of this template"] = "Click on the image to view the details of this template";

// Screen 2 - printTemplateDetails
$messages["The template files will be copied to your FTP server. Existing files with the same filename will be overwritten. Do you want to continue?"] = "The template files will be copied to your FTP server. Existing files with the same filename will be overwritten. Do you want to continue?";
$messages["Preview"] = "Preview";
$messages["Install"] = "Install";
$messages["Size"] = "Size";
$messages["Preview page"] = "Preview page";
$messages["opens in a new window"] = "opens in a new window";

// Screen 3
$messages["Please wait while the template files are being transferred to your server: "] = "Please wait while the template files are being transferred to your server: ";
$messages["Done."] = "Done.";
$messages["Continue"] = "Continue";

// Screen 4 - printEasyAdminPanel
$messages["Edit page"] = "Edit page";
$messages["Browse the FTP server"] = "Browse the FTP server";
$messages["Add this link to your favorites to return to this page later on!"] = "Add this link to your favorites to return to this page later on!";
$messages["Edit website at %1\$s"] = "Edit website at %1\$s";
$messages["Internet Explorer: right-click on the link and choose \"Add to Favorites...\""] = "Internet Explorer: right-click on the link and choose \"Add to Favorites...\"";
$messages["Netscape, Mozilla, Firefox: right-click on the link and choose \"Bookmark This Link...\""] = "Netscape, Mozilla, Firefox: right-click on the link and choose \"Bookmark This Link...\"";

// ftp_copy_local2ftp
$messages["WARNING: Unable to create the subdirectory <b>%1\$s</b>. It may already exist. Continuing..."] = "WARNING: Unable to create the subdirectory <b>%1\$s</b>. It may already exist. Continuing...";
$messages["Created target subdirectory <b>%1\$s</b>"] = "Created target subdirectory <b>%1\$s</b>";
$messages["WARNING: Unable to copy the file <b>%1\$s</b>. Continuing..."] = "WARNING: Unable to copy the file <b>%1\$s</b>. Continuing...";
$messages["Copied file <b>%1\$s</b>"] = "Copied file <b>%1\$s</b>";
}


// -------------------------------------------------------------------------
// edit.inc.php
if ($state == "manage" && ($state2 == "edit" || $state2 == "newfile")) {
// -------------------------------------------------------------------------

// edit()
$messages["Unable to open the template file"] = "Lk}ҼҪɮ";
$messages["Unable to read the template file"] = "LkŪҪɮ";
$messages["Please specify a filename"] = "ЫwɮצW";

// printEditForm()
$messages["Directory: "] = "Ƨ: ";
$messages["File: "] = "ɮצW: ";
$messages["New file name: "] = "sɮצW: ";
$messages["Note: changing the textarea type will save the changes"] = "`N: ܤr|xs";
$messages["Status: This file has not yet been saved"] = "A: ɮרåxs";
$messages["Status: Saved on <b>%1\$s</b> using mode %2\$s"] = "A:  <b>%1\$s</b> ϥ %2\$s Ҧxs";
$messages["Status: <b>This file could not be saved</b>"] = "A: <b>ɮ׵Lkxs</b>";

} // end if edit newfile


// -------------------------------------------------------------------------
// errorhandling.inc.php
// -------------------------------------------------------------------------
$messages["An error has occured"] = "~";
$messages["Go back"] = "^";
$messages["Go to the login page"] = "nJ";


// -------------------------------------------------------------------------
// filesystem.inc.php
// -------------------------------------------------------------------------

// ftp_openconnection()
$messages["The <a href=\"http://www.php.net/manual/en/ref.ftp.php\" target=\"_blank\">FTP module of PHP</a> is not installed.<br /><br /> The administrator of this website should install this FTP module. Installation instructions are given on <a href=\"http://www.php.net/manual/en/ref.ftp.php\" target=\"_blank\">php.net</a><br />"] = "PHP <a href=\"http://www.php.net/manual/en/ref.ftp.php\" target=\"_blank\">FTP Ҳ</a> åw.<br /><br /> pA޲zw˦Ҳ. ԲӦw˸Ʀb <a href=\"http://www.php.net/manual/en/ref.ftp.php\" target=\"_blank\">php.net</a><br />";
$messages["Unable to connect to FTP server <b>%1\$s</b> on port <b>%2\$s</b>.<br /><br />Are you sure this is the address of the FTP server? This is often different from that of the HTTP (web) server. Please contact your ISP helpdesk or system administrator for help.<br />"] = "s FTP A <b>%1\$s</b>, s <b>%2\$s</b>.<br /><br />нTw FTP Aa}T. jP HTTP (web) AP. pA޲zoԲӸ.<br />";
$messages["Unable to login to FTP server <b>%1\$s</b> with username <b>%2\$s</b>.<br /><br />Are you sure your username and password are correct? Please contact your ISP helpdesk or system administrator for help.<br />"] = "nJ FTP A <b>%1\$s</b> ΤW <b>%2\$s</b> i~.<br /><br />нTwΤW٤αKXT. pA޲zoԲӸ.<br />";
$messages["Unable to switch to the passive mode on FTP server <b>%1\$s</b>."] = "LkϥγQʳsu覡(PASV MODE)s <b>%1\$s</b>.";

// ftp_openconnection2()
$messages["Unable to connect to the second (target) FTP server <b>%1\$s</b> on port <b>%2\$s</b>.<br /><br />Are you sure this is the address of the second (target) FTP server? This is often different from that of the HTTP (web) server. Please contact your ISP helpdesk or system administrator for help.<br />"] = "sؼ FTP A <b>%1\$s</b>, s <b>%2\$s</b>.<br /><br />нTwؼ FTP Aa}T. jP HTTP (web) AP. pA޲zoԲӸ.<br />";
$messages["Unable to login to the second (target) FTP server <b>%1\$s</b> with username <b>%2\$s</b>.<br /><br />Are you sure your username and password are correct? Please contact your ISP helpdesk or system administrator for help.<br />"] = "nJؼ FTP A <b>%1\$s</b> ΤW <b>%2\$s</b> i~.<br /><br />нTwΤW٤αKXT. pA޲zoԲӸ.<br />";
$messages["Unable to switch to the passive mode on the second (target) FTP server <b>%1\$s</b>."] = "LkϥγQʳsu覡(PASV MODE)s <b>%1\$s</b>.";

// ftp_myrename()
$messages["Unable to rename directory or file <b>%1\$s</b> into <b>%2\$s</b>"] = "LkbƧ <b>%2\$s</b> Ƨ <b>%1\$s</b> W";

// ftp_mychmod()
$messages["Unable to execute site command <b>%1\$s</b>. Note that the CHMOD command is only available on Unix FTP servers, not on Windows FTP servers."] = "LkRO <b>%1\$s</b>. `N: ݩ(CHMOD) OuAΩ Unix FTP A, AΩ WINDOWS FTP A.";
$messages["Directory <b>%1\$s</b> successfully chmodded to <b>%2\$s</b>"] = "Ƨ <b>%1\$s</b> \ݩʨ <b>%2\$s</b>";
$messages["File <b>%1\$s</b> was successfully chmodded to <b>%2\$s</b>"] = "ɮ <b>%1\$s</b> \ݩʨ <b>%2\$s</b>";
$messages["All the selected directories and files have been processed."] = "ƧɮפwgBz.";

// ftp_rmdir2()
$messages["Unable to delete the directory <b>%1\$s</b>"] = "LkRƧ <b>%1\$s</b>";

// ftp_delete2()
$messages["Unable to delete the file <b>%1\$s</b>"] = "Unable to delete the file <b>%1\$s</b>";

// ftp_newdirectory()
$messages["Unable to create the directory <b>%1\$s</b>"] = "Lkإ߸Ƨ <b>%1\$s</b>";

// ftp_readfile()
$messages["Unable to create the temporary file"] = "Lkإ߼Ȧsɮ";
$messages["Unable to get the file <b>%1\$s</b> from the FTP server and to save it as temporary file <b>%2\$s</b>.<br />Check the permissions of the %3\$s directory.<br />"] = "Lkq FTP Aoɮ <b>%1\$s</b> xsȦsɮ <b>%2\$s</b>.<br />ˬdƧ %3\$s ݩ .<br />";
$messages["Unable to open the temporary file. Check the permissions of the %1\$s directory."] = "Lk}ҼȦsɮ. ˬdƧ %1\$s ݩ.";
$messages["Unable to read the temporary file"] = "LkŪȦsɮ";
$messages["Unable to close the handle of the temporary file"] = "LkȦsɮתBz";
$messages["Unable to delete the temporary file"] = "LkRȦsɮ";

// ftp_writefile()
$messages["Unable to create the temporary file. Check the permissions of the %1\$s directory."] = "Lkإ߼Ȧsɮ. ˬdƧ %1\$s ݩ.";
$messages["Unable to open the temporary file. Check the permissions of the %1\$s directory."] = "Lk}ҼȦsɮ. ˬdƧ %1\$s ݩ.";
$messages["Unable to write the string to the temporary file <b>%1\$s</b>.<br />Check the permissions of the %2\$s directory."] = "LkgJrȦsɮ <b>%1\$s</b>.<br />ˬdƧ %2\$s ݩ.";
$messages["Unable to close the handle of the temporary file"] = "LkȦsɮתBz";
$messages["Unable to put the file <b>%1\$s</b> on the FTP server.<br />You may not have write permissions on the directory."] = "LkWɮרƧ <b>%1\$s</b>.<br />AiSv.";
$messages["Unable to delete the temporary file"] = "LkRȦsɮ";

// ftp_copymovedelete()
$messages["Processing directory <b>%1\$s</b>"] = "BzƧ <b>%1\$s</b>";
$messages["The target directory <b>%1\$s</b> is the same as or a subdirectory of the source directory <b>%2\$s</b>, so this directory will be skipped"] = "ؼиƧ <b>%1\$s</b> MlƧέƧ <b>%2\$s</b> @, ҥHN|L";
$messages["Unable to create the subdirectory <b>%1\$s</b>. It may already exist. Continuing the copy/move process..."] = "Lkإ߸Ƨ <b>%1\$s</b>. iwsb. ~ƻs/ʾާ@...";
$messages["Created target subdirectory <b>%1\$s</b>"] = "wإߥؼиƧ <b>%1\$s</b>";
$messages["Unable to delete the subdirectory <b>%1\$s</b> - it may not be empty"] = "LkRƧ <b>%1\$s</b> - iƧ";
$messages["Deleted subdirectory <b>%1\$s</b>"] = "wRƧ <b>%1\$s</b>";
$messages["Processing of directory <b>%1\$s</b> completed"] = "Ƨ <b>%1\$s</b> ާ@";
$messages["The target for file <b>%1\$s</b> is the same as the source, so this file will be skipped"] = "ؼиƧ <b>%1\$s</b> MƧ@, ɮױNL";
$messages["Unable to copy the file <b>%1\$s</b>"] = "Lkƻsɮ <b>%1\$s</b>";
$messages["Copied file <b>%1\$s</b>"] = "wƻsɮ <b>%1\$s</b>";
$messages["Unable to move the file <b>%1\$s</b>"] = "Lkɮ <b>%1\$s</b>";
$messages["Moved file <b>%1\$s</b>"] = "wɮ <b>%1\$s</b>";
$messages["Unable to delete the file <b>%1\$s</b>"] = "LkRɮ <b>%1\$s</b>";
$messages["Deleted file <b>%1\$s</b>"] = "wRɮ <b>%1\$s</b>";
$messages["All the selected directories and files have been processed."] = "ƧɮפwgBz.";

// ftp_processfiles()

// ftp_getfile()
$messages["Unable to copy the remote file <b>%1\$s</b> to the local file using FTP mode <b>%2\$s</b>"] = "Lkϥ FTP Ҧ <b>%2\$s</b> ƻsɮ <b>%1\$s</b> 쥻aɮ";
$messages["Unable to delete file <b>%1\$s</b>"] = "LkRɮ <b>%1\$s</b>";

// ftp_putfile()
$messages["Unable to copy the local file to the remote file <b>%1\$s</b> using FTP mode <b>%2\$s</b>"] = "Lkϥ FTP Ҧ <b>%2\$s</b> ƻsaɮ <b>%1\$s</b> 컷ɮ";
$messages["Unable to delete the local file"] = "LkRaɮ";

// ftp_downloadfile()
$messages["Unable to delete the temporary file"] = "LkRȦsɮ";
$messages["Unable to send the file to the browser"] = "Unable to send the file to the browser";

// ftp_zip()
$messages["Unable to create the temporary file"] = "Lkإ߼Ȧsɮ";
$messages["Unable to write the string to the temporary file <b>%1\$s</b>.<br />Check the permissions of the %2\$s directory."] = "LkgJrȦsɮ <b>%1\$s</b>.<br />ˬdƧ %2\$s ݩ.";
$messages["Unable to close the handle of the temporary file"] = "LkȦsɮתBz";
$messages["The zip file has been saved on the FTP server as <b>%1\$s</b>"] = "Yɮ <b>%1\$s</b> wgb FTP Aإ";
$messages["Requested files"] = "QШDɮ";

$messages["Zip email message"]  = "";
$messages["Zip email message"] .= "˷R, \n\n";
$messages["Zip email message"] .= "HnDɮ׶ǰe email b (%1\$s).\n";
$messages["Zip email message"] .= "pGA۫HoӤHΤDɮפe, n}ҪɤΥߧYRl.\n";
$messages["Zip email message"] .= "`N: pGAS}Ҫ, AqOSl`.\n";
$messages["Zip email message"] .= "\n\n---------------------------------------\n";
$messages["Zip email message"] .= "ǰe̸:\n";
$messages["Zip email message"] .= "IP a}: %2\$s\n";
$messages["Zip email message"] .= "ǰeɶ: %3\$s\n";
$messages["Zip email message"] .= "g %4\$s  net2ftp {ǰe \n";
$messages["Zip email message"] .= "ql: %5\$s \n";
$messages["Zip email message"] .= "\n\n---------------------------------------\n";
$messages["Zip email message"] .= "ǰe̪[T:\n";
$messages["Zip email message"] .= "%6\$s \n";
$messages["Zip email message"] .= "\n\n---------------------------------------\n";
$messages["Zip email message"] .= "net2ftp is free software, released under the GNU/GPL license. For more information, go to http://www.net2ftp.com\nc餤: PCDISCUSS.COM\n\n\n";

$messages["The zip file has been sent to <b>%1\$s</b>."] = "Yɮפwgǰe <b>%1\$s</b>.";

// acceptFiles()
$messages["File <b>%1\$s</b> is too big. This file will not be uploaded."] = "ɮ <b>%1\$s</b> Ӥj. N|QW.";
$messages["Could not generate a temporary file."] = "LkͼȦsɮ.";
$messages["File <b>%1\$s</b> could not be moved"] = "ɮ <b>%1\$s</b> Lk";
$messages["File <b>%1\$s</b> is OK"] = "ɮ <b>%1\$s</b> SD";
$messages["Unable to move the uploaded file to the temp directory.<br /><br />The administrator of this website has to <b>chmod 777</b> the /temp directory of net2ftp."] = "LkʤWǪɮרȦsƧ.<br /><br />޲zݭn <b>chmod 777</b> net2ftp  Ƨ /temp.";
$messages["You did not provide any file to upload."] = "ASѥWǪɮ.";

// ftp_transferfiles()
$messages["File <b>%1\$s</b> could not be transferred to the FTP server"] = "ɮ <b>%1\$s</b> Lkǰe FTP A";
$messages["File <b>%1\$s</b> has been transferred to the FTP server using FTP mode <b>%2\$s</b>"] = "ɮ <b>%1\$s</b> wg\ϥ FTP mode <b>%2\$s</b> WǨ FTP A. ";
$messages["Transferring files to the FTP server"] = "Transferring files to the FTP server";

// ftp_unziptransferfiles()
$messages["Processing archive nr %1\$s: <b>%2\$s</b>"] = "BzYɮ nr %1\$s: <b>%2\$s</b>";
$messages["Unable to open the archive <b>%1\$s</b> (file %2\$s)"] = "Lk}Yɮ <b>%1\$s</b> (ɮ %2\$s)";
$messages["Could not create directory <b>%1\$s</b>"] = "Lkإ߸Ƨ <b>%1\$s</b>";
$messages["Created directory <b>%1\$s</b>"] = "wإ߸Ƨ <b>%1\$s</b>";
$messages["File Contents:"] = "ɮפe:";
$messages["Could not put the file <b>%1\$s</b> to the directory <b>%2\$s</b>"] = "Lkɮ <b>%1\$s</b> Ƨ <b>%2\$s</b>";
$messages["Transferred file <b>%1\$s</b> to directory <b>%2\$s</b>"] = "wǰeɮ <b>%1\$s</b> Ƨ <b>%2\$s</b>";
$messages["Unable to delete the archive <b>%1\$s</b> (file %2\$s)"] = "LkRYɮ <b>%1\$s</b> (ɮ %2\$s)";
$messages["Unable to get the list of the contents of the Zip archive. Error code: %1\$s"] = "LkY(ZIP)פtɮצC. ~NX: %1\$s";
$messages["Unable to get the list of the contents of the Tar archive."] = "LkY(TAR)פtɮצC.";
$messages["Could not create directory <b>%1\$s</b>"] = "Lkإ߸Ƨ <b>%1\$s</b>";
$messages["Created directory <b>%1\$s</b>"] = "wإ߸Ƨ <b>%1\$s</b>";
$messages["Unable to create the temporary file"] = "Lkإ߼Ȧsɮ";
$messages["Unable to extract file nr <b>%1\$s</b> from the archive."] = "LkYɮ nr <b>%1\$s</b>.";
$messages["Could not put file <b>%1\$s</b> to directory <b>%2\$s</b>"] = "Lkɮ <b>%1\$s</b>  <b>%2\$s</b>";
$messages["Transferred file <b>%1\$s</b> to directory <b>%2\$s</b>"] = "wǰeɮ <b>%1\$s</b> Ƨ <b>%2\$s</b>";
$messages["Unable to delete the temporary file <b>%1\$s</b>."] = "LkRȦsɮ <b>%1\$s</b>.";
$messages["Archive <b>%1\$s</b> was not processed because its filename extension was not recognized. Only zip, tar, tgz and gz archives are supported at the moment."] = "ѩɦW, Yɮ <b>%1\$s</b> Bz. {qu zip, tar, tgz and gz 榡.";
$messages["Unzipping and transferring files"] = "Unzipping and transferring files";

// ftp_mysite()
$messages["Unable to execute site command <b>%1\$s</b>"] = "LkRO <b>%1\$s</b>";

// shutdown()
$messages["Shutdown message"]  = "";
$messages["Shutdown message"] .= "<b>u@</b><br /><br />";
$messages["Shutdown message"] .= "u@ɶWLFw %1\$s , ҥHu@.<br />";
$messages["Shutdown message"] .= "@UϥΪ̪h.<br /><br />";
$messages["Shutdown message"] .= "էu@pu@: ֿɮ, άٲnjɮ.<br /><br />";
$messages["If you really need net2ftp to be able to handle big tasks which take a long time, consider installing net2ftp on your own server."] = "pGAƱ net2ftp iBzju@, i net2ftp w˨Aq.";

// SendMail()
$messages["You did not provide any text to send by email!"] = "ASb email ѥr!";
$messages["You did not supply a From address."] = "AS From a}.";
$messages["You did not supply a To address."] = "AS To a}.";
$messages["Due to technical problems the email to <b>%1\$s</b> could not be sent."] = "ѩ޳NʰD, ql <b>%1\$s</b> LkeX.";

// printFunctionTags()
$messages["Output generated by function %1\$s"] = "X: %1\$s";



// -------------------------------------------------------------------------
// homepage.inc.php
if ($state == "homepage") {
// -------------------------------------------------------------------------
$messages["net2ftp features short"] ="AnJ, AiH: \n";
$messages["net2ftp features short"] .="<ul>\n";
$messages["net2ftp features short"] .="<li> s FTP ؿ</li>\n";
$messages["net2ftp features short"] .="<li> WǤΤU <span style=\"font-size: 80%%; color: red;\">s\: LWɮ</span></li>\n";
$messages["net2ftp features short"] .="<li> ƻs, , R, sRWݩʾާ@</li>\n";
$messages["net2ftp features short"] .="<li> ƻsβɮרt@ FTP A</li>\n";
$messages["net2ftp features short"] .="<li> GܭlX</li>\n";
$messages["net2ftp features short"] .="<li> dݹϤ <span style=\"font-size: 80%%; color: red;\">s\</span></li>\n";
$messages["net2ftp features short"] .="<li> srɮ</li>\n";
$messages["net2ftp features short"] .="<li> ϥΦhؤ覡s HTML ɮ <span style=\"font-size: 80%%; color: red;\">New</span></li>\n";
$messages["net2ftp features short"] .="<li> s谪Gܪ HTML  PHPɮ <span style=\"font-size: 80%%; color: red;\">s\</span></li>\n";
$messages["net2ftp features short"] .="<li> YɮרñNɮפU, xs EMAIL LH</li>\n";
$messages["net2ftp features short"] .="<li> WǦ۰ʸY (zip, tar, tgz, gz)</li>\n";
$messages["net2ftp features short"] .="<li> jrΥyl</li>\n";
$messages["net2ftp features short"] .="<li> pɮפθƧjp</li>\n";
$messages["net2ftp features short"] .="</ul>\n";

} // end homepage


// -------------------------------------------------------------------------
// net2ftp_loginform.inc.php
// -------------------------------------------------------------------------
$messages["FTP server"] = "FTP A";
$messages["Example"] = "d";
$messages["Username"] = "ΤW";
$messages["Password"] = "ΤKX";
$messages["Anonymous"] = "Anonymous";
$messages["Passive mode"] = "Qʳsu(Passive mode)";
$messages["Initial directory"] = "iJƧ";
$messages["Language"] = "y";
$messages["Skin"] = "Ҫ";
$messages["FTP mode"] = "FTP mode";
$messages["Login"] = "nJ";
$messages["Clear cookies"] = "M Cookies";
$messages["Please enter an FTP server."] = "Please enter an FTP server.";
$messages["Please enter a username."] = "Please enter a username.";
$messages["Please enter a password."] = "Please enter a password.";


// -------------------------------------------------------------------------
// html.inc.php
// -------------------------------------------------------------------------

// HtmlBegin()
$messages["Status:"] = "A:";

// HtmlEnd()
$messages["net2ftp Help Guide"] = "net2ftp Un";
$messages["net2ftp Forums"] = "net2ftp ׾";
$messages["License"] = "License";
$messages["Powered by"] = "Powered by";

// printJavascriptFunctions()
$messages["Choose a directory"] = "пܸƧ";
$messages["Please wait..."] = "еyJ...";
$messages["Uploading... please wait..."] = "WǤ... еyJ...";
$messages["If the upload takes more than the allowed <b>%1\$s seconds<\/b>, you will have to try again with less/smaller files."] = "pGWǮɶWL <b>%1\$s <\/b>, Aݭn֤Wɮ׼ƶqΤWn֪ɮ.";
$messages["This window will close automatically in a few seconds."] = "NƬ۰.";
$messages["Close window now"] = "ߧY";


// -------------------------------------------------------------------------
// httpheaders.inc.php
// -------------------------------------------------------------------------
// Nothing to translate


// -------------------------------------------------------------------------
// manage.inc.php
if ($state == "manage") {
// -------------------------------------------------------------------------

// manage()
$messages["Please select at least one directory or file!"] = "п̤֤ܳ@ӸƧɮ!";
$messages["Unexpected state2 string. Exiting."] = "iwpA 2 r. {...";

// renameentry()
if ($state2 == "rename") {
$messages["Rename directories and files"] = "sRWƧɮ";
$messages["Old name: "] = "¦W: ";
$messages["New name: "] = "sW: ";
$messages["The new name may not contain any dots. This entry was not renamed to <b>%1\$s</b>"] = "sW٤i]t <b>\".\"</b>r JLksRW <b>%1\$s</b>";
$messages["<b>%1\$s</b> was successfully renamed to <b>%2\$s</b>"] = "<b>%1\$s</b> wg\sRW <b>%2\$s</b>";
$messages["<b>%1\$s</b> could not be renamed to <b>%2\$s</b>"] = "<b>%1\$s</b> could not be renamed to <b>%2\$s</b>";
}

// chmodentry()
if ($state2 == "chmod") {
$messages["Chmod directories and files"] = "Ƨɮתݩ";
$messages["Set all permissions"] = "Ҧv";
$messages["Read"] = "Ū";
$messages["Write"] = "gJ";
$messages["Execute"] = "";
$messages["Owner"] = "֦";
$messages["Group"] = "s";
$messages["Everyone"] = "ҦH";
$messages["To set all permissions to the same values, enter those permissions above and click on the button \"Set all permissions\""] = "pn]wҦv@, bWJvÿ \"Ҧv\"";
$messages["Set the permissions of directory <b>%1\$s</b> to: "] = "]wƧ <b>%1\$s</b> ݩʬ: ";
$messages["Set the permissions of file <b>%1\$s</b> to: "] = "]wɮ <b>%1\$s</b> ݩʬ: ";
$messages["Set the permissions of symlink <b>%1\$s</b> to: "] = "]w symlink <b>%1\$s</b> ݩʬ: ";
$messages["Chmod value"] = "Chmod ƭ";
$messages["Chmod also the subdirectories within this directory"] = "ó]wƧtҦlƧ";
$messages["Chmod also the files within this directory"] = "ó]wƧtҦɮ";
$messages["The chmod nr <b>%1\$s</b> is out of the range 000-777. Please try again."] = "ݩʼƭ <b>%1\$s</b> b 0-777 .";
}

// copymovedeleteentry()
if ($state2 == "copy" || $state2 == "move" || $state2 == "delete") {
$messages["Copy directories and files"] = "ƻsƧɮ";
$messages["Move directories and files"] = "ʸƧɮ";
$messages["Delete directories and files"] = "RƧɮ";
$messages["Are you sure you want to delete these directories and files?"] = "O_TwnRƧɮ?";
$messages["All the subdirectories and files of the selected directories will also be deleted!"] = "ҦtlƧɮ׳|@֧R!";
$messages["Set all targetdirectories"] = "]w@PؼиƧ";
$messages["To set a common target directory, enter that target directory in the textbox above and click on the button \"Set all targetdirectories\"."] = "]w@PؼиƧ, ЦbWrضgؼиƧW٨ë \"]w@PؼиƧ\".";
$messages["Note: the target directory must already exist before anything can be copied into it."] = "`N: ƻsɮ׫e, нTwؼиƧsb.";
$messages["Different target FTP server:"] = "ؼ FTP A:";
$messages["Leave empty if you want to copy the files to the same FTP server."] = "pGƻs쥻 FTP A, ζg.";
$messages["If you want to copy the files to another FTP server, enter your login data."] = "pGAƱƻsɮרt@ FTP A, жgnJ.";
$messages["Leave empty if you want to move the files to the same FTP server."] = "pGʨ쥻 FTP A, ζg.";
$messages["If you want to move the files to another FTP server, enter your login data."] = "pGAƱ沾ɮרt@ FTP A, жgnJ.";
$messages["Copy directory <b>%1\$s</b> to:"] = "ƻsƧ <b>%1\$s</b> :";
$messages["Move directory <b>%1\$s</b> to:"] = "ʸƧ <b>%1\$s</b> :";
$messages["Directory <b>%1\$s</b>"] = "Ƨ <b>%1\$s</b>";
$messages["Copy file <b>%1\$s</b> to:"] = "ƻsɮ <b>%1\$s</b> :";
$messages["Move file <b>%1\$s</b> to:"] = "ɮ <b>%1\$s</b> :";
$messages["File <b>%1\$s</b>"] = "ɮ <b>%1\$s</b>";
$messages["Copy symlink <b>%1\$s</b> to:"] = "ƻs symlink <b>%1\$s</b> :";
$messages["Move symlink <b>%1\$s</b> to:"] = " symlink <b>%1\$s</b> :";
$messages["Symlink <b>%1\$s</b>"] = "Symlink <b>%1\$s</b>";
$messages["Target directory:"] = "ؼиƧ:";
$messages["Target name:"] = "ؼЦW:";
$messages["Processing the entries:"] = "Bz:";
}

// newdirectory()
if ($state2 == "newdirectory") {
$messages["Create new directories"] = "إ߷sƧ";
$messages["The new directories will be created in <b>%1\$s</b>."] = "sƧN|إߦb <b>%1\$s</b>.";
$messages["New directory name:"] = "sƧW:";
$messages["Directory <b>%1\$s</b> was successfully created."] = "Ƨ <b>%1\$s</b> wg\إ.";
}

// uploadfile()
if ($state2 == "uploadfile") {
$messages["Upload files and archives"] = "WɮפYɮ";
$messages["Upload results"] = "WǵG";
$messages["Checking files:"] = "ˬdɮ:";
$messages["Transferring files to the FTP server:"] = "ǰe FTP Aɮ:";
$messages["Decompressing archives and transferring files to the FTP server:"] = "öǰe FTP Aɮ:";
$messages["Upload more files and archives"] = "WǧhɮשYɮ";
}

// printUploadForm() and javaupload()
if ($state2 == "uploadfile" || $state2 == "javaupload") {
$messages["Upload to directory:"] = "WǨƧ:";
$messages["Files"] = "ɮ";
$messages["Archives"] = "Archives";
$messages["Files entered here will be transferred to the FTP server."] = "bo̿JɮױN|ǰe FTP A.";
$messages["Archives entered here will be decompressed, and the files inside will be transferred to the FTP server."] = "bo̿JYɮױN|QåB⤺tɮ׶ǰe FTP A.";
$messages["Add another"] = "[JL";
$messages["Use folder names (creates subdirectories automatically)"] = "ϥθƧW (۰ʫإߤlƧ)";
$messages["Restrictions:"] = ":";
$messages["The maximum size of one file is restricted by net2ftp to <b>%1\$s kB</b> and by PHP to <b>%2\$s</b>"] = "net2ftp e\̤jɮתn <b>%1\$s kB</b>, PHP e\̤jɮתn <b>%2\$s</b>";
$messages["The maximum execution time is <b>%1\$s seconds</b>"] = "̤je\ާ@ɶ <b>%1\$s </b>";
$messages["The FTP transfer mode (ASCII or BINARY) will be automatically determined, based on the filename extension"] = "FTPǰeҦ (ASCII  BINARY) N|ھڰɦW۰ʤ";
$messages["If the destination file already exists, it will be overwritten"] = "pGؼɮצsb, N|Qл\\";

$messages["Upload directories and files using a Java applet"] = "Upload directories and files using a Java applet";
$messages["Number of files:"] = "Number of files:";
$messages["Size of files:"] = "Size of files:";
$messages["Add"] = "Add";
$messages["Remove"] = "Remove";
$messages["Upload"] = "Upload";
$messages["Add files to the upload queue"] = "Add files to the upload queue";
$messages["Remove files from the upload queue"] = "Remove files from the upload queue";
$messages["Upload the files which are in the upload queue"] = "Upload the files which are in the upload queue";
$messages["Maximum server space exceeded. Please select less/smaller files."] = "Maximum server space exceeded. Please select less/smaller files.";
$messages["Total size of the files is too big. Please select less/smaller files."] = "Total size of the files is too big. Please select less/smaller files.";
$messages["Total number of files is too high. Please select fewer files."] = "Total number of files is too high. Please select fewer files.";
$messages["Note: to use this applet, Sun's Java plugin must be installed (version 1.4 or newer)."] = "Note: to use this applet, Sun's Java plugin must be installed (version 1.4 or newer).";

$messages["Browser does not support Java applets"] = "Your browser does not support applets, or you have disabled applets in your browser settings.\n";
$messages["Browser does not support Java applets"] .= "To use this applet, please install the newest version of Sun's java. You can get it from <a href=\"http://www.java.com/\">java.com</a>. Click on Get It Now.\n";
$messages["Browser does not support Java applets"] .= "The online installation is about 1-2 MB and the offline installation is about 13 MB. This 'end-user' java is called JRE (Java Runtime Environment).\n";
$messages["Browser does not support Java applets"] .= "Alternatively, use net2ftp's normal upload or upload-and-unzip functionality.\n";
}

// zipentry()
if ($state2 == "zip") {
$messages["Zip entries"] = "Y";
$messages["Save the zip file on the FTP server as:"] = "b FTP AWxsYɮ׬:";
$messages["Email the zip file in attachment to:"] = "qlYɮ׬ɨ:";
$messages["Note that sending files is not anonymous: your IP address as well as the time of the sending will be added to the email."] = "`N: ǰeɮ׷|OA IP a}MɶçoǸƤ@ְeX.";
$messages["Some additional comments to add in the email:"] = "ǰeql[T:";
$messages["You did not enter a filename for the zipfile. Go back and enter a filename."] = "ASJYɮתW. Ъ^ÿJ.";
$messages["The email address you have entered (%1\$s) does not seem to be valid.<br />Please enter an address in the format <b>username@domain.com</b>"] = "qla} (%1\$s) 榡T.<br />ШϥΦ榡 <b>username@domain.com</b>";
}

// calculatesize()
if ($state2 == "calculatesize") {
$messages["Size of selected directories and files"] = "Ƨɮתjp";
$messages["The total size taken by the selected directories and files is:"] = "Ƨɮת`jp:";
$messages["The nr of files which were skipped:"] = "Lɮ׼ƶq:";
}

// findstring()
if ($state2 == "findstring") {
$messages["Search directories and files"] = "jƧɮ";
$messages["Search results"] = "jG";
$messages["Please enter a valid search word or phrase."] = "пJTrε.";
$messages["Please enter a valid filename."] = "пJTɮצW.";
$messages["Please enter a valid file size in the \"from\" textbox, for example 0."] = "Цb \"from\" rؿJTɮפjp, Ҧp 0.";
$messages["Please enter a valid file size in the \"to\" textbox, for example 500000."] = "Цb \"to\" rؿJTɮפjp, Ҧp 500000.";
$messages["Please enter a valid date in Y-m-d format in the \"from\" textbox."] = "Цb \"from\" rؿJT榡 Y-m-d.";
$messages["Please enter a valid date in Y-m-d format in the \"to\" textbox."] = "Цb \"to\" rؿJT榡 Y-m-d.";
$messages["The word <b>%1\$s</b> was not found in the selected directories and files."] = "bƧɮ׸, r <b>%1\$s</b> S쪺ɮ.";
$messages["The word <b>%1\$s</b> was found in the following files:"] = "r <b>%1\$s</b> Qb:";
$messages["Search again"] = "sj";
}

// printFindstringForm()
if ($state2 == "findstring") {
$messages["Search for a word or phrase"] = "jrε";
$messages["Case sensitive search"] = "Ϥjpgj";
$messages["Restrict the search to:"] = "j:";
$messages["files with a filename like"] = "ɮצWٹ";
$messages["(wildcard character is *)"] = "(wildcard rO *)";
$messages["files with a size"] = "ɮפjp";
$messages["from"] = "q";
$messages["to"] = "";
$messages["files which were last modified"] = "̫ק諸ɮ";
}

// updatefile()
if ($state2 == "updatefile") {
$messages["Update file"] = "Update file";
$messages["<b>WARNING: THIS FUNCTION IS STILL IN EARLY DEVELOPMENT. USE IT ONLY ON TEST FILES! YOU HAVE BEEN WARNED!"] = "<b>`N: \|bնq. uϥΦbժɮ!";
$messages["Known bugs: - erases tab characters - doesn't work well with big files (> 50kB) - was not tested yet on files containing non-standard characters</b>"] = "w bugs: - erases tab characters - ॿTbnjɮ׹B@ (> 50kB) - åbtзǦrŪɮ״</b>";
$messages["This function allows you to upload a new version of the selected file, to view what are the changes and to accept or reject each change. Before anything is saved, you can edit the merged files."] = "\e\AWǸsɮ, dݦקΤ\AΩڵC@ӭק. xse, AiHsX֤Fɮ.";
$messages["Old file:"] = "ɮ:";
$messages["New file:"] = "sɮ:";
$messages["Restrictions:"] = ":";
$messages["The maximum size of one file is restricted by net2ftp to <b>%1\$s kB</b> and by PHP to <b>%2\$s</b>"] = "net2ftp e\̤jWɮפjp <b>%1\$s kB</b> PHP e\̤jWɮפjp <b>%2\$s</b>";
$messages["The maximum execution time is <b>%1\$s seconds</b>"] = "̤je\ާ@ɶ <b>%1\$s seconds</b>";
$messages["The FTP transfer mode (ASCII or BINARY) will be automatically determined, based on the filename extension"] = "FTP ǰeҦ (ASCII  BINARY) N|ھڰɦW۰ʿ";
$messages["If the destination file already exists, it will be overwritten"] = "pGؼɮצsb, N|Qл\\";
$messages["You did not provide any files or archives to upload."] = "ASѻݭnWǪɮשYɮ.";
$messages["Unable to delete the new file"] = "LkRsɮ";
}

// printComparisonSelect()
if ($state2 == "updatefile") {
$messages["Please wait..."] = "еyJ...";
$messages["Select lines below, accept or reject changes and submit the form."] = "ܤUC, Ωڵקô.";
}

} // end manage


// -------------------------------------------------------------------------
// registerglobals.inc.php
// -------------------------------------------------------------------------
$messages["Please enter your username and password for FTP server "] = "Please enter your username and password for FTP server ";
$messages["You did not fill in your login information in the popup window.<br />Click on \"Go to the login page\" below."] = "You did not fill in your login information in the popup window.<br />Click on \"Go to the login page\" below.";
$messages["Access to the net2ftp Admin panel is disabled, because no password has been set in the file settings.inc.php. Enter a password in that file, and reload this page."] = "Access to the net2ftp Admin panel is disabled, because no password has been set in the file settings.inc.php. Enter a password in that file, and reload this page.";
$messages["Please enter your Admin username and password"] = "Please enter your Admin username and password"; 
$messages["You did not fill in your login information in the popup window.<br />Click on \"Go to the login page\" below."] = "You did not fill in your login information in the popup window.<br />Click on \"Go to the login page\" below.";
$messages["Wrong username or password for the net2ftp Admin panel. The username and password can be set in the file settings.inc.php."] = "Wrong username or password for the net2ftp Admin panel. The username and password can be set in the file settings.inc.php.";


// -------------------------------------------------------------------------
// skins.inc.php
// -------------------------------------------------------------------------
$messages["Blue"] = "ŦҪ";
$messages["Grey"] = "ǦҪ";
$messages["Black"] = "¦Ҫ";
$messages["Yellow"] = "Ҫ";
$messages["Pastel"] = "Pastel";

// getMime()
$messages["Directory"] = "Ƨ";
$messages["Symlink"] = "Symlink";
$messages["ASP script"] = "ASP ɮ";
$messages["Cascading Style Sheet"] = "CSS dɮ";
$messages["HTML file"] = "HTML ɮ";
$messages["Java source file"] = "Java source ɮ";
$messages["JavaScript file"] = "JavaScript ɮ";
$messages["PHP Source"] = "PHP source ɮ";
$messages["PHP script"] = "PHP script ɮ";
$messages["Text file"] = "rɮ";
$messages["Bitmap file"] = "Bitmap Ϥ";
$messages["GIF file"] = "GIF Ϥ";
$messages["JPEG file"] = "JPEG Ϥ";
$messages["PNG file"] = "PNG Ϥ";
$messages["TIF file"] = "TIF Ϥ";
$messages["GIMP file"] = "GIMP Ϥ";
$messages["Executable"] = "iɮ";
$messages["Shell script"] = "Shell script";
$messages["MS Office - Word document"] = "MS Office - Word ";
$messages["MS Office - Excel spreadsheet"] = "MS Office - Excel ";
$messages["MS Office - PowerPoint presentation"] = "MS Office - PowerPoint ";
$messages["MS Office - Access database"] = "MS Office - Access ƾڮw";
$messages["MS Office - Visio drawing"] = "MS Office - Visio drawing";
$messages["MS Office - Project file"] = "MS Office - Project ";
$messages["OpenOffice - Writer 6.0 document"] = "OpenOffice - Writer 6.0 ";
$messages["OpenOffice - Writer 6.0 template"] = "OpenOffice - Writer 6.0 Ҫ";
$messages["OpenOffice - Calc 6.0 spreadsheet"] = "OpenOffice - Calc 6.0 ";
$messages["OpenOffice - Calc 6.0 template"] = "OpenOffice - Calc 6.0 Ҫ";
$messages["OpenOffice - Draw 6.0 document"] = "OpenOffice - Draw 6.0 ";
$messages["OpenOffice - Draw 6.0 template"] = "OpenOffice - Draw 6.0 Ҫ";
$messages["OpenOffice - Impress 6.0 presentation"] = "OpenOffice - Impress 6.0 ";
$messages["OpenOffice - Impress 6.0 template"] = "OpenOffice - Impress 6.0 Ҫ";
$messages["OpenOffice - Writer 6.0 global document"] = "OpenOffice - Writer 6.0 global ";
$messages["OpenOffice - Math 6.0 document"] = "OpenOffice - Math 6.0 ";
$messages["StarOffice - StarWriter 5.x document"] = "StarOffice - StarWriter 5.x ";
$messages["StarOffice - StarWriter 5.x global document"] = "StarOffice - StarWriter 5.x global ";
$messages["StarOffice - StarCalc 5.x spreadsheet"] = "StarOffice - StarCalc 5.x ";
$messages["StarOffice - StarDraw 5.x document"] = "StarOffice - StarDraw 5.x ";
$messages["StarOffice - StarImpress 5.x presentation"] = "StarOffice - StarImpress 5.x ";
$messages["StarOffice - StarImpress Packed 5.x file"] = "StarOffice - StarImpress Packed 5.x ɮ";
$messages["StarOffice - StarMath 5.x document"] = "StarOffice - StarMath 5.x ";
$messages["StarOffice - StarChart 5.x document"] = "StarOffice - StarChart 5.x ";
$messages["StarOffice - StarMail 5.x mail file"] = "StarOffice - StarMail 5.x mail ɮ";
$messages["Adobe Acrobat document"] = "Adobe Acrobat ";
$messages["ARC archive"] = "ARC Y";
$messages["ARJ archive"] = "ARJ Y";
$messages["RPM"] = "RPM";
$messages["GZ archive"] = "GZ Y";
$messages["TAR archive"] = "TAR Y";
$messages["Zip archive"] = "Zip Y";
$messages["MOV movie file"] = "MOV v";
$messages["MPEG movie file"] = "MPEG v";
$messages["Real movie file"] = "Real v";
$messages["Quicktime movie file"] = "Quicktime v";
$messages["Shockwave flash file"] = "Shockwave flash ɮ";
$messages["Shockwave file"] = "Shockwave ɮ";
$messages["WAV sound file"] = "WAV ";
$messages["Font file"] = "Font ɮ";
$messages["%1\$s File"] = "%1\$s ɮ";
$messages["File"] = "ɮ";

// getAction()
$messages["Back"] = "Back";
$messages["Submit"] = "Submit";
$messages["Refresh"] = "Refresh";
$messages["Details"] = "Details";
$messages["Icons"] = "Icons";
$messages["List"] = "List";
$messages["Logout"] = "Logout";
$messages["Help"] = "Help";
$messages["Bookmark"] = "Bookmark";
$messages["Save"] = "Save";
$messages["Default"] = "Default";


// -------------------------------------------------------------------------
// view.inc.php
// -------------------------------------------------------------------------
$messages["Image"] = "Image";
$messages["View Macromedia ShockWave Flash movie %1\$s"] = "View Macromedia ShockWave Flash movie %1\$s";
$messages["View file %1\$s"] = "View file %1\$s";
$messages["To save the image, right-click on it and choose 'Save picture as...'"] = "To save the image, right-click on it and choose 'Save picture as...'";


// ----------------------------------------------------------------------------------
// DO NOT CHANGE ANYTHING BELOW THIS LINE
// ----------------------------------------------------------------------------------

return $messages;

} // end function getMessages

?>